package com.ruoyi.file;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * 文件服务
 * 
 * @author ruoyi
 */
//@EnableCustomSwagger2
//@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
//public class RuoYiFileApplication
//{
//    public static void main(String[] args)
//    {
//        SpringApplication.run(RuoYiFileApplication.class, args);
//    }
//}


@EnableCustomSwagger2
@EnableAspectJAutoProxy(proxyTargetClass = true, exposeProxy = true)
@EnableFeignClients(basePackages = {"com.ruoyi"})
@MapperScan(value = "com.ruoyi.file.mapper")
@ComponentScan(basePackages = {"com.ruoyi"})
@SpringBootApplication
public class RuoYiFileApplication
{
    private static final Logger LOGGER = LoggerFactory.getLogger(RuoYiFileApplication.class);

    public static void main(String[] args) throws UnknownHostException {
        ConfigurableApplicationContext application = SpringApplication.run(RuoYiFileApplication.class, args);
        Environment env = application.getEnvironment();
        String ip = InetAddress.getLocalHost().getHostAddress();
        String port = env.getProperty("server.port");
        String path = env.getProperty("server.servlet.context-path");
        LOGGER.info("\n----------------------------------------------------------\n\t" +
                "Application is running! Access URLs:\n\t" +
                "Local: \t\thttp://localhost:" + port + (null==path?"":path) + "/\n\t" +
                "External: \thttp://" + ip + ":" + port + (null==path?"":path) + "/\n\t" +
                "Api: \t\thttp://" + ip + ":" + port + (null==path?"":path) + "/swagger-ui/index.html\n\t" +
                "----------------------------------------------------------");
    }
}