package com.usky.system;

import com.usky.system.factory.RemoteDictFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * 消息服务
 * 
 * @author ruoyi
 */
@FeignClient(contextId = "remoteDictService", value = "usky-system", fallbackFactory = RemoteDictFallbackFactory.class)
public interface RemoteDictService
{
    /**
     * 新增消息推送
     *
     * @param dictType 字典类型
     * @param dictValue 字典键值
     * @return 结果
     */
    @GetMapping("/selectNameById")
    String selectNameById(@RequestParam("dictType") String dictType,
                          @RequestParam("dictValue") String dictValue);
}
