package com.usky.system;


import com.usky.common.core.bean.ApiResult;

import com.usky.system.domain.MceRequestVO;
import com.usky.system.factory.RemoteMceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * 消息服务
 *
 * @author ruoyi
 */
@FeignClient(contextId = "remoteMceService", value = "usky-system", fallbackFactory = RemoteMceFallbackFactory.class)
public interface RemoteMceService {
    /**
     * 新增消息推送
     *
     * @param mceInfo 消息信息
     * @return 结果
     */
    @PostMapping(value = "/addMce", produces = MediaType.APPLICATION_JSON_UTF8_VALUE, consumes = "application/json;" +
            "charset=UTF-8")
    public ApiResult<Void> addMce(@RequestBody String mceInfo);

    /**
     * @description: 消息推送-新
     * @author: fyc
     * @email yuchuan.fu@chinausky.com
     * @date: 2025/3/14 14:58
     * @param: [mceInfo]
     * @return: com.usky.common.core.bean.ApiResult<java.lang.Void>
     **/
    @PostMapping(value = "/addMceReceive")
    ApiResult<Void> addMceReceive(MceRequestVO mceInfo);

}
