package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.security.utils.SecurityUtils;
import com.usky.system.domain.SysMobileTenantConfig;
import com.usky.system.service.SysMobileTenantConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 移动端_租户配置表 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
@RestController
@RequestMapping("/sysMobileTenantConfig")
public class SysMobileTenantConfigController {

    @Autowired
    private SysMobileTenantConfigService sysMobileTenantConfigService;


    /**
     * 移动端-登录页-样式配置查询
     *
     * @param url 域名
     */
    @GetMapping("getAppTenantConfig")
    public ApiResult<List<SysMobileTenantConfig>> getAppTenantConfig(@RequestParam String url){
        return ApiResult.success(sysMobileTenantConfigService.getAppTenantConfig(url));
    }


    /**
     * 租户管理-系统配置-移动端登录页配置查询
     *
     * @param tenantId 租户ID
     * @return
     */
    @GetMapping("/getMobileTenantConfig")
    public ApiResult<List<SysMobileTenantConfig>> getMobileTenantConfig(@RequestParam Integer tenantId) {
        return ApiResult.success(sysMobileTenantConfigService.getMobileTenantConfig(tenantId));
    }

    /**
     * 租户管理-系统配置-移动端登录页配置新增
     *
     * @param sysMobileTenantConfig
     * @return
     */
    @PostMapping("addMobileTenantConfig")
    public ApiResult<Void> addMobileTenantConfig(@RequestBody SysMobileTenantConfig sysMobileTenantConfig){
        sysMobileTenantConfigService.addMobileTenantConfig(sysMobileTenantConfig);
        return ApiResult.success();
    }

    /**
     * 租户管理-系统配置-移动端登录页配置修改
     *
     * @param sysMobileTenantConfig
     * @return
     */
    @PostMapping("updateMobileTenantConfig")
    public ApiResult<Void> updateMobileTenantConfig(@RequestBody SysMobileTenantConfig sysMobileTenantConfig){
        sysMobileTenantConfigService.updateMobileTenantConfig(sysMobileTenantConfig);
        return ApiResult.success();
    }
}






