package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 帮助中心_内容管理
 * </p>
 *
 * @author han
 * @since 2023-08-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HceArticle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 内容标题;
     */
    private String title;

    /**
     * 作者
     */
    private String author;

    /**
     * 内容
     */
    private String content;

    /**
     * 点击量;
     */
    private Integer hits;

    /**
     * 内容文件路径
     */
    private String htmlfilepath;

    /**
     * 是否置顶;0:否 1:是
     */
    private Integer istop;

    /**
     * 栏目ID
     */
    private Integer categoryid;

    /**
     * 内容图片;
     */
    private String image;

    /**
     * 内容副标题;
     */
    private String lmtitle;

    /**
     * 内容摘要;
     */
    private String zhaiyao;

    /**
     * 创建时间;
     */
    private LocalDateTime createdate;

    /**
     * 修改时间;
     */
    private LocalDateTime modifydate;

    /**
     * 内容排序
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer sortindex;

    /**
     * 菜单名称
     */
    @TableField(exist = false)
    private String menuName;
}
