package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 帮助中心_栏目管理
 * </p>
 *
 * @author han
 * @since 2023-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HceCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父级ID
     */
    private Integer pid;

    /**
     * 栏目名称
     */
    private String categoryName;

    /**
     * 是否新栏目;0:否 1:是
     */
    @TableField("isNew")
    private Integer isNew;

    /**
     * 栏目图片;
     */
    @TableField("imagePath")
    private String imagePath;

    /**
     * 创建时间;
     */
    private LocalDateTime createdate;

    /**
     * 修改时间;
     */
    private LocalDateTime modifydate;

    /**
     * 栏目排序
     */
    private Integer sortindex;

    /**
     * 状态;0:关闭 1:开启
     */
    private Integer status;

    /**
     * 映射菜单名称
     */
    private String menuName;

    /**
     * 菜单ID
     */
    private Integer menuId;

    /**
     * 栏目描述
     */
    private String description;

    /**
     * 菜单显示顺序
     */
    private Integer orderNum;

    /**
     * 子级
     */
    @TableField(exist = false)
    private List<HceCategory> children;


}
