package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 帮助中心建议反馈表
 * </p>
 *
 * @author han
 * @since 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HceReview implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 反馈人
     */
    private String reviewName;

    /**
     * 反馈类型
     */
    private Integer reviewType;

    /**
     * 反馈描述
     */
    private String reviewContent;

    /**
     * 反馈图片
     */
    private String reviewPicture;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 处理人
     */
    private String handleBy;

    /**
     * 处理时间
     */
    private LocalDateTime handleTime;

    /**
     * 组织结构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 处理内容
     */
    private String handleContent;

    /**
     * 反馈单编码
     */
    private String hceCode;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 评分
     */
    private Float score;

    /**
     * 评价内容
     */
    private String appraiseContent;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
