package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 移动端_banner图配置表
 * </p>
 *
 * @author han
 * @since 2023-03-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysMobileBanner implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 是否开启banner;0、关闭 1、开启
     */
    private Integer openNot;

    /**
     * 轮播时间(s)
     */
    private Integer carouselTime;

    /**
     * 轮播图路径1
     */
    private String bannerPath1;

    /**
     * 轮播图路径2
     */
    private String bannerPath2;

    /**
     * 轮播图路径3
     */
    private String bannerPath3;

    /**
     * 轮播图路径4
     */
    private String bannerPath4;

    /**
     * 轮播图路径5
     */
    private String bannerPath5;

    /**
     * 链接类型1;1、内链 2、外链
     */
    private Integer linkType1;

    /**
     * 链接类型2;1、内链 2、外链
     */
    private Integer linkType2;

    /**
     * 链接类型3;1、内链 2、外链
     */
    private Integer linkType3;

    /**
     * 链接类型4;1、内链 2、外链
     */
    private Integer linkType4;

    /**
     * 链接类型5;1、内链 2、外链
     */
    private Integer linkType5;

    /**
     * 链接地址1
     */
    private String linkUrl1;

    /**
     * 链接地址3
     */
    private String linkUrl3;

    /**
     * 链接地址4
     */
    private String linkUrl4;

    /**
     * 链接地址4
     */
    private String linkUrl5;

    /**
     * 链接地址2
     */
    private String linkUrl2;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


}
