package com.usky.system.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 移动端_租户和菜单关联表
 * </p>
 *
 * @author JCB
 * @since 2022-08-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMobileTenantMenu implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 菜单ID
     */
    private Long menuId;

    /**
     * 父菜单ID
     */
    @TableField(exist = false)
    private Long parentId;

    @TableField(exist = false)
    private String menuName;

    private String menuAliasName;


}
