package com.usky.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 租户信息表
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysTenant implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户编号
     */
    private String tenantCode;

    /**
     * 租户名称
     */
    private String tenantName;

    /**
     * 租户负责人
     */
    private String tenantManager;

    /**
     * 租户类型（0 试用租户  1 正式租户）
     */
    private String tenantType;

    /**
     * 租户站点域名
     */
    private String domain;

    /**
     * 租户邮箱
     */
    private String email;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 联系地址
     */
    private String address;

    /**
     * 地理位置
     */
    private String geoPosition;

    /**
     * 有效期限
     */
    private String tenantTerm;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户状态（0正常 1停用）
     */
    private String status;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 系统名称
     */
    private String systemName;

    /**
     * 原租户Id
     */
    @TableField(exist = false)
    private Integer originalTenantId;
}
