package com.usky.system.domain;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 租户和应用关联表
 * </p>
 *
 * @author han
 * @since 2024-08-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysTenantPlatform  implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 应用ID
     */
    private Integer platformId;

    /**
     * 是否为默认应用（默认0; 0：否，1：是）
     */
    private Integer isDefault;
}
