package com.usky.system.mapper;

import com.usky.system.domain.SysMobileRoleMenu;
import com.usky.common.mybatis.core.CrudMapper;
import com.usky.system.domain.SysRoleMenu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 移动端_角色和菜单关联表 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2023-03-02
 */
@Repository
public interface SysMobileRoleMenuMapper extends CrudMapper<SysMobileRoleMenu> {

    /**
     * 批量新增角色菜单信息
     *
     * @param roleMenuList 角色菜单列表
     * @return 结果
     */
    public int batchMobileRoleMenu(List<SysMobileRoleMenu> roleMenuList);

    /**
     * 通过角色ID删除角色和菜单关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteMobileRoleMenuByRoleId(@Param("roleId") Long roleId);

    /**
     * 批量删除角色菜单关联信息
     *
     * @param roleId 需要删除的数据ID
     * @return 结果
     */
    public int deleteMobileRoleMenu(@Param("roleId") Long[] roleId);
}
