package com.usky.system.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.system.domain.SysTenantMenu;
import com.usky.system.domain.SysTenantPlatform;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 租户和应用关联表 Mapper 接口
 * </p>
 *
 * @author han
 * @since 2024-8-14
 */
@Repository
public interface SysTenantPlatformMapper extends CrudMapper<SysTenantPlatform> {

    /**
     * 校验应用是否在用
     *
     * @param platformId 用户名称
     * @return 结果
     */
    public int checkPlatformUnique(@Param("platformId") Integer platformId);
}
