package com.usky.system.mapper;

import com.usky.system.domain.SysUser;
import com.usky.system.domain.SysUserTenant;
import com.usky.common.mybatis.core.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author han
 * @since 2024-09-11
 */
@Repository
public interface SysUserTenantMapper extends CrudMapper<SysUserTenant> {
    /**
     * 校验用户是否已绑定
     *
     * @param userId 用户ID
     * @param tenantId 租户ID
     * @return 结果
     */
    public int checkUserIdUnique(@Param("tenantId") Integer tenantId, @Param("userId") Long userId);

    /**
     * 解除用户租户绑定
     *
     * @param userId 用户ID
     * @param tenantId 租户ID
     * @return 结果
     */
    public int deleteUserTenant(@Param("tenantId") Integer tenantId, @Param("userId") Long userId);
}
