package com.usky.system.service;

import com.usky.system.domain.SysMobileBanner;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.SysMobileTenantConfig;

import java.util.List;

/**
 * <p>
 * 移动端_banner图配置表 服务类
 * </p>
 *
 * @author han
 * @since 2023-03-30
 */
public interface SysMobileBannerService extends CrudService<SysMobileBanner> {
    /**
     * 租户管理-系统配置-移动端banner图配置新增
     *
     * @param sysMobileBanner
     * @return
     */
    void addMobileBanner(SysMobileBanner sysMobileBanner);

    /**
     * 租户管理-系统配置-移动端banner图配置修改
     *
     * @param sysMobileBanner
     * @return
     */
    void updateMobileBanner(SysMobileBanner sysMobileBanner);

    /**
     * 租户管理-系统配置-移动端banner图配置查询
     *
     * @param tenantId 租户Id
     * @return
     */
    List<SysMobileBanner> getMobileBanner(Integer tenantId);
}
