package com.usky.system.service;

import com.usky.system.domain.SysMobileTenantConfig;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 移动端_租户配置表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
public interface SysMobileTenantConfigService extends CrudService<SysMobileTenantConfig> {
    /**
     * 移动端-登录页-样式配置查询
     *
     * @param url 域名
     * @return
     */
    List<SysMobileTenantConfig> getAppTenantConfig(String url);

    /**
     * 租户管理-系统配置-移动端登录页配置查询
     *
     * @param tenantId 租户Id
     * @return
     */
    List<SysMobileTenantConfig> getMobileTenantConfig(Integer tenantId);

    /**
     * 租户管理-系统配置-移动端登录页配置新增
     *
     * @param sysMobileTenantConfig
     * @return
     */
    void addMobileTenantConfig(SysMobileTenantConfig sysMobileTenantConfig);

    /**
     * 租户管理-系统配置-移动端登录页配置修改
     *
     * @param sysMobileTenantConfig
     * @return
     */
    void updateMobileTenantConfig(SysMobileTenantConfig sysMobileTenantConfig);
}
