package com.usky.system.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author zyj
 * @since 2023-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysOperLogExportVO {

    private static final long serialVersionUID = 1L;

    /** 日志编号 */
    @Excel(name = "日志编号")
    private Long operId;

    /** 操作IP */
    @Excel(name = "操作IP")
    private String operIp;

    /** 操作人员 */
    @Excel(name = "操作人员")
    private String operName;

    /** 系统模块 */
    @Excel(name = "系统模块")
    private String title;

    /** 操作类型（0其它 1新增 2修改 3删除） */
    @Excel(name = "操作类型")
    private String businessType;

    /** 请求方式 */
    @Excel(name = "请求方式")
    private String requestMethod;

    /** 操作状态（0 成功 1 失败） */
    @Excel(name = "操作状态")
    private String status;

    /** 操作时间 */
    @Excel(name = "操作时间")
    private LocalDateTime operTime;

    /** 执行开始时间 */
    @Excel(name = "执行开始时间")
    private LocalDateTime startTime;

    /** 执行结束时间 */
    @Excel(name = "执行结束时间")
    private LocalDateTime endTime;

    /** 执行耗时时间 */
    @Excel(name = "执行耗时时间")
    private Long consumingTime;

    /** 执行耗时时间（单位：毫秒） */
    @Excel(name = "执行耗时时间（带单位）")
    private String consumingTimeWithUnit;
}
