package com.usky.system.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 租户信息表
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysTenantOneVo implements Serializable {

    /**
     * 租户ID
     */
    private Integer id;

    /**
     * 租户名称
     */
    private String tenantName;

    /**
     * 租户负责人
     */
    private String tenantManager;

    /**
     * 租户类型（0 试用租户  1 正式租户）
     */
    private String tenantType;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 租户状态（0正常 1停用）
     */
    private String status;

    /**
     * 系统名称
     */
    private String platformName;

    /**
     * 当前页
     */
    private Integer page;

    /**
     * 总条数
     */
    private Integer size;
}
