
DROP DATABASE IF EXISTS `usky_config`;

CREATE DATABASE  `usky_config` DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci;

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

USE `usky_config`;

-- ----------------------------
-- Table structure for config_info
-- ----------------------------
DROP TABLE IF EXISTS `config_info`;
CREATE TABLE `config_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  `c_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL,
  `c_use` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `effect` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `type` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `c_schema` text COLLATE utf8_bin,
  `encrypted_data_key` text COLLATE utf8_bin COMMENT '秘钥',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_configinfo_datagrouptenant` (`data_id`,`group_id`,`tenant_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info';

-- ----------------------------
-- Records of config_info
-- ----------------------------
BEGIN;
INSERT INTO `config_info` VALUES (55, 'service-file-dev.yml', 'DEFAULT_GROUP', '# 本地文件上传    \nfile:\n    domain: http://172.16.120.165:9300\n    path: /var/www/usky-file\n    prefix: /statics\n\n# FastDFS配置\nfdfs:\n  domain: http://8.129.231.12\n  soTimeout: 3000\n  connectTimeout: 2000\n  trackerList: 8.129.231.12:22122\n\n# Minio配置\nminio:\n  url: http://8.129.231.12:9000\n  accessKey: minioadmin\n  secretKey: minioadmin\n  bucketName: test', 'bb95cf2add9c2549732792fc8717421b', '2022-04-24 08:49:46', '2022-07-13 03:13:45', 'nacos', '172.16.120.145', '', '', '文件服务', '', '', 'yaml', '', '');
INSERT INTO `config_info` VALUES (56, 'usky-system-dev.yml', 'DEFAULT_GROUP', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://usky-cloud-mysql:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: usky-cloud-redis\n    password: 123456\n    port: 6379\n    timeout: 10000\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher', 'cab73ccfa826a66edf633405ea6c1dc2', '2022-06-23 02:25:07', '2024-02-28 08:33:10', NULL, '10.0.240.208', '', '', 'dev', '', '', 'yaml', '', '');
INSERT INTO `config_info` VALUES (90, 'gateway-dev.yml', 'DEFAULT_GROUP', 'spring:\n  redis:\n    host: usky-cloud-redis\n    port: 6379\n    password: 123456\n  cloud:\n    gateway:\n      discovery:\n        locator:\n          lowerCaseServiceId: true\n          enabled: true\n      routes:\n        # 代码生成\n        - id: service-gen\n          uri: lb://service-gen\n          predicates:\n            - Path=/code/**\n          filters:\n            - StripPrefix=1\n        # 定时任务\n        - id: service-job\n          uri: lb://service-job\n          predicates:\n            - Path=/schedule/**\n          filters:\n            - StripPrefix=1\n        # 系统模块\n        - id: usky-system\n          uri: lb://usky-system\n          predicates:\n            - Path=/system/**\n          filters:\n            - StripPrefix=1\n        # 文件服务\n        - id: service-file\n          uri: lb://service-file\n          predicates:\n            - Path=/file/**\n          filters:\n            - StripPrefix=1\n        - id: usky-demo\n          uri: lb://usky-demo\n          predicates:\n            - Path=/uskyDemo/**\n          filters:\n            - StripPrefix=1       \n        - id: usky-power\n          uri: lb://usky-power\n          predicates:\n            - Path=/uskypower/**\n          filters:\n            - StripPrefix=1\n        - id: service-fire\n          uri: lb://service-fire\n          predicates:\n            - Path=/service-fire/**\n          filters:\n            - StripPrefix=1\n        - id: service-iot\n          uri: lb://service-iot\n          predicates:\n            - Path=/service-iot/**\n          filters:\n            - StripPrefix=1    \n        - id: fire-web-websocket\n          uri: lb:ws://service-fire\n          order: 1\n          predicates:\n            - Path=/fire/ws/** \n          filters:\n            - StripPrefix=2    \n        - id: service-park\n          uri: lb://service-park\n          order: 1\n          predicates:\n            - Path=/service-park/** \n          filters:\n            - StripPrefix=1\n# 安全配置\nsecurity:\n  # 验证码\n  captcha:\n    enabled: true\n    type: math\n  # 防止XSS攻击\n  xss:\n    enabled: true\n    excludeUrls:\n      - /system/notice\n      - /service-website/siteArticle/addSiteArticle\n      - /service-website/siteArticle/updateSiteArticle\n      - /system/hceArticle\n      - /system/hceArticle/page\n  # 不校验白名单\n  ignore:\n    whites:\n      - /fire/ws/fire/postInspectAnswer\n      - /system/logout\n      - /system/login\n      - /system/register\n      - /*/v2/api-docs\n      - /csrf\n      - /system/sysTenantConfig/getTenantConfig\n      - /system/appLogin\n      - /system/getQrCodeResult\n      - /system/qrCodeSend\n      - /system/SendSms/noteSending\n      - /system/sysMobileTenantConfig/getMobileTenantConfig\n      - /system/sysMobileTenantConfig/getAppTenantConfig\n      - /service-fire/postInspect/postInspectAnswerRecept\n      - /service-website/siteArticle/siteArticleList\n      - /service-website/siteCategory/siteCategoryList\n      - /service-fire/baseCompany/companyScatterer\n      - /service-fire/bscEnterpriseAutonomy/enterpriseAutonomy\n      - /service-fire/bscEnterpriseStreetTown/enterpriseStreetTown\n      - /service-fire/demCase/caseList\n      - /service-fire/demCase/caseStatistics\n      - /service-fire/bscEnterpriseAutonomy/erpData\n      - /service-fire/bscLawTrend/lawTrendList\n      - /service-fire/bscLawTrend/companyData\n      - /service-fire/aliWeather\n      - /service-fire/baseCompany/lawTrendScatterer\n      - /service-fire/bscEnterpriseAutonomy/streetDynamic\n      - /service-fire/bscEnterpriseAutonomy/iotDisposal\n      - /service-fire/atlas/encrypt\n      - /service-fire/bscEnterpriseScreen/dataSynchro\n      - /service-fire/mhPostInspect/postInspectAnswerRequest\n      - /service-fire/bscEnterpriseAutonomy/streetCompany\n      - /service-fire/bscEnterpriseStreetTown/streetCompany\n      - /service-fire/bscLawTrend/monthLaw\n      - /service-fire/demPoliceInfo/synthesizePoliceSituationScatterer\n      - /service-fire/demPoliceInfo/alertStatisticsByMonth\n      - /service-fire/demPoliceInfo/alertStatistics\n      - /service-fire/demPoliceInfo/page\n      - /service-fire/demPoliceInfo/alertStatisticsByHouse\n      - /service-fire/demPoliceInfo/warningInstanceScatterer\n      - /service-fire/demPoliceInfo/waterSourceList\n      - /service-fire/demPoliceInfo/vehicleFightList\n      - /service-fire/demWaterSource/waterSourceScatterer\n      - /service-fire/unitBeOnDuty/list\n      - /service-fire/unitBeOnDuty/page\n      - /service-fire/unitBeOnDuty/vehiclelist\n      - /service-fire/demWaterSource/fireWaterStatistics\n      - /service-fire/demWaterSource/page\n      - /service-fire/demFireStatisticsAttach/fireType\n      - /service-fire/demFireStatisticsAttach/fireCountByData\n      - /service-fire/demFireStatisticsAttach/fireCauseRatio\n      - /service-fire/demFireStatisticsAttach/page\n      - /service-fire/demFireStatisticsAttach/fireBubble\n      - /service-fire/demStore/storeScatterer\n      - /service-fire/jcjAjxx/jcjAjxxStatistics\n      - /service-fire/jcjAjxx/jcjAjxxList\n      - /service-fire/baseCompany/addBaseCompany\n      - /service-fire/baseCompany/companyByNameSelect\n      - /service-fire/baseBuild/delBaseBuild\n      - /service-fire/bscEnterpriseAutonomy/scatterData\n      - /service-fire/baseBuildExtinguish/delBaseBuildExtinguish\n      - /service-fire/demHighRise/demHighRiseList\n      - /service-fire/demFireStation/demFireStationList\n      - /service-fire/demStreetMicroStation/demStreetMicroStationList\n      - /service-fire/baseGgpFacility/baseGgpFacilityList\n      - /service-fire/demReportInfo/reportInfoList\n      - /service-file/upload\n      - /service-iot/crmInvoiceInfo\n      - /service-iot/crmInvoiceInfo/page\n      - /service-iot/baseAlarm/alarmInfo\n      - /service-iot/deviceHttp/data\n      - /service-iot/dmpDeviceInfo/importDeviceInfo\n      - /service-fire/reportIndexResult/riskGradeScatter\n      - /service-fire/reportIndexResult/resultStatistic\n      - /service-fire/demFireHazardsNotice/hazardsNoticeList\n      - /service-fire/demFireHazardsNotice/hazardsNoticeStatistic\n      - /service-iot/crmDeviceRepair/phoneVerify\n      - /service-iot/crmDeviceRepair/getHistory\n      - /service-iot/crmDeviceRepair/getAddHistoryInfo\n      - /service-iot/crmDeviceRepair/add\n      - /service-iot/crmDeviceRepair/score\n      - /service-iot/crmDeviceRepair/page\n      - /service-iot/baseAlarm/statistic_notoken\n      - /service-iot/baseAlarm/page_notoken\n      - /service-iot/weather/getInfo\n      - /service-alarm/baseAlarm/alarmInfo\n      - /system/user/appAdd\n      - /service-iot/dmpProductInfo/deviceStatistic\n      - /service-iot/dmpProductInfo/deviceStatusStatistic\n      - /service-iot/baseAlarm/alarmStatistic\n      - /service-alarm/baseAlarmStatistic/alarmStatistic\n      - /service-website/siteReview', 'f8f84375d8ee122eba66c220bbcb80d6', '2022-07-14 05:25:14', '2024-02-28 08:32:30', NULL, '10.0.240.208', '', '', '', '', '', 'yaml', '', '');
COMMIT;

-- ----------------------------
-- Table structure for config_info_aggr
-- ----------------------------
DROP TABLE IF EXISTS `config_info_aggr`;
CREATE TABLE `config_info_aggr` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `datum_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'datum_id',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT '内容',
  `gmt_modified` datetime NOT NULL COMMENT '修改时间',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_configinfoaggr_datagrouptenantdatum` (`data_id`,`group_id`,`tenant_id`,`datum_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='增加租户字段';

-- ----------------------------
-- Table structure for config_info_beta
-- ----------------------------
DROP TABLE IF EXISTS `config_info_beta`;
CREATE TABLE `config_info_beta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `beta_ips` varchar(1024) COLLATE utf8_bin DEFAULT NULL COMMENT 'betaIps',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  `encrypted_data_key` text COLLATE utf8_bin COMMENT '秘钥',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_configinfobeta_datagrouptenant` (`data_id`,`group_id`,`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_beta';

-- ----------------------------
-- Table structure for config_info_tag
-- ----------------------------
DROP TABLE IF EXISTS `config_info_tag`;
CREATE TABLE `config_info_tag` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tag_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_configinfotag_datagrouptenanttag` (`data_id`,`group_id`,`tenant_id`,`tag_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_tag';

-- ----------------------------
-- Table structure for config_tags_relation
-- ----------------------------
DROP TABLE IF EXISTS `config_tags_relation`;
CREATE TABLE `config_tags_relation` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `tag_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_name',
  `tag_type` varchar(64) COLLATE utf8_bin DEFAULT NULL COMMENT 'tag_type',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `nid` bigint(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`nid`) USING BTREE,
  UNIQUE KEY `uk_configtagrelation_configidtag` (`id`,`tag_name`,`tag_type`) USING BTREE,
  KEY `idx_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_tag_relation';

-- ----------------------------
-- Table structure for group_capacity
-- ----------------------------
DROP TABLE IF EXISTS `group_capacity`;
CREATE TABLE `group_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Group ID，空字符表示整个集群',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数，，0表示使用默认值',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_group_id` (`group_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='集群、各Group容量信息表';

-- ----------------------------
-- Table structure for his_config_info
-- ----------------------------
DROP TABLE IF EXISTS `his_config_info`;
CREATE TABLE `his_config_info` (
  `id` bigint(64) unsigned NOT NULL,
  `nid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL,
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL,
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `src_user` text COLLATE utf8_bin,
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `op_type` char(10) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  `encrypted_data_key` text COLLATE utf8_bin COMMENT '秘钥',
  PRIMARY KEY (`nid`) USING BTREE,
  KEY `idx_gmt_create` (`gmt_create`) USING BTREE,
  KEY `idx_gmt_modified` (`gmt_modified`) USING BTREE,
  KEY `idx_did` (`data_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=400 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='多租户改造';

-- ----------------------------
-- Records of his_config_info
-- ----------------------------
BEGIN;
INSERT INTO `his_config_info` VALUES (9, 383, 'sentinel-ruoyi-gateway', 'DEFAULT_GROUP', '', '[\r\n    {\r\n        \"resource\": \"ruoyi-auth\",\r\n        \"count\": 500,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"ruoyi-system\",\r\n        \"count\": 1000,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"ruoyi-gen\",\r\n        \"count\": 200,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"ruoyi-job\",\r\n        \"count\": 300,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    }\r\n]', '9f3a3069261598f74220bc47958ec252', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (17, 384, 'usky-demo-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: Yt2021\n          url: jdbc:mysql://47.111.81.118:3306/dm?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8\n  redis:\n    host: 47.111.81.118\n    password: uskyredis\n    port: 6379\n    timeout: 10000\n  mvc:\n    pathmatch:\n      matching-strategy: ant_path_matcher\n  # swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By ruoyi\n  licenseUrl: https://ruoyi.vip\n', '9a54f2862912ad6d53bfba07009a6d2b', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (32, 385, 'usky-backend-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-data?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher\n\n', 'f2e951e7e9782ecfb7fa3bc3976361c3', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (36, 386, 'service-job-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher\n\n', '2ed9dbbf1ab183aac809572737f64e72', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (46, 387, 'service-monitor-dev.yml', 'DEFAULT_GROUP', '', '# spring\nspring: \n  security:\n    user:\n      name: admin\n      password: Usky@208\n  boot:\n    admin:\n      ui:\n        title: 服务状态监控\n', '24be84b6c09df9c670fd2b57114c91b8', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (47, 388, 'service-system-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  influx:\n    url: http://172.16.120.69:8086\n    password: root\n    user: root\n    database: USKTSDB\n  tenant:\n    enable: true\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher', '49da760db3be7120b4d4e3777f081d6e', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (49, 389, 'service-auth-dev.yml', 'DEFAULT_GROUP', '', 'spring: \n  redis:\n    host: 172.16.120.165\n    port: 6379\n    password: 123456\n', '3441c844fbe5c3b1789c303d137bbe12', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (52, 390, 'service-gen-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring: \n  redis:\n    host: usky-cloud-redis\n    port: 6379\n    password: uskyredis\n  datasource: \n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://usky-cloud-mysql:3306/usky-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: usky\n    password: Yt#75Usky\n\n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.ruoyi.gen.domain\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 代码生成接口文档\n  license: Powered By ruoyi\n  licenseUrl: https://ruoyi.vip\n\n# 代码生成\ngen: \n  # 作者\n  author: usky\n  # 默认生成包路径 system 需改成自己的模块名称 如 system monitor tool\n  packageName: com.usky.system\n  # 自动去除表前缀，默认是false\n  autoRemovePre: false\n  # 表前缀（生成类名不会包含表前缀，多个用逗号分隔）\n  tablePrefix: sys_\n', '45275f2320eb8083b62903ff28d5fed8', '2024-02-28 16:27:16', '2024-02-28 08:27:16', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (92, 391, 'service-dm-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-dm?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  tenant:\n    enable: true', 'f4c94ea7661bf7c55411cd0846e90ee1', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (93, 392, 'service-website-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-website?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  influx:\n    url: http://172.16.120.69:8086\n    password: root\n    user: root\n    database: USKTSDB  \n  task:\n    scheduling:\n      pool:\n        size: 10\n      thread-name-prefix: hanhan\n    execution:\n      shutdown:\n#        线程关闭时是否等所有任务结束\n        await-termination: false\n#        线程最大的等待时间，防止线程陷入循环关不掉\n        await-termination-period: 10s  \n  tenant:\n   enable: false', 'a65500ad8fbc5f76b1e0dc33b8e8a49d', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (101, 393, 'service-iot-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 30\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  tenant:\n    enable: false\n  servlet:\n    multipart:\n      max-file-size: 10MB\n      max-request-size: 15MB  \n\ntemp:\n  basedir: C:/Users/pc/Desktop/\nmqtt:\n  completionTimeout: 5000\n  enabled: true\n  keep-alive-interval: 60\n  password: public\n  sub-topics: data-collector,511-XFFJ/+/+/control\n  url: tcp://172.16.120.151:1883\n  username: admin    \n\n', 'b33926a86bd630ccfed6d8fc7a2ff63b', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (112, 394, 'service-park-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-park?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n        mhsystem:\n          password: Yt#75Usky\n          url: jdbc:mysql://101.133.214.75:3306/minhangsystem?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: usky\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  influx:\n    url: http://172.16.120.69:8086\n    password: root\n    user: root\n    database: USKTSDB  \n  task:\n    scheduling:\n      pool:\n        size: 10\n      thread-name-prefix: hanhan\n    execution:\n      shutdown:\n        await-termination: false\n        await-termination-period: 10s  \n  tenant:\n    enable: false\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher\n', '49e15e6e651b5c52e7cd4f276ee75cf4', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (131, 395, 'service-alarm-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  tenant:\n    enable: false\n  servlet:\n    multipart:\n      max-file-size: 10MB\n      max-request-size: 15MB  \n\ntemp:\n  basedir: C:/Users/pc/Desktop/\nmqtt:\n  completionTimeout: 5000\n  enabled: true\n  keep-alive-interval: 60\n  password: usky\n  sub-topics: data-collector,511-XFFJ/+/+/control\n  url: tcp://47.98.201.73:1883\n  username: usky    \noss:\n  product: Dyvmsapi\n  domain: dyvmsapi.aliyuncs.com\n  endpoint: http://oss-cn-hangzhou.aliyuncs.com\n  accessKeyId: LTAI4FhiwCHKVEgHr9oDMTj3\n  accessKeySecret: XrToSMg9SKBnNoj9AO6pQ00ozlTWn3\n', '21258ccfd6a339d33608577a8ad23564', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (135, 396, 'service-issue-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: fuYuChuan@123\n          url: jdbc:mysql://47.98.201.187:3306/jdxf?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: fuYuChuan\n        UskyOw:\n          password: fuYuChuan@123\n          url: jdbc:mysql://47.98.201.187:3306/UskyOw?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: fuYuChuan\n        usky-website:\n          password: Yt#75Usky\n          url: jdbc:mysql://172.16.120.165:3306/usky-website?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: usky\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  tenant:\n    enable: false\n  servlet:\n    multipart:\n      max-file-size: 10MB\n      max-request-size: 15MB\nsign:\n  expireTime: 30000\n  secretKey: 05abbe4e91002334ddf79b451b79be5a', 'df5c906013a3e75bb7bcd5d6c792753a', '2024-02-28 16:27:27', '2024-02-28 08:27:28', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (82, 397, 'service-fire-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 30\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          url: jdbc:mysql://172.16.120.165:3306/usky-fire?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&queryTimeout=2400\n          username: usky\n          password: Yt#75Usky\n        # master:\n        #   driver-class-name: dm.jdbc.driver.DmDriver\n        #   password: usky888666\n        #   url: jdbc:dm://172.16.120.151:5236/usky-fire?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=UTF-8\n        #   username: usky-fire\n        cloud:\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&queryTimeout=2400\n          username: usky\n          password: Yt#75Usky\n        mhsystem:\n          password: Yt#75Usky\n          url: jdbc:mysql://101.133.214.75:3306/minhangsystem?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&useSSL=false&characterEncoding=utf8&allowMultiQueries=true\n          username: usky\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  influx:\n    url: http://172.16.120.69:8086\n    password: root\n    user: root\n    database: USKTSDB  \n  task:\n    scheduling:\n      pool:\n        size: 10\n      thread-name-prefix: hanhan\n    execution:\n      shutdown:\n#        线程关闭时是否等所有任务结束\n        await-termination: false\n#        线程最大的等待时间，防止线程陷入循环关不掉\n        await-termination-period: 10s  \n  tenant:\n   enable: false\nmqtt:\n  completionTimeout: 5000\n  enabled: true\n  keep-alive-interval: 60\n  password: usky\n  sub-topics: mh/water/info,mh/water/alert,mh/water/statistics,device/info,device/alert,device/detail,device/aj\n  url: tcp://47.98.201.73:1883\n  username: usky\n   \nmhwater:\n  path: http://180.169.15.121:1680\n', '5ff63078f706c7b7cc734679d7042475', '2024-02-28 16:27:34', '2024-02-28 08:27:34', NULL, '10.0.240.208', 'D', '', '');
INSERT INTO `his_config_info` VALUES (90, 398, 'gateway-dev.yml', 'DEFAULT_GROUP', '', 'spring:\n  redis:\n    host: 172.16.120.165\n    port: 6379\n    password: 123456\n  cloud:\n    gateway:\n      discovery:\n        locator:\n          lowerCaseServiceId: true\n          enabled: true\n      routes:\n        # 代码生成\n        - id: service-gen\n          uri: lb://service-gen\n          predicates:\n            - Path=/code/**\n          filters:\n            - StripPrefix=1\n        # 定时任务\n        - id: service-job\n          uri: lb://service-job\n          predicates:\n            - Path=/schedule/**\n          filters:\n            - StripPrefix=1\n        # 系统模块\n        - id: usky-system\n          uri: lb://usky-system\n          predicates:\n            - Path=/system/**\n          filters:\n            - StripPrefix=1\n        # 文件服务\n        - id: service-file\n          uri: lb://service-file\n          predicates:\n            - Path=/file/**\n          filters:\n            - StripPrefix=1\n        - id: usky-demo\n          uri: lb://usky-demo\n          predicates:\n            - Path=/uskyDemo/**\n          filters:\n            - StripPrefix=1       \n        - id: usky-power\n          uri: lb://usky-power\n          predicates:\n            - Path=/uskypower/**\n          filters:\n            - StripPrefix=1\n        - id: service-fire\n          uri: lb://service-fire\n          predicates:\n            - Path=/service-fire/**\n          filters:\n            - StripPrefix=1\n        - id: service-iot\n          uri: lb://service-iot\n          predicates:\n            - Path=/service-iot/**\n          filters:\n            - StripPrefix=1    \n        - id: fire-web-websocket\n          uri: lb:ws://service-fire\n          order: 1\n          predicates:\n            - Path=/fire/ws/** \n          filters:\n            - StripPrefix=2    \n        - id: service-park\n          uri: lb://service-park\n          order: 1\n          predicates:\n            - Path=/service-park/** \n          filters:\n            - StripPrefix=1\n# 安全配置\nsecurity:\n  # 验证码\n  captcha:\n    enabled: true\n    type: math\n  # 防止XSS攻击\n  xss:\n    enabled: true\n    excludeUrls:\n      - /system/notice\n      - /service-website/siteArticle/addSiteArticle\n      - /service-website/siteArticle/updateSiteArticle\n      - /system/hceArticle\n      - /system/hceArticle/page\n  # 不校验白名单\n  ignore:\n    whites:\n      - /fire/ws/fire/postInspectAnswer\n      - /system/logout\n      - /system/login\n      - /system/register\n      - /*/v2/api-docs\n      - /csrf\n      - /system/sysTenantConfig/getTenantConfig\n      - /system/appLogin\n      - /system/getQrCodeResult\n      - /system/qrCodeSend\n      - /system/SendSms/noteSending\n      - /system/sysMobileTenantConfig/getMobileTenantConfig\n      - /system/sysMobileTenantConfig/getAppTenantConfig\n      - /service-fire/postInspect/postInspectAnswerRecept\n      - /service-website/siteArticle/siteArticleList\n      - /service-website/siteCategory/siteCategoryList\n      - /service-fire/baseCompany/companyScatterer\n      - /service-fire/bscEnterpriseAutonomy/enterpriseAutonomy\n      - /service-fire/bscEnterpriseStreetTown/enterpriseStreetTown\n      - /service-fire/demCase/caseList\n      - /service-fire/demCase/caseStatistics\n      - /service-fire/bscEnterpriseAutonomy/erpData\n      - /service-fire/bscLawTrend/lawTrendList\n      - /service-fire/bscLawTrend/companyData\n      - /service-fire/aliWeather\n      - /service-fire/baseCompany/lawTrendScatterer\n      - /service-fire/bscEnterpriseAutonomy/streetDynamic\n      - /service-fire/bscEnterpriseAutonomy/iotDisposal\n      - /service-fire/atlas/encrypt\n      - /service-fire/bscEnterpriseScreen/dataSynchro\n      - /service-fire/mhPostInspect/postInspectAnswerRequest\n      - /service-fire/bscEnterpriseAutonomy/streetCompany\n      - /service-fire/bscEnterpriseStreetTown/streetCompany\n      - /service-fire/bscLawTrend/monthLaw\n      - /service-fire/demPoliceInfo/synthesizePoliceSituationScatterer\n      - /service-fire/demPoliceInfo/alertStatisticsByMonth\n      - /service-fire/demPoliceInfo/alertStatistics\n      - /service-fire/demPoliceInfo/page\n      - /service-fire/demPoliceInfo/alertStatisticsByHouse\n      - /service-fire/demPoliceInfo/warningInstanceScatterer\n      - /service-fire/demPoliceInfo/waterSourceList\n      - /service-fire/demPoliceInfo/vehicleFightList\n      - /service-fire/demWaterSource/waterSourceScatterer\n      - /service-fire/unitBeOnDuty/list\n      - /service-fire/unitBeOnDuty/page\n      - /service-fire/unitBeOnDuty/vehiclelist\n      - /service-fire/demWaterSource/fireWaterStatistics\n      - /service-fire/demWaterSource/page\n      - /service-fire/demFireStatisticsAttach/fireType\n      - /service-fire/demFireStatisticsAttach/fireCountByData\n      - /service-fire/demFireStatisticsAttach/fireCauseRatio\n      - /service-fire/demFireStatisticsAttach/page\n      - /service-fire/demFireStatisticsAttach/fireBubble\n      - /service-fire/demStore/storeScatterer\n      - /service-fire/jcjAjxx/jcjAjxxStatistics\n      - /service-fire/jcjAjxx/jcjAjxxList\n      - /service-fire/baseCompany/addBaseCompany\n      - /service-fire/baseCompany/companyByNameSelect\n      - /service-fire/baseBuild/delBaseBuild\n      - /service-fire/bscEnterpriseAutonomy/scatterData\n      - /service-fire/baseBuildExtinguish/delBaseBuildExtinguish\n      - /service-fire/demHighRise/demHighRiseList\n      - /service-fire/demFireStation/demFireStationList\n      - /service-fire/demStreetMicroStation/demStreetMicroStationList\n      - /service-fire/baseGgpFacility/baseGgpFacilityList\n      - /service-fire/demReportInfo/reportInfoList\n      - /service-file/upload\n      - /service-iot/crmInvoiceInfo\n      - /service-iot/crmInvoiceInfo/page\n      - /service-iot/baseAlarm/alarmInfo\n      - /service-iot/deviceHttp/data\n      - /service-iot/dmpDeviceInfo/importDeviceInfo\n      - /service-fire/reportIndexResult/riskGradeScatter\n      - /service-fire/reportIndexResult/resultStatistic\n      - /service-fire/demFireHazardsNotice/hazardsNoticeList\n      - /service-fire/demFireHazardsNotice/hazardsNoticeStatistic\n      - /service-iot/crmDeviceRepair/phoneVerify\n      - /service-iot/crmDeviceRepair/getHistory\n      - /service-iot/crmDeviceRepair/getAddHistoryInfo\n      - /service-iot/crmDeviceRepair/add\n      - /service-iot/crmDeviceRepair/score\n      - /service-iot/crmDeviceRepair/page\n      - /service-iot/baseAlarm/statistic_notoken\n      - /service-iot/baseAlarm/page_notoken\n      - /service-iot/weather/getInfo\n      - /service-alarm/baseAlarm/alarmInfo\n      - /system/user/appAdd\n      - /service-iot/dmpProductInfo/deviceStatistic\n      - /service-iot/dmpProductInfo/deviceStatusStatistic\n      - /service-iot/baseAlarm/alarmStatistic\n      - /service-alarm/baseAlarmStatistic/alarmStatistic\n      - /service-website/siteReview', '3b3f942758ec56f86b2c5ec35d9b40c0', '2024-02-28 16:32:29', '2024-02-28 08:32:30', NULL, '10.0.240.208', 'U', '', '');
INSERT INTO `his_config_info` VALUES (56, 399, 'usky-system-dev.yml', 'DEFAULT_GROUP', '', 'mybatis:\n  refresh:\n    delay-seconds: 10\n    enabled: true\n    sleep-seconds: 20\nmybatis-plus:\n  configuration:\n    defaultStatementTimeout: 3\n    lazy-loading-enabled: true\n    map-underscore-to-camel-case: true\n  global-config:\n    db-config:\n      id-type: auto\n    mapperRegistryCache: true\n  mapper-locations: classpath*:mapper/**/*.xml\nserver:\n  compression:\n    enabled: true\n    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain\nspring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  cache:\n    ehcache:\n      config: classpath:ehcache.xml\n      enabled: false\n    redis:\n      enabled: true\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        login-password: \'@dmin1234\'\n        login-username: admin\n        reset-enable: true\n        url-pattern: /druid/*\n    dynamic:\n      datasource:\n        master:\n          password: password\n          url: jdbc:mysql://172.16.120.165:3306/usky-cloud?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowMultiQueries=true\n          username: root\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      primary: master\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    default-property-inclusion: always\n    deserialization:\n      fail-on-unknown-properties: false\n    parser:\n      allow-single-quotes: true\n      allow-unquoted-control-chars: true\n    serialization:\n      fail-on-empty-beans: false\n    time-zone: GMT+8 \n  redis:\n    host: 172.16.120.165\n    password: 123456\n    port: 6379\n    timeout: 10000\n  influx:\n    url: http://172.16.120.69:8086\n    password: root\n    user: root\n    database: USKTSDB\n  tenant:\n    enable: true\n  mvc:\n   pathmatch:\n      matching-strategy: ant_path_matcher', '49da760db3be7120b4d4e3777f081d6e', '2024-02-28 16:33:10', '2024-02-28 08:33:10', NULL, '10.0.240.208', 'U', '', '');
COMMIT;

-- ----------------------------
-- Table structure for permissions
-- ----------------------------
DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions` (
  `role` varchar(50) NOT NULL,
  `resource` varchar(255) NOT NULL,
  `action` varchar(8) NOT NULL,
  UNIQUE KEY `uk_role_permission` (`role`,`resource`,`action`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for roles
-- ----------------------------
DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `username` varchar(50) NOT NULL,
  `role` varchar(50) NOT NULL,
  UNIQUE KEY `idx_user_role` (`username`,`role`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of roles
-- ----------------------------
BEGIN;
INSERT INTO `roles` VALUES ('nacos', 'ROLE_ADMIN');
COMMIT;

-- ----------------------------
-- Table structure for tenant_capacity
-- ----------------------------
DROP TABLE IF EXISTS `tenant_capacity`;
CREATE TABLE `tenant_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Tenant ID',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='租户容量信息表';

-- ----------------------------
-- Table structure for tenant_info
-- ----------------------------
DROP TABLE IF EXISTS `tenant_info`;
CREATE TABLE `tenant_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `kp` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'kp',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tenant_name` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_name',
  `tenant_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT 'tenant_desc',
  `create_source` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'create_source',
  `gmt_create` bigint(20) NOT NULL COMMENT '创建时间',
  `gmt_modified` bigint(20) NOT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `uk_tenant_info_kptenantid` (`kp`,`tenant_id`) USING BTREE,
  KEY `idx_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='tenant_info';

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `username` varchar(50) NOT NULL,
  `password` varchar(500) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`username`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of users
-- ----------------------------
BEGIN;
INSERT INTO `users` VALUES ('nacos', '$2a$10$iKj03e96O9Gz5FNIsf8kxuzS0tkUPJ3dgwjhV0oBPgV5WpmX3bjbS', 1);
INSERT INTO `users` VALUES ('usky', '$2a$10$FxnzDaydWp7qD1S87SBKLugB2tWTD/sC6MefvvteHaO6Jgt30y0y6', 1);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
