/*
 Navicat Premium Data Transfer

 Source Server         : 124.71.140.20_admin
 Source Server Type    : MySQL
 Source Server Version : 50651
 Source Host           : 124.71.140.20:3306
 Source Schema         : usky-cloud

 Target Server Type    : MySQL
 Target Server Version : 50651
 File Encoding         : 65001

 Date: 27/04/2023 18:31:29
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for dmp_data_event
-- ----------------------------
DROP TABLE IF EXISTS `dmp_data_event`;
CREATE TABLE `dmp_data_event` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_code` varchar(50) NOT NULL COMMENT '设备编号',
  `event_type` int(2) DEFAULT NULL COMMENT '事件类型',
  `event_content` varchar(900) DEFAULT NULL COMMENT '事件内容',
  `report_time` datetime DEFAULT NULL COMMENT '上报时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事件数据';

-- ----------------------------
-- Table structure for dmp_data_info
-- ----------------------------
DROP TABLE IF EXISTS `dmp_data_info`;
CREATE TABLE `dmp_data_info` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_code` varchar(50) NOT NULL COMMENT '设备编号',
  `data_content` varchar(900) DEFAULT NULL COMMENT '数据内容',
  `report_time` datetime DEFAULT NULL COMMENT '上报时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='数据信息';

-- ----------------------------
-- Table structure for dmp_data_overview
-- ----------------------------
DROP TABLE IF EXISTS `dmp_data_overview`;
CREATE TABLE `dmp_data_overview` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_number` text COMMENT '设备量分析',
  `device_trend` text COMMENT '设备趋势分析',
  `device_daily_active` text COMMENT '设备日活跃分析',
  `middle_statistic` text COMMENT '中间区域数据统计',
  `data_report` text COMMENT '设备数据上报量分析',
  `product_device` text COMMENT '产品设备量分析',
  `device_monthly_active` text COMMENT '设备月活跃分析',
  `cycle_type` int(1) DEFAULT '1' COMMENT '统计时间周期类型（1：日，2：月）',
  `product_id` int(12) NOT NULL DEFAULT '0' COMMENT '产品ID;当为全产品时id为0，其他情况对应产品表ID',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `tenant_id` int(12) NOT NULL DEFAULT '0' COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COMMENT='数据概览';

-- ----------------------------
-- Records of dmp_data_overview
-- ----------------------------
BEGIN;
INSERT INTO `dmp_data_overview` VALUES (96, '{\"deviceCount\":0,\"dlxCount\":0,\"dzcCount\":0,\"hyCount\":0,\"hyRadioCount\":0.0,\"jhCount\":0,\"jhRadioCount\":0.0,\"productId\":0,\"zcCount\":0}', NULL, NULL, NULL, NULL, NULL, NULL, 1, 0, NULL, '2022-10-24 00:00:01', 0);
INSERT INTO `dmp_data_overview` VALUES (97, '{\"deviceCount\":1,\"dlxCount\":0,\"dzcCount\":1,\"hyCount\":1,\"hyRadioCount\":1.0,\"jhCount\":0,\"jhRadioCount\":0.0,\"productId\":1,\"zcCount\":1}', NULL, NULL, '{\"deviceCount\":1,\"dlxCount\":0,\"dzcCount\":1,\"hyCount\":0,\"jhCount\":0,\"productId\":1,\"zcCount\":1}', NULL, NULL, NULL, 2, 1, NULL, '2022-10-01 00:00:01', 0);
INSERT INTO `dmp_data_overview` VALUES (98, '{\"deviceCount\":3,\"dlxCount\":0,\"dzcCount\":2,\"hyCount\":2,\"hyRadioCount\":0.6666666667,\"jhCount\":0,\"jhRadioCount\":0.0,\"productId\":2,\"zcCount\":2}', NULL, NULL, '{\"deviceCount\":3,\"dlxCount\":0,\"dzcCount\":2,\"hyCount\":0,\"jhCount\":0,\"productId\":2,\"zcCount\":2}', NULL, NULL, NULL, 2, 2, NULL, '2022-10-01 00:00:01', 0);
INSERT INTO `dmp_data_overview` VALUES (99, '{\"deviceCount\":4,\"dlxCount\":0,\"dzcCount\":3,\"hyCount\":3,\"hyRadioCount\":0.75,\"jhCount\":0,\"jhRadioCount\":0.0,\"productId\":0,\"zcCount\":3}', NULL, NULL, '{\"deviceCount\":4,\"dlxCount\":0,\"dzcCount\":3,\"hyCount\":0,\"jhCount\":0,\"productId\":0,\"zcCount\":3}', NULL, NULL, NULL, 2, 0, NULL, '2022-10-01 00:00:01', 0);
COMMIT;

-- ----------------------------
-- Table structure for dmp_device
-- ----------------------------
DROP TABLE IF EXISTS `dmp_device`;
CREATE TABLE `dmp_device` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_code` varchar(50) NOT NULL COMMENT '设备编号',
  `device_name` varchar(50) NOT NULL COMMENT '设备名称',
  `device_type` int(12) DEFAULT NULL COMMENT '设备类型',
  `product_id` int(12) NOT NULL COMMENT '产品ID',
  `sim_code` varchar(50) DEFAULT NULL COMMENT '物联网卡号',
  `imsi_code` varchar(50) DEFAULT NULL COMMENT '国际移动用户识别码',
  `subscribe_flag` int(1) DEFAULT NULL COMMENT '自动订阅标识（0：否，1：是）',
  `node_type` int(10) DEFAULT NULL COMMENT '节点类型',
  `group_id` int(12) DEFAULT NULL COMMENT '分组id',
  `delete_flag` int(1) DEFAULT '0' COMMENT '删除标识',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(12) DEFAULT NULL COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8 COMMENT='设备信息表';

-- ----------------------------
-- Records of dmp_device
-- ----------------------------
BEGIN;
INSERT INTO `dmp_device` VALUES (3, '3241178a429049478ad3346c0980df7f', '1', '设备2', NULL, 2, '3', '2', 2, NULL, NULL, 1, NULL, '2022-10-13 11:43:26', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (4, 'b495420dc0234f2eb5faf0c7e8b65ad7', '4023383030323633', '设备1', NULL, 2, '3', 'IMSI', 1, NULL, NULL, 0, NULL, '2022-10-13 17:42:05', NULL, '2022-10-14 18:06:04', NULL);
INSERT INTO `dmp_device` VALUES (5, '123', 'uskydevice00001', '测试设备', 7, 1, '3', NULL, NULL, NULL, NULL, NULL, NULL, '2022-10-14 10:11:45', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (6, 'f2c231809d894990af4c6528b0c0fbb1', 'SIM号', '设备2', NULL, 2, 'SIM号', 'SIM号', 1, NULL, NULL, 0, NULL, '2022-10-14 18:06:30', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (7, '031b0b994f59437f9c5bde81386a9bdc', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:41:53', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (8, '61516af6a574456b917305ed116d73ce', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:41:53', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (9, 'a98104fe74394c9c97e0c41d8e4d1877', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:41:53', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (10, 'd0130ec9a60548cebfa6ef50aba71b1e', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:41:53', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (11, 'f6f42c8dbf6d4ce8943cf44e2716ea53', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:43:44', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (12, '450a36c0151e4aa9a6f133db1cf4005e', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:43:44', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (13, 'b18fb41e546742898ba4f533ced97d32', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:43:44', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (14, 'c29cb2f452c7424bae5a62498bf2d3eb', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:43:44', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (15, 'f589eed9b0784173bf1b735b891ea2b4', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:45:30', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (16, '3d4b084ceeaf46338b82b6f4ffea5487', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 1, NULL, '2022-11-09 16:45:30', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (17, '3a66ca5ac2794d44ab218374b9294f77', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:45:30', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (18, 'e25d4e8de6aa4c568e2162033895f394', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 1, NULL, '2022-11-09 16:45:30', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (19, 'ef8b7c9774ab4000ab13d769830a2981', '测试1', '测试3', NULL, 2, '1111', '测试2', 1, NULL, NULL, 0, NULL, '2022-11-09 16:48:29', NULL, NULL, NULL);
INSERT INTO `dmp_device` VALUES (20, '9b99e60411884a2e9d1163716887d7df', '测试11', '测试31', NULL, 2, '11112', '测试21', 1, NULL, NULL, 0, NULL, '2022-11-09 16:48:29', NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for dmp_device_status
-- ----------------------------
DROP TABLE IF EXISTS `dmp_device_status`;
CREATE TABLE `dmp_device_status` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `device_id` varchar(50) NOT NULL COMMENT '设备ID;设备注册时系统自动生成一个唯一编号',
  `device_code` varchar(50) NOT NULL COMMENT '设备编号',
  `product_id` int(12) NOT NULL COMMENT '产品ID',
  `device_status` int(2) NOT NULL COMMENT '设备状态;1：正常，2：故障，3：告警，4：离线',
  `service_status` int(2) NOT NULL COMMENT '业务状态1：已注册，2：待激活，3：已激活',
  `last_online_time` datetime DEFAULT NULL COMMENT '最后上线时间',
  `last_offline_time` datetime DEFAULT NULL COMMENT '最后离线时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='设备状态表';

-- ----------------------------
-- Records of dmp_device_status
-- ----------------------------
BEGIN;
INSERT INTO `dmp_device_status` VALUES (1, '3241178a429049478ad3346c0980df7f', '3241178a429049478ad3346c0980df7f', 1, 1, 1, '2022-10-13 16:57:33', NULL);
INSERT INTO `dmp_device_status` VALUES (2, 'b495420dc0234f2eb5faf0c7e8b65ad7', '1212', 1, 1, 1, '2022-10-14 17:54:11', NULL);
INSERT INTO `dmp_device_status` VALUES (3, '123', 'uskydevice00001', 1, 1, 1, '2023-03-16 16:12:00', NULL);
COMMIT;

-- ----------------------------
-- Table structure for dmp_product
-- ----------------------------
DROP TABLE IF EXISTS `dmp_product`;
CREATE TABLE `dmp_product` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `product_name` varchar(100) NOT NULL COMMENT '产品名称',
  `access_mode` int(12) NOT NULL COMMENT '接入方式',
  `network_type` int(12) NOT NULL COMMENT '网络类型',
  `device_type` int(12) NOT NULL COMMENT '设备类型',
  `com_protocol` int(12) NOT NULL COMMENT '通信协议',
  `auth_mode` varchar(50) DEFAULT NULL COMMENT '认证方式',
  `device_model` varchar(50) NOT NULL COMMENT '设备型号',
  `product_describe` varchar(255) DEFAULT NULL COMMENT '产品描述',
  `factory_name` varchar(100) DEFAULT NULL COMMENT '厂家名称',
  `factory_person` varchar(30) DEFAULT NULL COMMENT '厂家联系人',
  `factory_phone` varchar(30) DEFAULT NULL COMMENT '厂家联系电话',
  `certificate_url1` varchar(100) DEFAULT NULL COMMENT '资质证书1',
  `certificate_url2` varchar(100) DEFAULT NULL COMMENT '资质证书2',
  `certificate_url3` varchar(100) DEFAULT NULL COMMENT '资质证书3',
  `agreement_url` varchar(100) DEFAULT NULL COMMENT '协议文档',
  `delete_flag` int(1) DEFAULT '0' COMMENT '删除标识',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(12) DEFAULT NULL COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='产品信息表';

-- ----------------------------
-- Records of dmp_product
-- ----------------------------
BEGIN;
INSERT INTO `dmp_product` VALUES (1, '产品1', 1, 1, 1, 2, NULL, '型号1', '描述1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `dmp_product` VALUES (2, '产品1-修改21', 1, 2, 1, 2, NULL, '型号1', '描述1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, '2022-10-14 18:03:40', NULL);
INSERT INTO `dmp_product` VALUES (3, '产品2修改', 2, 2, 2, 2, NULL, '型号2', '描述1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `dmp_product` VALUES (4, '产品2', 1, 2, 2, 1, NULL, '1111', '212121', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `dmp_product` VALUES (5, '产品2', 2, 4, 2, 2, NULL, '12222', '121212112', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '2022-10-14 15:43:27', NULL, NULL, NULL);
INSERT INTO `dmp_product` VALUES (6, '产品3修改', 1, 3, 2, 2, NULL, '型号4', '描述', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, '2022-10-14 18:02:01', NULL, '2022-10-14 18:02:12', NULL);
INSERT INTO `dmp_product` VALUES (7, '科泰消防远程控制终端', 1, 2, 1, 2, NULL, 'BT', '123123', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '2022-11-18 11:55:50', NULL, NULL, NULL);
INSERT INTO `dmp_product` VALUES (8, '独立式光电感烟', 2, 3, 1, 2, NULL, 'DS-2TD1217', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, '2023-01-18 15:03:26', NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for dmp_product_attribute
-- ----------------------------
DROP TABLE IF EXISTS `dmp_product_attribute`;
CREATE TABLE `dmp_product_attribute` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `product_id` int(12) NOT NULL COMMENT '产品ID',
  `attribute_name` varchar(50) NOT NULL COMMENT '属性名称',
  `attribute_code` varchar(50) NOT NULL COMMENT '属性标识',
  `attribute_port` int(10) NOT NULL COMMENT '对应端口/属性ID',
  `attribute_type` int(1) DEFAULT NULL COMMENT '属性类型;1：必选，2：可选',
  `data_type` int(2) NOT NULL COMMENT '数据类型',
  `bind_status` int(1) DEFAULT NULL COMMENT '绑定状态;1：已绑定，2：未绑定',
  `attribute_length` int(2) DEFAULT NULL COMMENT '长度',
  `attribute_unit` int(2) DEFAULT NULL COMMENT '单位',
  `maximum` decimal(24,6) DEFAULT NULL COMMENT '最大值',
  `minimum` decimal(24,6) DEFAULT NULL COMMENT '最小值',
  `time_format` varchar(100) DEFAULT NULL COMMENT '时间格式',
  `bool_false` varchar(50) DEFAULT NULL COMMENT '布尔值false',
  `bool_true` varchar(50) DEFAULT NULL COMMENT '布尔值true',
  `delete_flag` int(1) DEFAULT '0' COMMENT '删除标识;0：未删除，1：已删除',
  `attribute_describe` varchar(255) DEFAULT NULL COMMENT '描述',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(12) DEFAULT NULL COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='产品属性表';

-- ----------------------------
-- Records of dmp_product_attribute
-- ----------------------------
BEGIN;
INSERT INTO `dmp_product_attribute` VALUES (2, 2, '属性2修改', '3', 15481, NULL, 1, NULL, 2, 1, 100.000000, 0.000000, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '2022-10-14 11:13:47', NULL);
INSERT INTO `dmp_product_attribute` VALUES (3, 2, '属性2', '4', 3, NULL, 1, NULL, 1, 2, 2.000000, 1.000000, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `dmp_product_attribute` VALUES (4, 2, '属性3', '5', 4, NULL, 1, NULL, 1, 3, 4.000000, 1.000000, NULL, NULL, NULL, 1, NULL, NULL, '2022-10-14 11:16:13', NULL, NULL, NULL);
INSERT INTO `dmp_product_attribute` VALUES (5, 2, '属性4', '22', 11, NULL, 1, NULL, 1, 4, 5.000000, 3.000000, NULL, NULL, NULL, 1, NULL, NULL, '2022-10-14 11:16:35', NULL, NULL, NULL);
INSERT INTO `dmp_product_attribute` VALUES (6, 2, '属性1', '11', 1, 2, 1, 2, 1, 1, 100.000000, 0.000000, NULL, NULL, NULL, 0, NULL, NULL, '2022-10-19 15:59:24', NULL, NULL, NULL);
INSERT INTO `dmp_product_attribute` VALUES (7, 2, '属性21', '2', 2, 2, 1, 2, 2, 4, 13.000000, 1.000000, NULL, NULL, NULL, 0, NULL, NULL, '2022-10-19 16:01:43', NULL, '2022-10-19 17:09:51', NULL);
INSERT INTO `dmp_product_attribute` VALUES (8, 8, '电量', '2', 1, 2, 2, NULL, 1, 3, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, '2023-01-18 15:05:16', NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for dmp_product_attribute_attach
-- ----------------------------
DROP TABLE IF EXISTS `dmp_product_attribute_attach`;
CREATE TABLE `dmp_product_attribute_attach` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `attribute_id` int(12) DEFAULT NULL COMMENT '属性id',
  `parameter_value` int(10) DEFAULT NULL COMMENT '参数值',
  `parameter_describe` varchar(100) DEFAULT NULL COMMENT '参数描述',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='产品属性附表';

-- ----------------------------
-- Table structure for dmp_software_info
-- ----------------------------
DROP TABLE IF EXISTS `dmp_software_info`;
CREATE TABLE `dmp_software_info` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `software_id` varchar(50) DEFAULT NULL COMMENT '软件ID',
  `effect_status` int(4) DEFAULT NULL COMMENT '生效状态',
  `software_name` varchar(120) DEFAULT NULL COMMENT '软件名称',
  `software_explain` varchar(500) DEFAULT NULL COMMENT '软件说明',
  `order_number` int(11) DEFAULT NULL COMMENT '序号',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='软件信息表';

-- ----------------------------
-- Records of dmp_software_info
-- ----------------------------
BEGIN;
INSERT INTO `dmp_software_info` VALUES (1, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', 1, 'test', NULL, 1, '2022-10-12 08:54:53', '2022-10-12 08:54:53');
COMMIT;

-- ----------------------------
-- Table structure for dmp_software_subpackage
-- ----------------------------
DROP TABLE IF EXISTS `dmp_software_subpackage`;
CREATE TABLE `dmp_software_subpackage` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `upgrade_id` int(12) DEFAULT NULL COMMENT '主升级信息id',
  `subpackage_number` int(6) DEFAULT NULL COMMENT '分包序号',
  `apply_package` blob COMMENT '应用程序数据包',
  `subpackage_length` varchar(255) DEFAULT NULL COMMENT '分包大小',
  `check_code` varchar(255) DEFAULT NULL COMMENT '从第一个数据包到当前的总校验值',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=31994 DEFAULT CHARSET=utf8 COMMENT='软件分包信息表';

-- ----------------------------
-- Table structure for dmp_software_upgrade
-- ----------------------------
DROP TABLE IF EXISTS `dmp_software_upgrade`;
CREATE TABLE `dmp_software_upgrade` (
  `id` int(12) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `product_id` int(12) NOT NULL COMMENT '产品ID',
  `software_id` varchar(50) DEFAULT NULL COMMENT '软件ID',
  `version_name` varchar(100) DEFAULT NULL COMMENT '版本名称',
  `major_version` varchar(20) DEFAULT NULL,
  `minor_version` varchar(20) DEFAULT NULL COMMENT '版本号',
  `package_length` int(10) DEFAULT NULL COMMENT '升级包大小（byte）',
  `check_code` varchar(50) DEFAULT NULL COMMENT '校验码',
  `version_describe` varchar(255) DEFAULT NULL COMMENT '版本描述',
  `implement_time` datetime DEFAULT NULL COMMENT '执行时间',
  `created_by` varchar(32) DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_by` varchar(32) DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(12) DEFAULT NULL COMMENT '租户号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8 COMMENT='软件升级信息表';

-- ----------------------------
-- Records of dmp_software_upgrade
-- ----------------------------
BEGIN;
INSERT INTO `dmp_software_upgrade` VALUES (55, 2, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包', '1', '1', 55731, '00a75afb18fede73090fc4318e175696', '测试', '2022-10-27 00:00:00', NULL, '2022-10-26 13:50:08', NULL, NULL, NULL);
INSERT INTO `dmp_software_upgrade` VALUES (56, 5, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包2', '1', '2', 55731, '00a75afb18fede73090fc4318e175696', '测试', '2022-10-26 14:29:01', NULL, '2022-10-26 14:27:26', NULL, NULL, NULL);
INSERT INTO `dmp_software_upgrade` VALUES (58, 5, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包', '1', '3', 1810864, '2b46285ec3b49f2204d0745e3ac93125', '测试', '2022-10-26 18:00:00', NULL, '2022-10-26 15:09:54', NULL, NULL, NULL);
INSERT INTO `dmp_software_upgrade` VALUES (62, 2, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包', '1', '4', 1810864, '2b46285ec3b49f2204d0745e3ac93125', '测试', '2022-10-27 10:00:00', NULL, '2022-10-27 09:18:32', NULL, NULL, NULL);
INSERT INTO `dmp_software_upgrade` VALUES (63, 2, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包', '1', '5', 1810864, '2b46285ec3b49f2204d0745e3ac93125', '测试', '2022-10-27 10:00:00', NULL, '2022-10-27 09:25:04', NULL, NULL, NULL);
INSERT INTO `dmp_software_upgrade` VALUES (64, 2, 'f7e35a6f-76cc-4826-8dd6-1e1a0a9584c2', '升级包', '1', '6', 1811256, '19d5908d811d07fe416ebcc55f03ec7d', '测试', '2022-10-27 10:00:00', NULL, '2022-10-27 09:44:47', NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table` (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='代码生成业务表';

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column` (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典类型',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='代码生成业务表字段';

-- ----------------------------
-- Table structure for hce_article
-- ----------------------------
DROP TABLE IF EXISTS `hce_article`;
CREATE TABLE `hce_article` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '内容标题;',
  `author` varchar(50) CHARACTER SET utf8 DEFAULT NULL COMMENT '作者',
  `content` text CHARACTER SET utf8 COMMENT '内容',
  `hits` int(11) DEFAULT NULL COMMENT '点击量;',
  `htmlfilepath` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '内容文件路径',
  `istop` int(10) DEFAULT NULL COMMENT '是否置顶;0:否 1:是',
  `categoryid` int(10) DEFAULT NULL COMMENT '栏目ID',
  `image` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '内容图片;',
  `lmtitle` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '内容副标题;',
  `zhaiyao` varchar(1000) CHARACTER SET utf8 DEFAULT NULL COMMENT '内容摘要;',
  `createdate` datetime DEFAULT NULL COMMENT '创建时间;',
  `modifydate` datetime DEFAULT NULL COMMENT '修改时间;',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=416 DEFAULT CHARSET=utf8 COLLATE=utf8_german2_ci COMMENT='帮助中心_内容管理';

-- ----------------------------
-- Records of hce_article
-- ----------------------------
BEGIN;
INSERT INTO `hce_article` VALUES (354, 'UUWC 07-0800 用水数据采集装置', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>UUEH 07-0800 紧急（求助）按钮</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 产品外观</strong></span></h2><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923121823A334.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 产品编码定义</strong></span></h2><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923121905A335.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>3 主要功能特点</strong></span></h2><ul><li>一键呼救，简单快捷高效；</li><li>通讯方式支持全球覆盖；</li><li>内置手机SIM卡，只要有手机信号的地方都可以使用；</li><li>手机实时接收，绑定相应手机号码，按按钮即可实时发送紧急信息；</li><li>适用对象广泛，只要有手机信号的场所均可以应用，无论是独居老人、小孩或是户外徒步爱好者，遇到突发情况，按呼叫，都可及时得到救援。</li></ul><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>4 主要性能指标</strong></span></h2><table style=\"width: auto;\"><tbody><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>性能</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\"><strong>参数</strong></td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>电池型号</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">14500</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>电池电压</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">3.7V</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>电池容量</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">1200mA</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>待机时间</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">2-3年（符合实验室测试条件的情况下）</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>模组认证</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">CCC/SRRC/NAL/GTI</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>工作温度</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">﹣100℃-500℃</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>相对湿度</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">≤90%RH（无凝结现象）</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>灵敏度</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">﹣114dBm (无重传），﹣130dBm (开启重传)</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>产品尺寸</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">86mm*86mm 可嵌入安装</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>通讯方式</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">NB-IoT</td></tr></tbody></table><p style=\"text-align: left;\"><br></p><p><br></p>', 0, '', 0, 121, 'http://172.16.120.165:9300/statics/202209/20220928113616A431.png', '', '111111', '2022-09-23 12:19:09', '2022-09-28 11:36:21');
INSERT INTO `hce_article` VALUES (355, 'UMGW 08-0500 物联网网关模块', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>UMGW 08-0500 物联网网关模块</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 产品外观</strong></span></h2><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923122102A336.png\" alt=\"\" data-href=\"\" style=\"\"/></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 产品编码定义</strong></span></h2><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923122123A337.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>3 主要功能特点</strong></span></h2><ul><li>采用工业总线（RS-485）或以太方式连接采集设备</li><li>支持Modbus RTU、MQTT、WebSocket等多种数据交互方式</li><li>提供功能配置网页，采集参数调试便捷</li><li>支持平台服务端发起的终端应用自动升级</li><li>现场采集点数量可达4096个</li></ul><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>4 主要性能参数</strong></span></h2><table style=\"width: auto;\"><tbody><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>性能</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\"><strong>参数</strong></td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>CPU</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">ARM9嵌入式低功耗</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>内存</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">64MB</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>Flash存储</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">32MB SPI Nor</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>接口</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">RS-485：1以太网口：1</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>无线通信</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">4G，全网通</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>TF卡插槽</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">1</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>供电</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">DC 9-24V</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>功耗</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">约2.6W</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>工作温度</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">-10~60℃</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"150\"><strong>工作湿度</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"452\">20%~95%</td></tr></tbody></table><p style=\"text-align: left;\"><br></p><p><br></p>', 0, '', 0, 122, '', '', '', '2022-09-23 12:21:25', '2022-09-26 14:41:32');
INSERT INTO `hce_article` VALUES (356, '中台场景配置', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>数据中台场景配置功能介绍</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 背景</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 数据中台通常具备四种能力：数据采集整合、数据提纯加工、数据服务可视化、数据价值变现。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 数据采集整合：创建企业数据中台第一步，打破企业内部各个业务系统的数据隔阂，形成统一的数据中心，为后续数据价值的挖掘提供基础。主要通过数据采集和数据交换实现。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 数据提纯加工：主要是对数据统一标准、补充属性，然后根据维度汇总成数据表、最后汇总出所需要的报表，满足企业对数据的需求。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 数据服务可视化：对数据进行计算逻辑的封装，生成API服务，上层数据应用可以对接数据服务API，让数据快速应用到业务场景中。数据服务API对接的3种常见数据应用包括数据大屏、数据报表、智能应用。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 数据价值变现：通过打通企业数据，提供以前单个部门或者单个业务部门无法提供的数据服务能力，为赋能前端应用、数据价值变现提供基础。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 永天科技自研的场景配置功能属于数据服务可视化中的智能应用。</span></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 功能简介</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 基于已接入数据中台的各个子系统，通过中台这个统一的数字底座，实现跨子系统的功能联动。</span></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>3 实现方法</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 基于接入数据中台的子系统，分别根据数据查询、事件通知、功能驱动的需求，以及当前接入中台的数据统一封装格式，分别进行独立封装，相关API在中台功能清单中注册登记。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 在数据中台内建立功能调度引擎，用于侦测相关已搭建场景的实施步骤和履行条件，自动推进场景的脚本执行。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 建立可供最终用户编辑使用的场景编辑器，对场景每个步骤的实施条件进行自助定义，一旦生效后交由调度引擎实时智能判别与执行。</span></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>4 功能适用范围</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 通过中台登记的，具备联动条件封装的各个子系统功能。</span></p>', 0, '', 0, 123, '', '', '', '2022-09-23 12:23:27', '2022-09-26 14:21:24');
INSERT INTO `hce_article` VALUES (357, 'USiST-0305 物联网数据看板', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26);\">USiST-0300 物联网数据看板终端软件</span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 软件界面</strong></span></h2><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923124733A346.jpg\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 产品编码定义</strong></span></h2><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923123146A338.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>3 产品功能特点</strong></span></h2><ul><li>集成永天智慧云物联网平台接口功能</li><li>可视化界面可独立订制</li><li>具备语言合成功能，中、英文播报信息内容（中文播报依赖Windows操作系统，可联系咨询USiST-0400编码产品）</li><li>软件界面分辨率：1920*1080</li><li>默认功能：消防物联网数据采集监控数据可视化看板程序</li></ul><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>4 产品参数性能</strong></span></h2><table style=\"width: auto;\"><tbody><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"164\"><strong>参数</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"438\"><strong>性能</strong></td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"164\"><strong>硬件最低要求</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"438\">CPU：赛扬内存：2GB存储：4GB接口：以太网口 100MB/视频接口VGA或HDMI/键鼠显示器：14英寸，1920*1080分辨率操作系统：Ubuntu Linux 18.04</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"164\"><strong>硬件推荐要求</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"438\">CPU：i3内存：4GB存储：64GB接口：以太网口 1000MB/视频接口VGA或HDMI/音频 3.5 mm输出/键鼠或触摸屏显示器：72英寸，1920*1080分辨率触摸屏：电阻或电容操作系统：Ubuntu Linux 18.04</td></tr></tbody></table><p style=\"text-align: justify;\"><br></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">永天智慧消防物联网数据看板——消防数据驾驶舱</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">概述：消防数据看板直接调用永天智慧消防物联网平台内的所有数据，集成平台所有功能，对用户重要消防数据进行实时动态展示，准确量化火灾安全隐患、告警信息，有效指导消防管理人员日常监督巡查工作，在险情发生的第一时间，准确定位发生位置、迅速高效地部署相关人员协调处理、进行人员疏散。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">定制界面：永天科技根据不同行业用户对数据展示的个性化需求，对消防数据看板界面进行按需定制与调整。以全方位、人性化、清晰直观、实时动态的方式展现各类消防设备运行数据、火灾告警信息、安全隐患提示等重要信息。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">数据可视：消防数据看板清晰直观的展示各维度消防数据信息，适合以大屏的方式设置在物管、消管中心、门卫室等全天候人员在岗的地方，帮助消防管理人员快速清晰地发现当前存在的异常消防数据，实时反馈告警信息、安全隐患，指导相关人员及时响应、及时排查。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">语音播报：消防数据看板不仅仅是数据可视化，其同时具备中、英文语音播报功能，第一时间将异常数据信息有效传达给相关人员，避免因人员观察疏忽导致错失实时告警信息，警示用户迅速作出针对性处理。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">独立网卡：消防数据看板可选择嵌入独立物联网卡，或通过工业平板电脑连接硬件设备，在一些需与外部互联网物理隔离的特殊场所，消防数据看板同样兼容适用、稳定运行。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">高效指挥：将消防数据看板设置在物管中心、消管中心、门卫室等24小时人员在岗的地方，结合监控摄像大屏，帮助相关人员共享各类消防数据信息，促进人员交流协作、相互配合，在险情发生时，指导人员高效处理。</span></p><p style=\"text-align: left;\"><br></p><p><br></p>', 0, '', 0, 124, '', 'USiST-0305 物联网数据看板', '', '2022-09-23 12:31:50', '2022-09-26 14:42:39');
INSERT INTO `hce_article` VALUES (358, 'USiFW/IoT-03 消防物联网平台系统', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>USiFW-0205 智慧消防物联网软件</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 软件界面</strong></span></h2><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923123621A339.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923123629A340.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923123638A341.png\" alt=\"\" data-href=\"\" style=\"\"/></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26);\"><strong>2 产品编码定义</strong></span></h2><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923123656A342.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>3 产品功能特点</strong></span></h2><ul><li>报警数据的展示：通过采集模块上报数据，在平台上使用不同的形式显现，并根据数据进行分析，使用户更客观的查看该单位消防情况。</li><li>报警数据的处理：通过显示的数据信息，对报警数据进行处理。</li><li>数据的配置：通过配置页面的配置实现平台操作（如巡检任务生成、工作考评的生成等）。</li><li>电气火灾与消防水系统隐患分析：通过对电流、电压、温度、水压、液位、水泵状态等数据计算分析，对消防系统中存在隐患进行判断分析。</li></ul><ul><li>三维建模与展示引擎：现场勘察获取建筑信息及点位安装位置后，根据信息搭建建筑模型，按照点位分布信息进行撒点，实时展示设备数据状态。</li></ul><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>4 产品性能参数</strong></span></h2><table style=\"width: auto;\"><tbody><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"185\"><strong>性能</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"417\"><strong>参数</strong></td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"185\"><strong>接入设备数量（上限）</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"417\">用户传输装置：2048台独立烟感：204800台消防视频监控摄像机：10240台消防水系统数据采集装置：40960台消防综合数据采集柜：40960台</td></tr><tr><td colSpan=\"1\" rowSpan=\"1\" width=\"185\"><strong>用户接入数量（上限）</strong></td><td colSpan=\"1\" rowSpan=\"1\" width=\"417\">用户单位：4096个管理员（用户）：10240名移动端用户：10240名并发在线请求处理：10240事务/秒</td></tr></tbody></table><p style=\"text-align: left;\"><br></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">永天智慧消防管理平台</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">概述 永天智慧消防管理平台基于物联网、人工智能、大数据、云计算等前沿技术，通过接入各类消防物联网传感监控设备，进行即时数据采集、计算及分析。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">平台实时监控区域内消防设备的运行状态、巡检维保状态、消防通道状态等消防重点内容，以全方位、定制化、清晰直观的方式展示消防数据信息，智能化评估消防安全风险，有效指导消防管理人员进行日常消防监督管理。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">在火灾发生的第一时间，平台自动报警联动公安消防，智能启动区域内灭火设备，以多渠道方式将火灾信息传达至区域内人员，高效进行指导疏散。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">大大降低火灾发生概率、减轻火灾严重程度、提升消防管理水平。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">融合 物联网+人工智能+大数据+云计算 等技术</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">集成 各类智慧消防子系统：火灾报警监控系统、电气火灾监控系统、消防水系统监控系统、烟感气体监控系统、消防通道视频监控系统、消防设备远程终端监控系统、防火门监控系统、消防设备电源控制系统、消防设备巡查系统、消防设备维保系统…</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">平台功能特点</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">实时设备监控：通过构建高感知传感监控设备，实时采集区域内消防数据，监控消防设备及通道状态，实时掌控区域消防安全。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">智能风险评估：平台对终端采集到的海量消防数据进行智能整合、计算及分析，自动对相关区域进行消防风险评估、隐患告警生成。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">实时异常反馈：终端一旦采集到异常消防数据，实时反馈至消防管理平台，提醒管理人员尽快处理。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">多端告警通知：平台告警通知同步通过手机App、短信、电话、语音播报等多种方式传达区域内人员。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">分级告警推送：平台针对各类告警信息进行智能分类，根据紧急程度分级推送给管理人员、公安消防、区域人员。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">智能指导疏散：火灾发生的第一时间，平台智能指导管理人员进行人员疏散、规划最优方式及路线。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">巡检维保管理：平台智能记录管理人员对消防设备的巡检维保记录，提升消防管理水平。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">定制平台界面：根据不同行业用户对平台展示的个性需求，进行平台界面定制。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">三维消防展示：通过对区域内建筑及消防设备进行现场勘察，搭建三维模型，直观形象展示消防设备运行状态、告警、险情发生位置。</span></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0); background-color: rgb(255, 255, 255);\">24H稳定运行: &nbsp;平台系统24小时稳定运行，全天候守护区域内消防安全。</span></p><p style=\"text-align: left;\"><br></p><p><br></p>', 0, '', 0, 125, '', 'USiFW/IoT-03 消防物联网平台系统', '', '2022-09-23 12:35:21', '2022-09-26 14:43:29');
INSERT INTO `hce_article` VALUES (359, '无线覆盖', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>5G网络室内覆盖</strong></span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">永天科技是众多地标性建筑网络通信服务的重要合作伙伴，2020年，永天科技成为三大通信运营商5G建设项目的重要承接单位。</span></p><ul><li>提供更多服务：同时满足5G通信、AI人脸识别、8K高清视频、室内精准导航服务需求</li></ul><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923123848A343.png\" alt=\"\" data-href=\"\" style=\"width: 1105.00px;height: 458.08px;\"></p><ul><li>数字化转型赋能：基于5G网络、大数据、人工智能等技术，同时掌握人流分布、安全保障、车辆管理、空间承租、信息发布等数据和应用支撑</li></ul><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923123924A344.png\" alt=\"\" data-href=\"\" style=\"width: 1101.00px;height: 494.59px;\"></p><ul><li>提升服务品质：线下实体与现实虚拟的混合，为服务插上“光速”的翅膀</li></ul><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923123938A345.png\" alt=\"\" data-href=\"\" style=\"width: 1113.00px;height: 496.44px;\"/></p><p style=\"text-align: left;\"><br></p>', 0, '', 0, 126, '', '11', '', '2022-09-23 12:39:40', '2022-09-23 14:34:57');
INSERT INTO `hce_article` VALUES (386, '智慧商圈', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>智慧商圈</strong></span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 集成智慧楼宇中现有的成熟技术，围绕商圈内的服务对象——人员个体，整合一系列的信息服务内容：</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923175939A354.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 移动信号覆盖、综合网络布线——确保商圈内的网络通信正常；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 统一的商铺、租户管理平台——提供标准化的服务基础；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 标准化的安防、消防监控系统——以国标、地标为基准的一体化安全服务；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 基于三维建筑模型的物管和事件处置机制——数字孪生的虚拟实体再现真实场景；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 物联网技术下的环境、灯光、能耗、梯控、物流、仓储——全系列数字化管控提升为实时的决策管理中心；</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 移动端的“线上商圈”——打造全方位的商圈服务体验。</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">优化顾客购物体验、助力店铺精准营销、降低商场运营成本。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">以永天云平台为基础，集成智慧楼宇现有成熟技术，通过“移动端+PC+门店端”多方入口方式进行信息采集，围绕消费者、店铺运营者、商场管理者整合一系列信息服务内容，对顾客行为、商铺、基础设施、物业等进行综合分析与管理。</span></p>', 0, '', 0, 182, NULL, '智慧商圈', '', '2022-09-23 17:59:46', NULL);
INSERT INTO `hce_article` VALUES (387, '智慧用电', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>智慧用电</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 提高用电质量</strong></span></h2><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923180322A359.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 基于配电站点的用电参数监测，跟踪系统内三相供电平衡情况，对于出现的配电策略不合理造成的供电能耗浪费情况，通过阶段报表方式进行提示。结合现场检测勘验，提供更加合理、有效的供电配电方案，降低系统因素造成的电能损耗。</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923180333A360.png\" alt=\"\" data-href=\"\" style=\"\"></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 用电特征分析</strong></span></h2><p><img src=\"http://172.16.120.165:9300/statics/202209/20220923180350A361.png\" alt=\"\" data-href=\"\" style=\"\"/></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 针对每一路的配电线路，统计各个时段的功耗数据，依照用途（照明、办公、生产、生活等）、时段、能耗量等参数进行用户用电特征汇集（profile）。同时参照供电政策中的峰、谷、平电价，提供更加经济的用电计划建议。</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923180401A362.png\" alt=\"\" data-href=\"\" style=\"\"></p>', 0, '', 0, 183, NULL, '智慧用电', '', '2022-09-23 18:04:36', NULL);
INSERT INTO `hce_article` VALUES (388, '智慧公安', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>智慧公安对接</strong></span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 通过在建筑、园区内依规部署安防监控系统中心、数据中心、视频监控系统、出入口控制系统、入侵和紧急报警系统，遵循地方公安对相关地区、地点所需实现的安全技术防范要求，完成信息系统的相关数据服务。</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923180604A363.png\" alt=\"\" data-href=\"\" style=\"width: 1082.00px;height: 309.45px;\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 除了在相关标准指定部位部署相应的安防设备外，分别向地方公安所属的数据中心提供各类数据链路服务，包含：</span></p><ul><li>出入口视频监控装置，配备人脸识别算法，同步算法与识别图库，配合公安要求提供的轨迹分析及重点人员识别数据；</li><li>重点监控地点视频摄像机，提供视频流推流服务，协助打通数据服务通路；</li><li>周界防范依照公安管理及所属单位业务管理需求，进行合理分区管理，发生入侵事件时，按配置分别向用户单位和（或）公安实施信息推送；</li><li>实现出入口人员识别管控，分别对内部员工、外协人员、访客以及相关停车车牌进行实时管理和识别，在保障安保需求同时，适应建筑、园区内的人员个性化服务。</li></ul>', 0, '', 0, 184, NULL, '智慧公安', '', '2022-09-23 18:06:15', NULL);
INSERT INTO `hce_article` VALUES (389, '智慧园区', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>智慧园区</strong></span></h1><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">背景分析：</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> 随着中国经济高速发展，大型生产工业园区日益增多，如何保障园区的安全生产已经成为迫切要求，需要技术先进、稳定可靠的智慧安全系统来保障其正常运行、安全生产。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> &nbsp; &nbsp; &nbsp;伴随着计算机技术、通信技术和视频技术的发展，生产监控系统也得到了很大进步，安防技术已经广泛应用于化工园区的生产管理与安全防范，解决了可视化管理的难点。随着国家智慧化工厂的推广，企业对安全生产的可视化、自动化、智能化的要求越来越高。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> &nbsp; &nbsp; 为保障工业园区安全生产，需要建立一套智慧安全生产保障系统来进行生产运行监控、实时数据采集分析、事件自动报警、事件应急处理等，实现工业园区管理的信息化和智能化。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">如何实现大规模生产安全保障是目前众多大型企业所企盼的</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> &nbsp; &nbsp; &nbsp; 智慧园区真正体现集约化的特点，在IT设施方面、楼宇办公设施、人才资源方面实现共享，从而有效降低企业运营成本，提高工作效率，促进公共技术和知识的沟通，智慧园区以节能减排作为重要目标，从楼宇、园区公共设施到数据中心，都会具有相应的节能措施，大幅降低能耗水平，削减企业运营成本，完成了政府对园区的节能减排的重要任务。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> &nbsp; &nbsp; 智慧园区，帮助园区打造基础设施高端、管理服务高效，创新环境高质，可成长、可扩充，面向未来持续发展的园区运营管理平台。 &nbsp;</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">需求分析：</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">1. 视频监控需求：实现对工业园区员工作业、生产设备运行、车辆进出、环境数据等进行实时监控，确保对人员、车辆、设备、各区域场所情况进行全面有效的掌控</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">2. 报警管理需求：当出现突发情况时可以一键报警通知监控中心，监控中心立即通过声光报警、语音报警、短信等方式提示关人员</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">3. 融合通信需求：通信系统中的对讲终端（对讲机、话机、单兵、手机等）可以根据需求向监控中心发起音/视频对讲连接请求</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181039A364.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">智慧园区子系统及功能描述</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181056A365.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">智慧园区大数据平台整体框架</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">首先打造一个统一平台，设立统一的数据中心，构建三张基础网络，作为打通数据壁垒的基础</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">通过分层建设，达到平台能力及应用的可成长、可扩充、可复制，创造面向未来的系统框架。</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181120A366.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 在智慧园区的整体建设基础下，通过数据中台的服务整合，可以搭建一体化的智慧办公平台。</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181200A367.png\" alt=\"\" data-href=\"\" style=\"width: 1172.00px;height: 603.98px;\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 以RFID或人脸识别为基础的人员编码技术，可以分别辅助应用到人员通行、车辆管理、员工考勤、访客管理、会议预约、查岗签到、个人消费、行为轨迹、场地租用、读书阅览等多种场景。</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181218A368.png\" alt=\"\" data-href=\"\" style=\"width: 1211.00px;height: 566.08px;\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 以办公用途为主的园区中，例如会议管理、打印管理、智能用电、能耗管理、环境监测等系统，可以通过相关的系统功能集成，搭建出完整的功能应用平台。</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181233A369.png\" alt=\"\" data-href=\"\" style=\"width: 1105.00px;height: 467.06px;\"></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220923181246A370.png\" alt=\"\" data-href=\"\" style=\"width: 1050.00px;height: 536.34px;\"></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><br></p>', 0, '', 0, 185, '', '智慧园区', '', '2022-09-23 18:12:54', '2022-09-26 09:27:58');
INSERT INTO `hce_article` VALUES (390, '公司介绍', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26);\">公司介绍</span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 永天科技创始于2004年，注册资本3098万元，致力于物联网平台开发、智慧城市设计与实施，助力智慧城市运营，先后为不同城市提供定制化、智能化、新型特色智慧城市整体解决方案。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 永天科技总部在上海，经过18年发展，2013年8月，永天科技在新三板上市，证券代码：430273。截止2021年4月公司共申请百余项技术软著，多行业领域荣誉资质，物联网发明专业。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 公司发展历程：</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2004年，公司创立，与三大运营商战略合作进行城市楼宇基础网络运营。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2008-2012年， 获得多项软件著作权。公司完成股改，设立研发中心，专注于楼宇智能化产品研发。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2013年，与同济大学战略合作，培养智慧楼宇工程师，在全国中小企业股份转让系统公开挂牌转让。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2016年，发起永天智慧楼宇产业联盟，构建以楼宇数字化为基础的一体化管理平台。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2018年，启动物联网数据采集、处理单元产品系列的研发，成功打入消防物联网和安防物联网市场。</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 2019-2021年，建立了物联网、电力监测、智慧园区三大核心技术支柱，公司启动IPO计划。</span></p><p style=\"text-align: justify;\"><br></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">公司介绍修改：</span></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">上海永天科技股份有限公司（以下简称 “永天科技”）成立于2004年，总部位于中国上海，是国内专业的智慧城市整体解决方案提供商、综合运营服务商，公司于2013年在新三板挂牌（证券代码：430273）。</span></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">永天科技以自研的物联网平台“永天云”为基础，整合物联网、大数据、人工智能等核心信息技术赋能智慧城市建设，致力于为智慧园区、智慧社区、智慧商圈、智慧校园、智慧办公、智慧政务、智慧消防等多种应用场景提供定制化的整体解决方案。</span></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">历经18年发展，公司多次荣获国家高新技术企业、AAA级信用企业及消防设施工程、通信工程、安全防范工程、电子与智能化工程等多类施工领域的荣誉资质，并取得了三百余项物联网技术、智能化楼宇领域的发明专利与软件著作。</span></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">截至目前，永天科技已在深圳、南昌、上饶等地设立分公司，服务客户遍布全国，知名客户包括碧桂园、嘉里建设、绿地集团、铂尔曼、香格里拉、上海交通大学、同济大学、上海机场集团等等。</span></p><p style=\"text-indent: 16px; text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\">智慧城市建设是国家未来发展的大趋势，永天科技自创立以来，始终以“助力智慧城市建设运营”为核心，紧随物联网、人工智能等高新技术行业发展趋势，不断开拓各项智慧城市建设运营服务，满足不同行业用户的定制化需求，对智慧城市建设内涵有着深刻的理解。</span></p>', 0, '', 0, 196, NULL, '公司介绍', '', '2022-09-23 18:14:17', NULL);
INSERT INTO `hce_article` VALUES (391, '企业文化', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26);\">公司文化</span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 企业核心价值观：一起梦想、一起成长、一起分享</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 企业使命：用数字化手段，助力客户融入数智时代</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> 修改：用数字化的手段、创新的思维、精益的服务，助力全球智慧城市建设与运营，为你我构筑更加高效、便捷、安全的未来城市生活。</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 企业愿景：成为智慧数字产业的领跑者</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\"> 修改：成为全球卓越的智慧城市整体解决方案提供商、综合运营服务商</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 企业精神：</span><span style=\"color: rgb(255, 0, 0);\">（不建议放官网）</span></p><ul><li>效率：对工作抱有激情</li><li>结果：要结果不要理由</li><li>感恩：成功不是一个人造就</li><li>积极：积极采取行动，努力去做</li><li>团队：共享共担，以小我完成大我</li><li>忠诚：忠于自己的职责和事业</li><li>成本：将公司的钱当成自己的钱</li><li>进取：努力前进，有所作为</li><li>沟通：通过沟通解决问题，达成一致</li><li>负责：进到应尽的责任，敢于承担</li><li>敬业：以专业的态度和平常的心态做非凡的事情</li></ul><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><br></p>', 0, '', 0, 197, NULL, '企业文化', '', '2022-09-23 18:14:48', NULL);
INSERT INTO `hce_article` VALUES (392, '公司荣誉', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>公司资质、荣誉</strong></span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(255, 0, 0);\">需增加专利与软著的内容，统计数量、整理证书图片</span></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(0, 0, 0); font-size: 22px;\"><strong>1 公司证照</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">营业执照</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">安全生产许可证</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220926091959A371.png\" alt=\"\" data-href=\"\" style=\"width: 1094.00px;height: 773.08px;\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">开户许可证</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">通用航空企业经营许可证</span></p><p style=\"text-align: left;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220926145528A414.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">增值电信业务许可证（工信部）</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">高新技术企业证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">电子与智能化工程专业承包一级</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">消防设施工程专业承包二级</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">通信工程施工总承包三级</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">上海市安防工程设计施工一级证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">环境管理体系认证</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">职业监控管理体系认证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">重质量守信用单位AAA证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">上海消防协会标准编写证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">上海软件行业协会证书</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">上海安防协会理事</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">上海消防协会会长单位</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">华为认证经销商</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">宇视合作伙伴认证授权书</span></p><p style=\"text-align: left;\"><br></p><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>2 软著</strong></span></h2><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能火灾告警系统数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能电气火灾数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能消防水系统数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能烟感系统数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能RTU系统数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天NB-IoT交互管理系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天服务端监控管理系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧用电管理平台软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧消防微信端告警小程序软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧巡检维保系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧中控管理平台软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天后台管理平台软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧消防APP客户端软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智能视频监控系统数据采集模块软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧消防物联网平台</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天科技二维码门禁访客系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天物联网网关系统软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天用户传输装置仿真器软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天智慧物管服务系统管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天数据同步管理系统平台软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天会议预约管理系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天楼宇展示系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天电子铭牌系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天外出登记系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天信息发布系统</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天微信管理系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天3D地图引导软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天Web网站管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天报表管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天会议预约管理系统</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天基于SOA的分布式在线PLM协助软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天客户关系管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天门户集成管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天企业收发文软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天任务发布管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天资产管理软件</span></p><p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">永天网络办公软件</span></p><p style=\"text-align: left;\"><br></p>', 0, '', 0, 198, '', '公司荣誉', '', '2022-09-26 09:16:22', '2022-09-26 14:57:48');
INSERT INTO `hce_article` VALUES (393, '联系永天', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>联系我们</strong></span></h1><h2 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 22px;\"><strong>1 公司本部</strong></span></h2><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">公司地址：上海市青浦区徐乐路208号</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">联系电话：021-65376655</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">Add：208 Xule Rd,Qingpu District,Shanghai</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">Tel：(021)65376655</span></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">百度地图：</span><a href=\"https://map.baidu.com/search/%E6%B0%B8%E5%A4%A9%E7%A7%91%E6%8A%80/@13497846.02439665,3633805.60889075,19z?querytype=s&amp;da_src=shareurl&amp;wd=%E6%B0%B8%E5%A4%A9%E7%A7%91%E6%8A%80&amp;c=289&amp;src=0&amp;wd2=%E4%B8%8A%E6%B5%B7%E5%B8%82%E9%9D%92%E6%B5%A6%E5%8C%BA&amp;pn=0&amp;sug=1&amp;l=13&amp;b=(13470330,3622433;13531514,3651009)&amp;from=webmap&amp;biz_forward=%7B%22scaler%22:1,%22styles%22:%22pl%22%7D&amp;sug_forward=7b8e7d9c7ebd484d74026910&amp;device_ratio=1\" target=\"\"><span style=\"color: rgb(23, 92, 235);\">永天科技定位</span></a></p>', 0, '', 0, 201, NULL, '联系永天', '', '2022-09-26 09:23:38', NULL);
INSERT INTO `hce_article` VALUES (394, '售后服务', '测试作者', '<p><br></p><h1 style=\"text-align: left;\"><span style=\"color: rgb(26, 26, 26); font-size: 32px;\"><strong>售后服务</strong></span></h1><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\"> 永天科技自2004年起，公司长期从事智能楼宇、通信配套、物联网监测和数字政务等领域的项目建设和信息服务，常年提供全国范围内数千个项目的后期维护服务。 多年的服务工作，积累了大量的技术经验和用户资源，并形成了一整套运维管理体系。</span></p><p style=\"text-align: center;\"><img src=\"http://172.16.120.165:9300/statics/202209/20220926092454A372.png\" alt=\"\" data-href=\"\" style=\"\"></p><p style=\"text-align: left;\"><span style=\"color: rgb(51, 51, 51);\">各类售后服务包含：</span></p><ul><li>安装调试：依照服务合同经由永天公司协助采购的非自研、自产设备，由永天公司负责完成安装与调试工作；</li><li>系统验收：由永天公司搭建、集成的各类智能化产品和服务，由永天公司提供验收用例、验收计划等专业文本，负责与用户一同逐项进行功能、质量的检测与复核，验收结果填写至验收报告并由用户方代表签字确认，视同为项目完成；</li><li>培训辅导：依照服务合同经由永天公司协助采购或搭建集成的各类智能化产品和服务，永天公司负责派员上门进行系统的使用培训、辅导，相关活动以用户代表签字的培训单视同完成；</li><li>支撑服务：由永天公司搭建、集成的项目，由永天公司承担质保期内的技术支持服务责任；</li><li>在线运维：在开通远程维护时，永天公司对搭建、集成的各类智能化产品提供必要的远程在线；</li><li>定义维保：依照永天公司的产品维保合同，定期完成相关设备、系统、功能的维护保养；</li><li>紧急保障：依照服务合同，在永天公司搭建、集成的各类设备、系统、功能发生异常情况，导致工作异常或工作状态暂停时，永天公司将实施紧急响应，及时提供现场保障服务。</li></ul>', 0, '', 0, 203, '', '售后服务', '', '2022-09-26 09:25:00', '2022-09-26 09:26:06');
INSERT INTO `hce_article` VALUES (395, '张园城市', '测试作者', '<p style=\"text-align: left;\"><br></p><p style=\"text-align: left;\"><span style=\"font-size: 19px;\"><strong>张园城市更新(西区115-02地块保护性综合改造工程)项目</strong></span></p><p style=\"text-align: left;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: left;\"><span style=\"font-size: 16px;\"> &nbsp; &nbsp; &nbsp; 上海张园位于南京西路，泰兴路，在清朝末年时为上海最大的市民公共活动场所，有“海上第一园”的美名，在清朝时由于位处上海租界区内，清政府管辖不到，因此各种政治集会、演说也多在张园举行，在中国近代思想文化界，具有一定的影响地位。本轮西区保护性综合改造工程涵盖16幢保护建筑，总建筑面积为19388.7平方米。其中4幢为文物保护点，12幢为优秀历史保护建筑。在保护好建筑本体及重点保护部位的前提下，后续将充分发掘其潜在的商业价值。我们相信此次的规划及更新，将能更好的使这个片区重拾活力，并成为南京西路商办圈的文化及休闲重心，一张亮丽的城市名片。</span></p><p style=\"text-align: left;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">视频监控系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">出入口控制系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">入侵和紧急报警系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">实时电子巡检系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">综合布线系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">计算机网络系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">无线网络系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">背景音乐和公共广播系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">无线对讲系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">建筑设备监控系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">环境监测系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">能耗监测系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">智能照明系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">客流分析系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">机房工程；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">智慧消防系统；</span></li><li style=\"text-align: left;\"><span style=\"font-size: 16px;\">综合管网系统；</span></li><p style=\"text-align: left;\"><br></p></ul>', 0, 'http://172.16.120.165:9300/statics/202209/20220926133136A407.png', 0, 186, '', '张园城市', '', '2022-09-26 09:38:11', '2022-09-26 13:32:39');
INSERT INTO `hce_article` VALUES (396, '中共山东省委党校', '测试作者', '<p><span style=\"font-size: 19px;\"><strong>中共山东省委党校（山东行政学院）东校区二期综合培训楼智能化建设项目（EPC）</strong></span></p><p><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p><span style=\"font-size: 16px;\"> &nbsp; &nbsp; &nbsp; 中共山东省委党校（山东行政学院）是中共山东省委直接领导下培养党员领导干部和理论干部的学校，是省委的重要部门，是培训轮训全省党员领导干部的主渠道，是山东省党的哲学社会科学研究机构，是山东省重要智库。</span></p><p><span style=\"font-size: 16px;\">为全面适应新时代干部教育培训要求，根据山东省干部教育培训实际需求，全面推进中共山东省委党校（山东行政学院）信息化建设，将中共山东省委党校（山东行政学院）建设成“全国一流党校”。</span></p><p><span style=\"font-size: 16px;\">本项目主要基于党校信息化建设的软/硬件现状和业务发展需求，通过利用计算机技术、网络技术、通讯技术以及物联网技术对学校与教学、科研、管理和生活服务有关的所有信息资源进行全面的数字化，为教师和学员提供基于角色的个性化服务，全面感知信息数字化的教学资源，获得互动、共享、协作的学习、工作和生活环境的全新体验。</span></p><p><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li><span style=\"font-size: 16px;\">数字校园综合运营管理中心；</span></li><li><span style=\"font-size: 16px;\">数据传输系统；</span></li><li><span style=\"font-size: 16px;\">智慧校园智能建筑系统；</span></li><li><span style=\"font-size: 16px;\">智能停车场系统；</span></li><li><span style=\"font-size: 16px;\">智慧交互及数据大屏系统；</span></li><li><span style=\"font-size: 16px;\">智慧数字班牌系统；</span></li><li><span style=\"font-size: 16px;\">智慧会议及未来科创教学系统；</span></li><li><span style=\"font-size: 16px;\">智慧校园客控系统；</span></li><li><span style=\"font-size: 16px;\">客房电视机、电话系统；</span></li><li><span style=\"font-size: 16px;\">校园高精度无感知考勤管理系统；</span></li><li><span style=\"font-size: 16px;\">智慧校园应急防灾系统；</span></li><li><span style=\"font-size: 16px;\">未来科创云桌面系统；</span></li><li><span style=\"font-size: 16px;\">门禁系统；</span></li><p><br></p></ul><p><br></p><p><br></p><p><br></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926133022A406.png', 0, 187, '', '中共山东省委党校', '', '2022-09-26 10:00:02', '2022-09-26 13:31:28');
INSERT INTO `hce_article` VALUES (397, '科技绿洲', '测试作者', '<p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>科技绿洲</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"> &nbsp; &nbsp; &nbsp; <span style=\"font-size: 16px;\">上海漕河泾科技绿洲园区规划面积60万平方米，简称一个聚集众多跨国公司的花园式高科技总部园区。“科技绿洲”结合中国特色，引进国外先进的投资、经营、管理模式，建成一个绿化覆盖率达40%、低容积率、有相当部分面积水域、房屋主要为底层建筑的花园式科技园区、科技绿洲采用英国阿灵顿园区的设计和管理理念，建成在中国独特的既用友市区高档写字楼品质又用友花园环境的科技园区。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">综合布线系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">计算机网络系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">数字式视频监控系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">入侵报警系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">电子巡更系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">门禁管理系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">停车场管理系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">机电设备管理系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">物业管理无线对讲子系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">信息发布系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">UPS不间断电源系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">防雷系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">机房系统；</span></li></ul><p style=\"text-align: start;\"><br></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926132857A405.png', 0, 188, '', '科技绿洲', '', '2022-09-26 10:02:22', '2022-09-26 13:30:04');
INSERT INTO `hce_article` VALUES (400, '上饶人民医院北院', '测试作者', '<p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>上饶人民医院北院智能化项目</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"> &nbsp; &nbsp; <span style=\"font-size: 16px;\">上饶市人民医院城北院区位于天佑大道南侧、庆丰北路西侧，占地为113亩，总投资达10亿元。主要建设内容为二栋20层的住院楼，以及5层建筑的门诊、医技、后勤、科教综合楼等组合成的一个整体建筑群。门诊大楼为环抱型的结构，两个南北主楼为住院部大楼，主楼中间是医技楼。市人民医院城北院区设计病床1499张，门急诊每天最大可接待5000人次。更好的满足了城市发展的需要，提升城市品位以及满足广大市民群众医疗保健的需求。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">综合布线系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">弱电线缆系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">机柜；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">医疗专用无线网络；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">监控系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">入侵报警系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">巡更系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">一卡通系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">梯控系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">时钟系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">信息发布系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">排队叫号系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">医护对讲系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">婴儿防盗系统；</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">UPS精密空调及冷通道系统；</span></li><p style=\"text-align: start;\"><br></p></ul>', 0, 'http://172.16.120.165:9300/statics/202209/20220926132736A404.png', 0, 189, '', '上饶人民医院北院', '', '2022-09-26 10:04:16', '2022-09-26 13:28:47');
INSERT INTO `hce_article` VALUES (401, '凤鸣海尚', '测试作者', '<p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>凤鸣海尚项目智能化工程（碧桂园）</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"> &nbsp; &nbsp; &nbsp; 本项目地址位于上海市奉贤区星火农场海农公路1188弄，为封闭型小区，总建筑面积154000m²，地下共</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">一层作为停车库及配套设备用房。本项目通外界共六个出入口，其中三个为人行及车行的主出入口，一个消防</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">次出入口，两个为直接通往地库的车行出入口。楼栋概况：共12栋住宅楼（1～2#楼16层，3～12#楼18层，</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">其中1#楼、2#楼为公共租赁房），16栋联排别墅（14、16#楼为三拼墅，13、15、17#楼为六拼别墅，19、</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">21、23#楼为五拼错位别墅，25、27、28#楼为四拼别墅，18、20、22、24、2625、27、28#楼为五拼别</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">墅）共计住户1036户。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">视频监控系统（含智能安防）</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">可视对讲系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">出入口控制系统（含门禁管理、人行通道、访客登记）</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">本地报警系统（含住宅户内报警、公区报警）</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">周界报警系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">实时巡检系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">停车管理系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">智能安全保障系统</span></li></ul><p style=\"text-align: start;\"><br></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926132621A403.png', 0, 190, '', '凤鸣海尚', '', '2022-09-26 10:05:36', '2022-09-26 13:27:21');
INSERT INTO `hce_article` VALUES (402, '柏凡朗朗音乐世界', '测试作者', '<p style=\"text-align: start;\"><br></p><p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>柏凡朗朗音乐世界</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"> &nbsp; &nbsp; &nbsp; <span style=\"font-size: 16px;\">Prodor 柏凡 | 郎朗音乐世界与陆家嘴金融区，北外滩相邻，坐拥一线黄浦江景，远看如一架钢琴置于黄浦江边，余音袅袅，婉转悠扬。酒店拥有 47 间客房、全日制 Perfonne 无国界音乐餐厅、Boyan 柏筵中餐厅、Prefor 音乐江景露台、Music Center 音乐中心大堂吧、演奏与会议厅及滨江音乐秀场花园。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">柏凡 郎朗音乐酒店位于杨浦区安浦路589号，设置在开放式园区内，总建筑面积10694.9m2,园区共设置2个车行（1个主出入口及一个消防出入口）及4个人行出入口，酒店为单栋建筑，地下一层，地上五层，顶层为开放式平台。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">综合布线系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">电话交换机系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">计算机网络系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">无线网络系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">公共广播系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">信息发布系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">TPTV系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">无线对讲系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">停车管理系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">视频监控系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">入侵和紧急报警系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">实时巡检系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">电梯控制系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">音视频系统</span></li><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">客房控制系统</span></li><p style=\"text-align: start;\"><br></p></ul>', 0, 'http://172.16.120.165:9300/statics/202209/20220926132227A401.png', 0, 191, '', '柏凡朗朗音乐世界', '', '2022-09-26 10:06:14', '2022-09-26 13:23:40');
INSERT INTO `hce_article` VALUES (403, '闵行龙湖天街', '测试作者', '<p><br></p><p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>闵行龙湖天街</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"> &nbsp; &nbsp; &nbsp;龙湖虹桥天街项目地处虹桥商务区核心位置，总建筑面积43万平方米，东西两侧各400米即为虹</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">桥交通枢纽和虹桥国家会展中心，目标是打造成为西上海、长三角乃至全国最具特色的绿色都市综合</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">体。作为虹桥CBD核心区内唯一稀缺临河的独特优越位置，赋予了写字楼卓然出众的自然景观视野，</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">为办公带来超然景观享受。150-200㎡ 左右面积，办公空间灵活组合，满足更多自用型企业或小型设</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">计、展示行业。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><ul><li style=\"text-align: start;\"><span style=\"font-size: 16px;\">消防物联网</span></li></ul><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>涉及产品</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">用户传输装置、消防水系统远程控制器、无线数字压力变送器、无线数字液位变送器</span></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926132121A400.png', 0, 192, '', '闵行龙湖天街', '', '2022-09-26 10:07:01', '2022-09-26 13:36:15');
INSERT INTO `hce_article` VALUES (404, '静安公安分局道路图像监控系统设备', '测试作者', '<p><br></p><p style=\"text-align: start;\"><span style=\"font-size: 19px;\"><strong>静安公安分局道路图像监控系统设备维护及更新项目</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start;\"> &nbsp; &nbsp; &nbsp; <span style=\"font-size: 16px;\">上海市公安局静安分局于2005年起建设的平安城市道路监控系统项目已建成多年。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">为确保图像监控系统的正常运行，对全区主要道路、重点目标及周边区域监控点位的前</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">端设备、内场设备及机房图像设施维保工作开展整体招标，同时负责承担分局各图像监</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">控系统运维总台职责，协助招标方对分局南片各类图像资源进行运维管理、主要包括故</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">障接报、故障定位、任务转派、协调各方资源、统计分析、应急处理等工作。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">1.前端设备（如摄像机、镜头、光端机、立杆、井盖、室外机箱、光缆、电源等）、内场设备（包括视频矩阵、控制键盘、显示屏、光端机、汇聚交换机、网络硬盘录像机、转发服务器等）及传输链路、机房基础设施。</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">2.日常巡检，驻场维护</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">3.图像质量巡检</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">4.内场设备维护</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">5.机房维护</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">6.光缆 ，电缆维护</span></p><p style=\"text-align: start;\"><span style=\"font-size: 16px;\">7.街道图像数据维护</span></p><p style=\"text-align: start;\"><br></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926131622A399.png', 0, 193, '', '静安公安分局道路图像监控系统设备', '', '2022-09-26 10:07:44', '2022-09-26 13:19:38');
INSERT INTO `hce_article` VALUES (405, '国网上海市电力公司嘉定供电公司', '测试作者', '<p style=\"text-align: start; line-height: 1.5;\"><br></p><p><span style=\"font-size: 19px;\"><strong>国网上海市电力公司嘉定供电公司 </strong></span></p><p><span style=\"font-size: 16px;\"><strong>项目概况（位置、施工面积、范围等）</strong></span></p><p><span style=\"font-size: 16px;\"> &nbsp; &nbsp; &nbsp; 国网上海市电力公司嘉定供电公司成立于1991-07-16，企业地址位于上海市嘉定区清 河路180号，所属行业为电力、热力生产和供应业，经营范围包含：电力供应，２２０ＫＶ 及以下供电设备检修、运行，送、变电工程设计、安装、调试、保养、维修和改造服务，从 事电力科技、环保科技、节能科技、能源科技领域内技术开发、技术转让、技术咨询、技术 服务。</span> </p><p><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍）</strong></span> &nbsp;</p><p><span style=\"font-size: 16px;\">智能故障预警、远程实时监测：远程实时监测，以可视化方式呈现整体站点运行状态、区位分布、设备工况、负载情况、用电总量、告警统计、人力资源、工单及抢修效率</span></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926131252A398.png', 0, 194, '', '国网上海市电力公司嘉定供电公司', '', '2022-09-26 10:08:20', '2022-09-26 13:15:51');
INSERT INTO `hce_article` VALUES (406, '环贸', '测试作者', '<p><br></p><p style=\"text-align: start; line-height: 1.5;\"><span style=\"font-size: 19px;\"> </span><span style=\"font-size: 19px;\"><strong>环贸</strong></span></p><p style=\"text-align: start; line-height: 1.5;\"><span style=\"font-size: 16px;\"><strong> 项目概况（位置、施工面积、范围等）</strong></span></p><p style=\"text-align: start; line-height: 1.5;\"><strong> </strong> &nbsp;该大厦由香港新鸿基开发，是一个集甲级写字楼、商业、高级公寓于一体的大型综合项目。 项目由130 万平方的高级商场、两幢写字楼及两幢共64单位的豪宅组成，总楼面面积达350万 平方呎，预期在2010年分阶段落成后，将成为上海市中心的新地标。上海环贸广场以糅合上海 优美城市特色及大都会活力为设计蓝本，在设计上取材上海历史名胜“石库门”的特色，并巧 妙结合欧陆风情与现代气息，令项目生气盎然。项目广泛提供绿化空间及园艺天台等，让公众 感受大自然的气息。项目更以上海新订立的节能目标为依归，在设计及施工方面全面考虑环保 元素，包括在大厦外墙装置省电的LED 灯光系统、采用阻隔紫外线的高效能玻璃以节省电力， 设置循环用水储水缸，于接连的地铁站提供大量单车泊位以鼓励少用汽车等，全方位贯彻环保 理念。项目早前更获得美国绿色建筑商会颁发节能与环保设计（LEED）前期认证「金级」证书。 &nbsp;</p><p style=\"text-align: start; line-height: 1.5;\"><span style=\"font-size: 16px;\"><strong>解决方案（系统与功能介绍） </strong></span><span style=\"font-size: 16px;\"> </span></p><ul><li style=\"text-align: start; line-height: 1.5;\">5G信号覆盖</li></ul><p style=\"text-align: start; line-height: 1.5;\"> </p><p><br></p><p><br></p><p><br></p><p><br></p><p style=\"text-align: left;\"><br></p><p><br></p>', 0, 'http://172.16.120.165:9300/statics/202209/20220926130844A397.png', 0, 195, '', '环贸', '', '2022-09-26 10:09:24', '2022-09-26 13:12:31');
INSERT INTO `hce_article` VALUES (414, '1', '测试作者', '<p>222222</p>', 0, 'http://172.16.120.165:9300/statics/202209/20220928112519A423.txt', 0, 205, 'http://172.16.120.165:9300/statics/202209/20220928112528A424.png', '1', '22222', '2022-09-28 11:25:34', NULL);
INSERT INTO `hce_article` VALUES (415, '苹果', '测试作者', '<p>11111111111111111111</p><p>22222222222222222222222</p><p>23333</p>', 0, 'http://172.16.120.165:9300/statics/202209/20220928141018A432.txt', 0, 205, 'http://172.16.120.165:9300/statics/202209/20220928141022A433.png', '1', '1', '2022-09-28 14:10:31', '2022-09-28 16:05:17');
COMMIT;

-- ----------------------------
-- Table structure for hce_category
-- ----------------------------
DROP TABLE IF EXISTS `hce_category`;
CREATE TABLE `hce_category` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT '父级ID',
  `category_name` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT '栏目名称',
  `sname` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT '栏目简称',
  `isNew` int(10) NOT NULL COMMENT '是否新栏目;0:否 1:是',
  `tpl` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '页面模板',
  `imagePath` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '栏目图片;',
  `metakeywords` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'SEO关键字;',
  `metadescription` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'SEO描述;',
  `createdate` datetime DEFAULT NULL COMMENT '创建时间;',
  `modifydate` datetime DEFAULT NULL COMMENT '修改时间;',
  `sortindex` int(11) DEFAULT NULL COMMENT '栏目排序',
  `status` int(10) DEFAULT NULL COMMENT '状态;0:关闭 1:开启',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=206 DEFAULT CHARSET=utf8 COLLATE=utf8_german2_ci COMMENT='帮助中心_菜单栏目管理';

-- ----------------------------
-- Records of hce_category
-- ----------------------------
BEGIN;
INSERT INTO `hce_category` VALUES (120, 0, '产品和服务', '/product/index.html', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926133836A409.png', '', '', '2022-09-23 10:04:24', '2022-09-27 15:58:35', 2, 1);
INSERT INTO `hce_category` VALUES (121, 120, '采集类', '采集类', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926133801A408.png', '', '', '2022-09-23 10:05:13', '2022-09-26 13:39:36', 0, 1);
INSERT INTO `hce_category` VALUES (122, 120, '边缘计算', '边缘计算', 1, '', '', '', '', '2022-09-23 10:05:31', '2022-09-23 11:00:50', 1, 1);
INSERT INTO `hce_category` VALUES (123, 120, '数据算法', '数据算法', 1, '', '', '', '', '2022-09-23 10:05:47', '2022-09-23 11:01:51', 2, 1);
INSERT INTO `hce_category` VALUES (124, 120, '交互终端', '交互终端', 1, '', '', '', '', '2022-09-23 10:06:07', '2022-09-23 11:02:06', 3, 1);
INSERT INTO `hce_category` VALUES (125, 120, '平台类', '平台类', 1, '', '', '', '', '2022-09-23 10:06:35', '2022-09-23 11:02:14', 4, 1);
INSERT INTO `hce_category` VALUES (126, 120, '维保服务', '维保服务', 1, '', '', '', '', '2022-09-23 10:06:54', '2022-09-23 11:02:43', 5, 1);
INSERT INTO `hce_category` VALUES (130, 129, '智慧城市', '智慧城市', 1, '', '', '', '', '2022-09-23 10:08:37', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (131, 129, '智慧电力', '智慧电力', 1, '', '', '', '', '2022-09-23 10:09:47', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (133, 132, '智慧城市', '智慧城市', 1, '', '', '', '', '2022-09-23 10:11:07', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (135, 134, '智慧城市', '智慧城市', 1, '', '', '', '', '2022-09-23 10:14:21', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (136, 134, '成功案例', '成功案例', 1, '', '', '', '', '2022-09-23 10:15:29', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (140, 139, '联系永天', '联系永天', 1, '', '', '', '', '2022-09-23 10:16:47', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (141, 139, '加入永天', '加入永天', 1, '', '', '', '', '2022-09-23 10:19:16', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (142, 139, '1', '1', 1, '', '', '', '', '2022-09-23 10:22:31', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (143, 139, '3', '3', 1, '', '', '', '', '2022-09-23 10:25:11', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (144, 134, '1', '1', 1, '', '', '', '', '2022-09-23 10:26:33', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (147, 139, '联系永天1', '联系永天1', 1, '', '', '', '', '2022-09-23 10:43:18', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (148, 139, '售后服务', '售后服务', 1, '', '', '', '', '2022-09-23 10:50:31', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (150, 134, '数智园区', '数智园区', 1, '', '', '', '', '2022-09-23 11:26:05', NULL, 3, 1);
INSERT INTO `hce_category` VALUES (152, 151, '5', '5', 1, '', '', '', '', '2022-09-23 11:29:24', NULL, 1, 1);
INSERT INTO `hce_category` VALUES (154, 134, '智慧城市1', '智慧城市1', 1, '', '', '', '', '2022-09-23 11:40:39', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (155, 134, 'ssss', 'ssss', 1, '', '', '', '', '2022-09-23 11:40:53', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (156, 139, '8', '8', 1, '', '', '', '', '2022-09-23 13:12:18', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (157, 139, '9', '9', 1, '', '', '', '', '2022-09-23 13:14:47', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (160, 159, '11', '11', 1, '', '', '', '', '2022-09-23 13:44:59', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (161, 137, '852', '822', 1, '', '', '', '', '2022-09-23 13:49:10', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (163, 139, '75755', '55755', 1, '', '', '', '', '2022-09-23 13:51:52', NULL, 5, 1);
INSERT INTO `hce_category` VALUES (165, 0, '成功案例', '成功案例', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926134112A411.png', '', '', '2022-09-23 13:55:07', '2022-09-27 09:25:02', 5, 1);
INSERT INTO `hce_category` VALUES (166, 0, '关于永天', '关于永天', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926134138A412.png', '', '', '2022-09-23 13:55:35', '2022-09-27 09:24:45', 7, 1);
INSERT INTO `hce_category` VALUES (167, 0, '联系我们', '联系我们', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926134203A413.png', '', '', '2022-09-23 13:56:05', '2022-09-26 13:42:05', 5, 1);
INSERT INTO `hce_category` VALUES (168, 164, '智慧城市', '智慧城市', 1, '', '', '', '', '2022-09-23 13:58:03', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (169, 164, '解决方案', '解决方案', 1, '', '', '', '', '2022-09-23 13:58:44', NULL, 2, 1);
INSERT INTO `hce_category` VALUES (170, 0, '解决方案', '解决方案', 1, '', 'http://172.16.120.165:9300/statics/202209/20220926134037A410.jpg', '', '', '2022-09-23 13:59:25', '2022-09-27 09:24:24', 3, 1);
INSERT INTO `hce_category` VALUES (175, 0, '首页', '/index.html', 1, '', '', '上海永天科技有限公司', '永天科技、永天、科技、安防、消防', '2022-09-23 15:05:02', '2022-09-27 15:37:08', 1, 1);
INSERT INTO `hce_category` VALUES (182, 170, '智慧城市', '智慧城市', 1, '', '', '', '', '2022-09-23 15:57:56', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (183, 170, '智慧电力', '智慧电力', 1, '', '', '', '', '2022-09-23 15:58:24', NULL, 1, 1);
INSERT INTO `hce_category` VALUES (184, 170, '智慧政务', '智慧政务', 1, '', '', '', '', '2022-09-23 15:58:40', NULL, 2, 1);
INSERT INTO `hce_category` VALUES (185, 170, '数智园区', '数智园区', 1, '', '', '', '', '2022-09-23 15:59:02', NULL, 3, 1);
INSERT INTO `hce_category` VALUES (186, 165, '智慧商圈', '智慧商圈', 1, '', '', '', '', '2022-09-23 16:00:35', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (187, 165, '智慧校园', '智慧校园', 1, '', '', '', '', '2022-09-23 16:00:55', NULL, 1, 1);
INSERT INTO `hce_category` VALUES (188, 165, '智慧园区', '智慧园区', 1, '', '', '', '', '2022-09-23 16:01:19', NULL, 2, 1);
INSERT INTO `hce_category` VALUES (189, 165, '智慧医院', '智慧医院', 1, '', '', '', '', '2022-09-23 16:01:49', NULL, 3, 1);
INSERT INTO `hce_category` VALUES (190, 165, '智慧社区', '智慧社区', 1, '', '', '', '', '2022-09-23 16:02:18', NULL, 4, 1);
INSERT INTO `hce_category` VALUES (191, 165, '智慧酒店', '智慧酒店', 1, '', '', '', '', '2022-09-23 16:02:47', NULL, 5, 1);
INSERT INTO `hce_category` VALUES (192, 165, '智慧消防', '智慧消防', 1, '', '', '', '', '2022-09-23 16:03:13', NULL, 6, 1);
INSERT INTO `hce_category` VALUES (193, 165, '智慧安防', '智慧安防', 1, '', '', '', '', '2022-09-23 16:03:30', NULL, 7, 1);
INSERT INTO `hce_category` VALUES (194, 165, '智慧电力', '智慧电力', 1, '', '', '', '', '2022-09-23 16:04:21', NULL, 8, 1);
INSERT INTO `hce_category` VALUES (195, 165, '网络通信', '网络通信', 1, '', '', '', '', '2022-09-23 16:04:40', NULL, 9, 1);
INSERT INTO `hce_category` VALUES (196, 166, '公司介绍', '公司介绍', 1, '', '', '', '', '2022-09-23 16:05:09', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (197, 166, '企业文化', '企业文化', 1, '', '', '', '', '2022-09-23 16:05:27', NULL, 1, 1);
INSERT INTO `hce_category` VALUES (198, 166, '资质荣誉', '资质荣誉', 1, '', '', '', '', '2022-09-23 16:05:44', NULL, 2, 1);
INSERT INTO `hce_category` VALUES (199, 166, '永天动态', '永天动态', 1, '', '', '', '', '2022-09-23 16:06:17', NULL, 3, 1);
INSERT INTO `hce_category` VALUES (200, 166, '热点专题', '热点专题', 1, '', '', '', '', '2022-09-23 16:06:32', NULL, 4, 1);
INSERT INTO `hce_category` VALUES (201, 167, '联系永天', '联系永天', 1, '', '', '', '', '2022-09-23 16:06:50', NULL, 0, 1);
INSERT INTO `hce_category` VALUES (202, 167, '加入永天', '加入永天', 1, '', '', '', '', '2022-09-23 16:07:09', NULL, 1, 1);
INSERT INTO `hce_category` VALUES (203, 167, '售后服务', '售后服务', 1, '', '', '', '', '2022-09-23 16:07:27', NULL, 2, 1);
INSERT INTO `hce_category` VALUES (205, 0, '测试', '测试', 1, '', '', '', '', '2022-09-27 16:53:15', NULL, 9, 1);
COMMIT;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config` (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) COLLATE utf8mb4_unicode_ci DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='参数配置表';

-- ----------------------------
-- Records of sys_config
-- ----------------------------
BEGIN;
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-purple', 'Y', 'admin', '2022-07-01 01:33:46', 'admin', '2022-07-01 09:47:38', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2022-07-01 01:33:46', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2022-07-01 01:33:46', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2022-07-01 01:33:46', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
COMMIT;

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept` (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) DEFAULT '0' COMMENT '父部门id',
  `ancestors` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) DEFAULT '0' COMMENT '显示顺序',
  `leader` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '邮箱',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='部门表';

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
BEGIN;
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:37', 'CSYZH', '2022-07-05 14:45:42', 1001);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:37', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:37', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2022-07-01 01:33:38', '', NULL, 1001);
INSERT INTO `sys_dept` VALUES (110, 0, '0', '研发中心', 1, '开发人员', '17621285884', '17621285884@163.com', '0', '0', 'dx_admin', '2022-08-12 13:57:53', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (111, 110, '0,110', 'A小组', 0, '王涛', '13127575555', '13127575555@163.com', '0', '0', 'dx_admin', '2022-08-12 14:05:42', 'dx_admin', '2022-08-12 14:07:21', 1031);
INSERT INTO `sys_dept` VALUES (112, 0, '0', '第二事业部', 2, '韩', '17621295874', '17621295874@163.com', '0', '0', 'dx_admin', '2022-08-12 14:06:39', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (113, 0, '0', 'TEST1', 0, NULL, NULL, NULL, '0', '0', 'dx_admin', '2022-08-12 15:48:31', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (114, 0, '0', 'TEST1', 0, NULL, NULL, NULL, '0', '0', 'dx_admin', '2022-08-12 15:48:43', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (115, 113, '0,113', 'TEST1', 0, NULL, NULL, NULL, '0', '2', 'dx_admin', '2022-08-12 15:48:52', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (116, 113, '0,113', 'S', 1, NULL, NULL, NULL, '0', '2', 'dx_admin', '2022-08-12 16:28:39', '', NULL, 1031);
INSERT INTO `sys_dept` VALUES (117, 0, '0', '防火监督5科', 0, '高', '17717355687', NULL, '0', '0', 'mhxf_admin', '2023-01-13 15:39:01', '', NULL, 1034);
INSERT INTO `sys_dept` VALUES (118, 0, '0', '闵行重点单位', 0, NULL, NULL, NULL, '0', '0', 'fire_admin', '2023-03-30 14:14:19', '', NULL, 1002);
COMMIT;

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data` (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) COLLATE utf8mb4_unicode_ci DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='字典数据表';

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
BEGIN;
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (19, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (20, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (21, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (22, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (23, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (24, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (25, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (26, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (27, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (28, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2022-07-01 01:33:46', '', NULL, '停用状态');
COMMIT;

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type` (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字典类型',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE KEY `dict_type` (`dict_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='字典类型表';

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
BEGIN;
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '1', 'admin', '2022-07-01 01:33:45', '', '2022-07-05 16:35:24', '用户性别列表', NULL);
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '菜单状态列表', NULL);
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '系统开关列表', NULL);
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '任务状态列表', NULL);
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '任务分组列表', NULL);
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '系统是否列表', NULL);
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '通知类型列表', NULL);
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '通知状态列表', NULL);
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '操作类型列表', NULL);
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2022-07-01 01:33:45', '', NULL, '登录状态列表', NULL);
INSERT INTO `sys_dict_type` VALUES (13, 'TEST2', 'TEST2', '0', 'dx_admin', '2022-08-12 16:29:55', '', '2022-08-12 16:30:30', '', 1031);
INSERT INTO `sys_dict_type` VALUES (14, 'ceshi', '1', '0', 'admin', '2023-03-02 10:17:11', '', NULL, 'ceshi', 1003);
COMMIT;

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job` (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='定时任务调度表';

-- ----------------------------
-- Records of sys_job
-- ----------------------------
BEGIN;
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2022-07-01 01:33:47', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2022-07-01 01:33:47', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2022-07-01 01:33:47', '', NULL, '');
COMMIT;

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log` (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '日志信息',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='定时任务调度日志表';

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor` (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '登录IP地址',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '提示信息',
  `access_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6762 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='系统访问记录';

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int(4) DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1190 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='菜单权限表';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 9999, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2022-07-01 01:33:40', 'admin', '2022-11-03 16:51:16', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 9998, 'monitor', NULL, '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2022-07-01 01:33:40', 'admin', '2022-11-03 16:51:27', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 9997, 'tool', NULL, '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2022-07-01 01:33:40', 'admin', '2022-11-03 16:51:35', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2022-07-01 01:33:40', 'admin', '2022-07-13 09:32:02', '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2022-07-01 01:33:40', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2022-07-01 01:33:40', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2022-07-01 01:33:41', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2022-07-01 01:33:41', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2022-07-01 01:33:41', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2022-07-01 01:33:41', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2022-07-01 01:33:41', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2022-07-01 01:33:41', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2022-07-01 01:33:41', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2022-07-01 01:33:41', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, 'Sentinel控制台', 2, 3, 'http://localhost:8718', '', '', 0, 0, 'C', '0', '0', 'monitor:sentinel:list', 'sentinel', 'admin', '2022-07-01 01:33:41', '', NULL, '流量控制菜单');
INSERT INTO `sys_menu` VALUES (112, 'Nacos控制台', 2, 4, 'http://172.16.120.165:8848/nacos', '', '', 0, 0, 'C', '0', '0', 'monitor:nacos:list', 'nacos', 'admin', '2022-07-01 01:33:41', 'admin', '2022-07-04 11:07:14', '服务治理菜单');
INSERT INTO `sys_menu` VALUES (113, 'Admin控制台', 2, 5, 'http://172.16.120.165:9100/login', '', '', 0, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2022-07-01 01:33:41', 'admin', '2022-07-04 11:09:39', '服务监控菜单');
INSERT INTO `sys_menu` VALUES (114, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2022-07-01 01:33:41', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (115, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2022-07-01 01:33:41', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (116, '系统接口', 3, 3, 'http://localhost:8080/swagger-ui/index.html', '', '', 0, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2022-07-01 01:33:41', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'system/operlog/index', '', 1, 0, 'C', '0', '0', 'system:operlog:list', 'form', 'admin', '2022-07-01 01:33:41', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'system/logininfor/index', '', 1, 0, 'C', '0', '0', 'system:logininfor:list', 'logininfor', 'admin', '2022-07-01 01:33:41', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1001, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '日志导出', 500, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:operlog:export', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:query', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:remove', '#', 'admin', '2022-07-01 01:33:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:logininfor:export', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 7, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 115, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 115, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 115, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 115, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 115, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 115, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2022-07-01 01:33:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1062, '单位管理', 0, 1, 'unit', 'unit/index', NULL, 1, 0, 'C', '0', '0', '', 'tree', 'admin', '2022-07-04 15:22:47', 'admin', '2022-12-28 15:31:50', '');
INSERT INTO `sys_menu` VALUES (1075, '平台管理', 0, 2, 'platManage', 'platManage/index', NULL, 1, 0, 'C', '0', '0', '', 'textarea', 'admin', '2022-07-05 16:40:52', 'admin', '2022-12-28 15:31:55', '');
INSERT INTO `sys_menu` VALUES (1076, 'Jeknis控制台', 2, 5, 'http://172.16.120.69:8080/login', NULL, NULL, 0, 0, 'C', '0', '0', '', 'dashboard', 'admin', '2022-07-08 13:52:02', 'admin', '2022-08-08 15:50:36', '');
INSERT INTO `sys_menu` VALUES (1080, '巡检管理', 0, 99, 'business/qyxf/patrol', 'business/qyxf/patrol/index', NULL, 1, 0, 'C', '0', '0', '', 'table', 'admin', '2022-07-20 13:06:59', 'admin', '2022-12-28 15:32:11', '');
INSERT INTO `sys_menu` VALUES (1081, '智慧能源', 0, 29, 'nengyuan', 'nengyuan', NULL, 1, 0, 'C', '0', '0', '', '能源', 'admin', '2022-07-22 11:25:53', 'admin', '2022-11-03 16:52:39', '');
INSERT INTO `sys_menu` VALUES (1082, '智慧安防', 0, 28, 'http://park.usky.cn:8081/securityapi/#/login?saas=1', '', NULL, 0, 0, 'C', '0', '0', '', '安全', 'admin', '2022-07-22 13:20:04', 'admin', '2022-11-03 16:52:32', '');
INSERT INTO `sys_menu` VALUES (1083, '楼宇自控', 0, 30, 'http://park.usky.cn:8081/dmweb/#/login?saas=1', 'wuye', NULL, 0, 1, 'C', '0', '0', '', '楼宇自控', 'usky_admin', '2022-07-22 15:12:32', 'admin', '2022-09-13 09:59:41', '');
INSERT INTO `sys_menu` VALUES (1084, '智慧文印', 0, 38, 'http://park.usky.cn:8081/wyxtweb/#/login?saas=1', NULL, NULL, 0, 0, 'C', '0', '0', '', '印刷-线性', 'admin', '2022-07-22 15:21:33', 'admin', '2022-11-03 16:54:02', '');
INSERT INTO `sys_menu` VALUES (1085, '智慧会议', 0, 31, 'http://park.usky.cn:8081/hyxtweb/#/login?saas=1', 'huiyi', NULL, 0, 0, 'C', '0', '0', '', '会议', 'admin', '2022-07-22 15:30:15', 'admin', '2022-09-13 10:00:21', '');
INSERT INTO `sys_menu` VALUES (1086, '事件管理', 0, 100, 'business/eventManage', NULL, NULL, 1, 0, 'M', '0', '0', '', 'build', 'admin', '2022-07-29 13:19:12', 'admin', '2022-09-02 16:20:08', '');
INSERT INTO `sys_menu` VALUES (1089, '火灾告警处置', 1086, 103, 'fireAlarm', 'business/eventManage/fireAlarm/index', NULL, 1, 0, 'C', '0', '0', '', 'component', 'admin', '2022-07-29 13:32:17', 'admin', '2022-09-02 16:20:15', '');
INSERT INTO `sys_menu` VALUES (1090, '故障告警处置', 1086, 104, 'faultAlarm', 'business/eventManage/faultAlarm/index', NULL, 1, 0, 'C', '0', '0', '', 'date-range', 'admin', '2022-07-29 13:32:46', 'admin', '2022-09-02 16:20:20', '');
INSERT INTO `sys_menu` VALUES (1091, '隐患报告处置', 1086, 105, 'business/eventManage/dangerReport', NULL, NULL, 1, 0, 'M', '0', '0', '', 'tree-table', 'admin', '2022-07-29 13:33:14', 'admin', '2022-09-02 16:21:29', '');
INSERT INTO `sys_menu` VALUES (1092, '火灾报告处置', 1091, 106, 'fireReport', 'business/eventManage/dangerReport/fireReport/index', NULL, 1, 0, 'C', '0', '0', '', 'swagger', 'admin', '2022-07-29 13:33:42', 'admin', '2022-09-02 16:20:37', '');
INSERT INTO `sys_menu` VALUES (1093, '电气火灾报告处置', 1091, 107, 'electrical', 'business/eventManage/dangerReport/electrical/index', NULL, 1, 0, 'C', '0', '0', '', 'validCode', 'admin', '2022-07-29 13:34:03', 'admin', '2022-09-02 16:20:42', '');
INSERT INTO `sys_menu` VALUES (1094, '视频监控报告处置', 1091, 108, 'videoReport', 'business/eventManage/dangerReport/videoReport/index', NULL, 1, 0, 'C', '0', '0', '', 'tool', 'admin', '2022-07-29 13:35:16', 'admin', '2022-09-02 16:20:47', '');
INSERT INTO `sys_menu` VALUES (1095, '自动喷水灭火系统', 1091, 109, 'spraywater', 'business/eventManage/dangerReport/spraywater/index', NULL, 1, 0, 'C', '0', '0', '', 'switch', 'admin', '2022-07-29 13:35:41', 'admin', '2022-09-02 16:20:52', '');
INSERT INTO `sys_menu` VALUES (1096, '消防给水及消火栓系统', 1091, 110, 'feedwater', 'business/eventManage/dangerReport/feedwater/index', NULL, 1, 0, 'C', '0', '0', '', 'table', 'admin', '2022-07-29 13:36:07', 'admin', '2022-09-02 16:20:57', '');
INSERT INTO `sys_menu` VALUES (1097, '防排烟报告处置', 1091, 111, 'noSmoke', 'business/eventManage/dangerReport/noSmoke/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-07-29 13:37:19', 'admin', '2022-09-02 16:21:01', '');
INSERT INTO `sys_menu` VALUES (1099, '一卡通', 0, 33, 'http://park.usky.cn:8081/yktweb/#/login?saas=1', NULL, NULL, 0, 0, 'C', '0', '0', '', '一卡通', 'admin', '2022-08-05 16:33:59', 'admin', '2022-09-13 10:00:29', '');
INSERT INTO `sys_menu` VALUES (1101, '消防文件管理', 0, 163, 'business/qyxf/genericPlan', 'business/qyxf/genericPlan/index', NULL, 1, 0, 'C', '0', '0', '', 'documentation', 'admin', '2022-08-12 09:23:17', 'admin', '2023-03-07 14:26:45', '');
INSERT INTO `sys_menu` VALUES (1105, '消防物联网', 0, 153, 'business/IotFireControl', NULL, NULL, 1, 0, 'M', '0', '0', '', 'server', 'admin', '2022-08-12 09:24:50', 'admin', '2022-09-02 16:27:26', '');
INSERT INTO `sys_menu` VALUES (1106, '火灾自动报警数据', 1105, 154, 'fireReport1', 'business/IotFireControl/fireReport/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-08-19 16:45:58', 'admin', '2022-09-02 16:27:32', '');
INSERT INTO `sys_menu` VALUES (1107, '自动喷水系统数据', 1105, 155, 'spraywater1', 'business/IotFireControl/spraywater/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-08-19 17:03:32', 'admin', '2022-09-02 16:27:37', '');
INSERT INTO `sys_menu` VALUES (1108, '消防水系统数据', 1105, 156, 'waterSystem', 'business/IotFireControl/waterSystem/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-08-19 17:03:56', 'admin', '2022-09-02 16:27:42', '');
INSERT INTO `sys_menu` VALUES (1109, '防排烟系统数据', 1105, 157, 'noSmoke1', 'business/IotFireControl/noSmoke/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-08-19 17:04:52', 'admin', '2022-09-02 16:27:47', '');
INSERT INTO `sys_menu` VALUES (1110, '电气火灾数据', 1105, 158, 'fireElectric', 'business/IotFireControl/fireElectric/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-08-19 17:05:13', 'admin', '2022-09-02 16:27:53', '');
INSERT INTO `sys_menu` VALUES (1113, '永天官网', 0, 102, 'officialWebsite', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'list', 'admin', '2022-08-31 14:48:01', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1114, '菜单管理', 1113, 1, 'menug', 'business/officialWebsite/menug/index', NULL, 1, 0, 'C', '0', '0', '', 'nested', 'admin', '2022-08-31 14:50:12', 'admin', '2022-08-31 15:04:40', '');
INSERT INTO `sys_menu` VALUES (1115, '内容管理', 1113, 2, 'content', 'business/officialWebsite/content/index', NULL, 1, 0, 'C', '0', '0', NULL, 'log', 'admin', '2022-08-31 14:51:30', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1117, '智慧餐饮', 0, 34, 'http://park.usky.cn:8081/zhcyweb/#/login?saas=1', NULL, NULL, 0, 0, 'C', '0', '0', '', '智慧餐饮', 'admin', '2022-09-01 10:22:41', 'admin', '2022-09-13 10:00:36', '');
INSERT INTO `sys_menu` VALUES (1118, '环境监测', 0, 35, 'http://park.usky.cn:8081/hjjcweb/#/login?saas=1', NULL, NULL, 0, 0, 'C', '0', '0', '', '环境监测', 'admin', '2022-09-01 10:23:01', 'admin', '2022-09-13 10:00:44', '');
INSERT INTO `sys_menu` VALUES (1119, '充值系统', 0, 36, 'http://park.usky.cn:8081/dxtopweb/#/login?saas=1', NULL, NULL, 0, 0, 'C', '0', '0', '', '充值系统', 'admin', '2022-09-01 10:23:19', 'admin', '2022-09-13 09:59:30', '');
INSERT INTO `sys_menu` VALUES (1120, '智慧办公', 0, 27, 'https://poc2171.seeyoncloud.com/seeyon/main.do', NULL, NULL, 0, 0, 'M', '0', '0', '', '智慧办公', 'admin', '2022-09-05 09:20:12', 'admin', '2022-11-03 16:52:21', '');
INSERT INTO `sys_menu` VALUES (1121, '运营中心', 0, 37, 'http://park.usky.cn:8081/yyzxweb/#/', NULL, NULL, 0, 0, 'C', '0', '0', '', 'redis', 'admin', '2022-09-08 14:08:29', 'admin', '2022-09-13 15:06:01', '');
INSERT INTO `sys_menu` VALUES (1122, '值班查岗', 0, 399, 'business/mhxf/dutyInspection', 'business/mhxf/dutyInspection/index', '', 1, 0, 'C', '0', '0', '', 'peoples', 'admin', '2022-08-19 17:37:15', 'admin', '2023-01-10 14:05:55', '');
INSERT INTO `sys_menu` VALUES (1123, '建筑评分管理', 0, 400, 'business/mhxf/buildingScore', 'business/mhxf/buildingScore/index', '', 1, 0, 'C', '0', '0', '', 'component', 'admin', '2022-08-31 16:29:20', 'admin', '2023-01-10 14:06:14', '');
INSERT INTO `sys_menu` VALUES (1124, '单位信息管理', 1148, 401, 'business/mhxf/unitsManager', 'business/mhxf/unitsManager/index', '', 1, 0, 'C', '0', '0', '', 'peoples', 'admin', '2022-09-21 16:12:47', 'admin', '2022-10-25 16:53:16', '');
INSERT INTO `sys_menu` VALUES (1125, '举报信息管理', 1148, 402, 'business/mhxf/reportManager', 'business/mhxf/reportManager/index', '', 1, 0, 'C', '0', '0', '', 'documentation', 'admin', '2022-09-21 16:13:25', 'admin', '2022-10-25 16:53:11', '');
INSERT INTO `sys_menu` VALUES (1126, '行政许可数据', 1148, 404, 'business/mhxf/administrationManage', 'business/mhxf/administrationManage/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-09-21 16:14:04', 'admin', '2022-10-25 17:08:01', '');
INSERT INTO `sys_menu` VALUES (1127, '火灾数据管理', 1148, 403, 'business/mhxf/fireManage', 'business/mhxf/fireManage/index', '', 1, 0, 'C', '0', '0', '', 'system', 'admin', '2022-09-27 09:44:08', 'admin', '2022-10-25 17:08:08', '');
INSERT INTO `sys_menu` VALUES (1128, '处罚整改数据', 1148, 405, 'business/mhxf/punishRectification', 'business/mhxf/punishRectification/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-09-29 14:57:18', 'admin', '2022-10-25 17:07:53', '');
INSERT INTO `sys_menu` VALUES (1129, '执法检查数据', 1148, 406, 'business/mhxf/lawEnforcement', 'business/mhxf/lawEnforcement/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-09-29 14:57:58', 'admin', '2022-10-25 17:07:48', '');
INSERT INTO `sys_menu` VALUES (1130, '消防水源管理', 1148, 407, 'business/mhxf/headwatersManage', 'business/mhxf/headwatersManage/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-10-25 16:52:07', 'admin', '2022-10-25 17:07:42', '');
INSERT INTO `sys_menu` VALUES (1131, '接处警数据', 1148, 408, 'business/mhxf/alarmAndCommand', 'business/mhxf/alarmAndCommand/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-10-26 11:06:20', 'admin', '2022-10-26 11:06:50', '');
INSERT INTO `sys_menu` VALUES (1132, '消防车辆管理', 1148, 409, 'business/mhxf/vehicleManage', 'business/mhxf/vehicleManage/index', '', 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-10-27 16:45:40', 'admin', '2022-10-27 16:46:00', '');
INSERT INTO `sys_menu` VALUES (1148, '基础信息管理', 0, 400, 'mhxf-information', '', '', 1, 0, 'M', '0', '0', '', 'cascader', 'admin', '2022-10-25 16:26:30', 'admin', '2022-10-25 16:43:06', '');
INSERT INTO `sys_menu` VALUES (1149, '业务管理', 0, 11111, '1', '', '', 1, 0, 'M', '0', '0', '', 'cascader', 'admin', '2022-10-25 16:32:04', 'admin', '2023-01-10 14:14:43', '');
INSERT INTO `sys_menu` VALUES (1150, '帮助中心', 0, 111, 'helpCenter', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'nacos', 'admin', '2022-11-03 16:56:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1151, '栏目', 1150, 1, 'menub', 'business/helpCenter/menub/index', NULL, 1, 0, 'C', '0', '0', NULL, 'nested', 'admin', '2022-11-03 16:57:07', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1152, '内容', 1150, 2, 'contentb', 'business/helpCenter/contentb/index', NULL, 1, 0, 'C', '0', '0', NULL, 'nacos', 'admin', '2022-11-03 16:58:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1153, 'DMP物联设备管理', 0, 111, 'DMP-IOT', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'client', 'admin', '2022-11-03 16:59:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1154, '数据概览', 1153, 1, 'index', 'business/DMP-ITO/index/index', NULL, 1, 0, 'C', '0', '0', NULL, 'redis', 'admin', '2022-11-03 17:00:43', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1155, '消防站点管理', 1148, 410, 'business/mhxf/siteManage', 'business/mhxf/siteManage/index', NULL, 1, 0, 'C', '0', '0', NULL, 'build', 'admin', '2022-11-03 18:04:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1156, '大型安保管理', 0, 418, 'business/mhxf/securityManage', 'business/mhxf/securityManage/index', NULL, 1, 0, 'C', '0', '0', '', 'build', 'admin', '2022-11-03 18:05:01', 'admin', '2023-01-10 14:27:18', '');
INSERT INTO `sys_menu` VALUES (1158, '电子督查单', 0, 159, 'mhxf/supervisionManage', 'business/mhxf/supervisionManage/index', NULL, 1, 0, 'C', '0', '0', NULL, 'documentation', 'admin', '2023-01-10 14:00:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1159, '电子督查单管理', 0, 420, 'supervisionList', 'business/mhxf/supervisionList/index', NULL, 1, 0, 'C', '0', '0', '', 'documentation', 'admin', '2023-01-10 14:05:34', 'admin', '2023-01-10 14:10:31', '');
INSERT INTO `sys_menu` VALUES (1160, '网格员信息管理', 0, 419, 'business/mhxf/gridManage', 'business/mhxf/gridManage/index', NULL, 1, 0, 'C', '0', '0', '', 'user', 'admin', '2023-01-10 14:19:28', 'admin', '2023-01-10 14:42:46', '');
INSERT INTO `sys_menu` VALUES (1161, '建筑信息管理', 1148, 413, 'business/mhxf/buildManage', 'business/mhxf/buildManage/index', NULL, 1, 0, 'C', '0', '0', NULL, '楼宇自控', 'admin', '2023-01-10 14:28:34', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1162, '起火场所信息', 1148, 414, 'business/mhxf/firePlace', 'business/mhxf/firePlace/index', NULL, 1, 0, 'C', '0', '0', NULL, 'build', 'admin', '2023-01-10 14:29:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1163, '消防检查信息', 1148, 415, 'business/mhxf/fireInformation', 'business/mhxf/fireInformation/index', NULL, 1, 0, 'C', '0', '0', '', 'monitor', 'admin', '2023-01-10 14:30:50', 'admin', '2023-01-10 14:30:58', '');
INSERT INTO `sys_menu` VALUES (1164, '地理信息管理', 1148, 416, 'geographicInformation', 'business/mhxf/geographicInformation/index', NULL, 1, 0, 'C', '0', '0', '', 'drag', 'admin', '2023-02-03 13:12:56', 'admin', '2023-02-03 13:16:23', '');
INSERT INTO `sys_menu` VALUES (1165, '监控系统', 0, 1, 'http://park.usky.cn/middle', NULL, NULL, 0, 0, 'M', '0', '0', NULL, 'client', 'admin', '2023-02-16 18:23:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1166, '门禁系统', 0, 2, 'http://park.usky.cn/middle', NULL, NULL, 0, 0, 'M', '0', '0', NULL, 'component', 'admin', '2023-02-16 18:23:39', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1167, '环境', 0, 8, 'http://park.usky.cn/middle', NULL, NULL, 0, 0, 'M', '0', '0', '', 'druid', 'admin', '2023-02-16 18:24:21', 'admin', '2023-04-14 11:28:26', '太敬');
INSERT INTO `sys_menu` VALUES (1168, '机房', 0, 7, 'http://park.usky.cn/middle', NULL, NULL, 0, 0, 'M', '0', '0', '', 'example', 'admin', '2023-02-16 18:25:46', 'admin', '2023-04-14 11:28:22', '太敬');
INSERT INTO `sys_menu` VALUES (1169, '消防整改审核', 0, 421, 'mhxf/rectificationReview', 'business/mhxf/rectificationReview/index', NULL, 1, 0, 'C', '0', '0', '', 'documentation', 'admin', '2023-03-09 13:13:35', 'admin', '2023-03-09 13:23:01', '');
INSERT INTO `sys_menu` VALUES (1170, '设备管理', 0, 1, 'device', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'client', 'admin', '2023-03-30 10:50:41', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1171, '监控', 1170, 1, 'monitors', 'business/deviceManagement/monitor/index', NULL, 1, 0, 'C', '0', '0', '', 'eye-open', 'admin', '2023-03-30 10:52:02', 'admin', '2023-04-14 11:26:48', '');
INSERT INTO `sys_menu` VALUES (1172, '门禁', 1170, 2, 'entranceguards', 'business/deviceManagement/entranceGuard/index', NULL, 1, 0, 'C', '0', '0', '', 'input', 'admin', '2023-03-30 10:53:25', 'admin', '2023-04-14 11:26:51', '');
INSERT INTO `sys_menu` VALUES (1173, '梯控', 1170, 3, 'lift', 'business/deviceManagement/lift/index', NULL, 1, 0, 'C', '0', '0', '', 'redis', 'admin', '2023-03-30 10:54:26', 'admin', '2023-04-14 11:26:55', '');
INSERT INTO `sys_menu` VALUES (1174, '机房', 1170, 4, 'generatorRoom', 'business/deviceManagement/generatorRoom/index', NULL, 1, 0, 'C', '0', '0', '', 'password', 'admin', '2023-03-30 10:55:08', 'admin', '2023-04-14 11:27:00', '');
INSERT INTO `sys_menu` VALUES (1175, '环境', 1170, 5, 'environment', 'business/deviceManagement/environment/index', NULL, 1, 0, 'C', '0', '0', '', 'online', 'admin', '2023-03-30 10:55:47', 'admin', '2023-04-14 11:27:03', '');
INSERT INTO `sys_menu` VALUES (1176, '照明', 0, 9, 'lightings', '', NULL, 1, 0, 'C', '0', '0', '', 'online', 'admin', '2023-03-30 10:56:24', 'admin', '2023-04-14 11:28:32', '');
INSERT INTO `sys_menu` VALUES (1178, '数据中心', 0, 2, 'dataCenter', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'online', 'admin', '2023-03-30 10:59:22', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1179, '门禁', 1178, 1, 'entranceGuards', 'business/dataCenter/entranceGuard/index', NULL, 1, 0, 'C', '0', '0', '', 'password', 'admin', '2023-03-30 11:00:07', 'admin', '2023-04-14 11:27:30', '');
INSERT INTO `sys_menu` VALUES (1180, '梯控', 1178, 2, 'lifts', 'business/dataCenter/lift/index', NULL, 1, 0, 'C', '0', '0', '', 'password', 'admin', '2023-03-30 11:01:27', 'admin', '2023-04-14 11:27:34', '');
INSERT INTO `sys_menu` VALUES (1181, '机房', 1178, 3, 'generatorRooms', 'business/dataCenter/generatorRoom/index', NULL, 1, 0, 'C', '0', '0', '', 'rate', 'admin', '2023-03-30 11:02:10', 'admin', '2023-04-14 11:27:39', '');
INSERT INTO `sys_menu` VALUES (1182, '环境', 1178, 4, 'environments', 'business/dataCenter/environment/index', NULL, 1, 0, 'C', '0', '0', '', 'search', 'admin', '2023-03-30 11:02:52', 'admin', '2023-04-14 11:27:42', '');
INSERT INTO `sys_menu` VALUES (1183, '照明', 1178, 5, 'lightings', 'business/dataCenter/lighting/index', NULL, 1, 0, 'C', '0', '0', '', 'radio', 'admin', '2023-03-30 11:03:40', 'admin', '2023-04-14 11:27:45', '');
INSERT INTO `sys_menu` VALUES (1184, '监控', 0, 4, 'http://1', NULL, NULL, 0, 0, 'C', '0', '0', '', 'password', 'admin', '2023-03-30 11:09:47', 'admin', '2023-04-14 11:28:11', '');
INSERT INTO `sys_menu` VALUES (1185, '门禁', 0, 5, 'https://1', NULL, NULL, 0, 0, 'C', '0', '0', '', 'password', 'admin', '2023-03-30 11:10:15', 'admin', '2023-04-14 11:28:14', '');
INSERT INTO `sys_menu` VALUES (1186, '梯控', 0, 6, 'https://1', NULL, NULL, 0, 0, 'C', '0', '0', '', 'redis', 'admin', '2023-03-30 11:10:50', 'admin', '2023-04-14 11:28:18', '');
INSERT INTO `sys_menu` VALUES (1187, '告警中心', 0, 3, 'alarmCenter', NULL, NULL, 1, 0, 'M', '0', '0', '', 'build', 'admin', '2023-04-14 09:22:24', 'admin', '2023-04-14 09:25:30', '');
INSERT INTO `sys_menu` VALUES (1188, '机房告警', 1187, 1, 'roomAlarm', 'business/alarmCenter/roomAlarm/index', NULL, 1, 0, 'C', '0', '0', NULL, 'build', 'admin', '2023-04-14 09:23:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1189, '其他告警', 1187, 2, 'https://www.baidu.com', NULL, NULL, 0, 0, 'C', '1', '0', NULL, 'build', 'admin', '2023-04-14 09:23:55', '', NULL, '');
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_banner
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_banner`;
CREATE TABLE `sys_mobile_banner` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` int(11) NOT NULL COMMENT '租户ID',
  `open_not` int(1) DEFAULT NULL COMMENT '是否开启banner;0、关闭 1、开启',
  `carousel_time` int(5) DEFAULT NULL COMMENT '轮播时间(s)',
  `banner_path1` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '轮播图路径1',
  `banner_path2` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '轮播图路径2',
  `banner_path3` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '轮播图路径3',
  `banner_path4` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '轮播图路径4',
  `banner_path5` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '轮播图路径5',
  `link_type1` int(1) DEFAULT NULL COMMENT '链接类型1;1、内链 2、外链',
  `link_type2` int(1) DEFAULT NULL COMMENT '链接类型2;1、内链 2、外链',
  `link_type3` int(1) DEFAULT NULL COMMENT '链接类型3;1、内链 2、外链',
  `link_type4` int(1) DEFAULT NULL COMMENT '链接类型4;1、内链 2、外链',
  `link_type5` int(1) DEFAULT NULL COMMENT '链接类型5;1、内链 2、外链',
  `link_url1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '链接地址1',
  `link_url3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '链接地址3',
  `link_url4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '链接地址4',
  `link_url5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '链接地址4',
  `link_url2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '链接地址2',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='移动端_banner图配置表';

-- ----------------------------
-- Records of sys_mobile_banner
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_banner` VALUES (1, 1002, 1, 2, 'http://file.usky.cn/statics/202304/20230403183950A067.jpg', 'http://file.usky.cn/statics/202304/20230403191535A073.jpg', 'http://file.usky.cn/statics/202304/20230403191549A074.jpg', '', '', 2, 1, 1, 1, 1, 'https://mp.weixin.qq.com/s/Zqso7QyvdD7Fbo_Uuq1AdQ', '/pages/business/mhxf/deviceManage/index', '', '', '/pages/business/mhxf/xunJian/xunJian', 'admin', '2023-04-03 18:39:57', 'admin', '2023-04-07 13:27:33');
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_menu`;
CREATE TABLE `sys_mobile_menu` (
  `menu_id` int(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int(4) DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1177 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='移动端_菜单权限表';

-- ----------------------------
-- Records of sys_mobile_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_menu` VALUES (1, '巡检', 0, 1, 'pages/business/mhxf/xunJian/xunJian', '', '', 1, 0, 'M', '0', '0', '', 'APP-xunjian', 'fire_admin', '2022-08-11 01:33:40', 'admin', '2023-03-07 15:27:02', '巡检管理菜单');
INSERT INTO `sys_mobile_menu` VALUES (2, '信息查询', 0, 2, 'pages/business/mhxf/informationSelect/index', 'inspection/user/index', '', 1, 0, 'M', '0', '0', 'inspection:user:list', 'APP-xxcx', 'fire_admin', '2022-08-11 01:33:40', 'admin', '2023-03-07 15:27:05', '巡检管理菜单');
INSERT INTO `sys_mobile_menu` VALUES (3, '设备管理', 0, 3, 'pages/business/mhxf/deviceManage/index', NULL, NULL, 1, 0, 'M', '0', '0', '', 'APP-sbgl', 'fire_admin', '2023-02-11 14:33:40', 'admin', '2023-03-07 15:27:07', '');
INSERT INTO `sys_mobile_menu` VALUES (4, '协同作战', 0, 4, 'pages/business/mhxf/coordination/index', NULL, NULL, 1, 0, 'M', '0', '0', '', 'APP-zzdt', 'fire_admin', '2023-02-11 14:33:40', 'admin', '2023-03-07 15:27:10', '');
INSERT INTO `sys_mobile_menu` VALUES (5, '单位采集', 0, 5, 'pages/business/mhxf/unitInfoCollection/index', NULL, NULL, 1, 0, 'M', '0', '0', '', 'APP-dwxxcj', 'fire_admin', '2023-02-11 14:33:40', 'admin', '2023-03-07 15:27:13', '');
INSERT INTO `sys_mobile_menu` VALUES (1175, '消防报告', 0, 6, 'pages/business/mhxf/fireReport/index', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'APP-xfbg', 'admin', '2023-03-07 15:27:39', '', NULL, '');
INSERT INTO `sys_mobile_menu` VALUES (1176, '待办事项', 0, 7, 'pages/business/mhxf/needMatter/index', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'APP-dbsx', 'admin', '2023-03-07 15:28:05', '', NULL, '');
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_platform_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_platform_menu`;
CREATE TABLE `sys_mobile_platform_menu` (
  `platform_id` int(10) NOT NULL COMMENT '平台ID',
  `menu_id` int(10) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`platform_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='移动端_平台和菜单关联表';

-- ----------------------------
-- Records of sys_mobile_platform_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 7);
INSERT INTO `sys_mobile_platform_menu` VALUES (1, 1086);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 1175);
INSERT INTO `sys_mobile_platform_menu` VALUES (2, 1176);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 1175);
INSERT INTO `sys_mobile_platform_menu` VALUES (3, 1176);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 1175);
INSERT INTO `sys_mobile_platform_menu` VALUES (4, 1176);
INSERT INTO `sys_mobile_platform_menu` VALUES (27, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (27, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (27, 6);
INSERT INTO `sys_mobile_platform_menu` VALUES (28, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (28, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (28, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (28, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (28, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (29, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (29, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (30, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (30, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (30, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (30, 1175);
INSERT INTO `sys_mobile_platform_menu` VALUES (30, 1176);
INSERT INTO `sys_mobile_platform_menu` VALUES (42, 2);
INSERT INTO `sys_mobile_platform_menu` VALUES (42, 3);
INSERT INTO `sys_mobile_platform_menu` VALUES (42, 4);
INSERT INTO `sys_mobile_platform_menu` VALUES (42, 5);
INSERT INTO `sys_mobile_platform_menu` VALUES (43, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (44, 1062);
INSERT INTO `sys_mobile_platform_menu` VALUES (45, 1062);
INSERT INTO `sys_mobile_platform_menu` VALUES (47, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (48, 1062);
INSERT INTO `sys_mobile_platform_menu` VALUES (51, 1062);
INSERT INTO `sys_mobile_platform_menu` VALUES (52, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (53, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (54, 1);
INSERT INTO `sys_mobile_platform_menu` VALUES (54, 2);
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_role_menu`;
CREATE TABLE `sys_mobile_role_menu` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='移动端_角色和菜单关联表';

-- ----------------------------
-- Records of sys_mobile_role_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_role_menu` VALUES (10, 2);
INSERT INTO `sys_mobile_role_menu` VALUES (10, 4);
INSERT INTO `sys_mobile_role_menu` VALUES (11, 2);
INSERT INTO `sys_mobile_role_menu` VALUES (13, 1);
INSERT INTO `sys_mobile_role_menu` VALUES (13, 3);
INSERT INTO `sys_mobile_role_menu` VALUES (13, 5);
INSERT INTO `sys_mobile_role_menu` VALUES (13, 1175);
INSERT INTO `sys_mobile_role_menu` VALUES (13, 1176);
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_tenant_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_tenant_config`;
CREATE TABLE `sys_mobile_tenant_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` int(11) NOT NULL COMMENT '租户ID',
  `login_domain` varchar(200) DEFAULT NULL COMMENT '登录域名',
  `login_title` varchar(200) DEFAULT NULL COMMENT '登录标题',
  `login_logo` varchar(500) DEFAULT '' COMMENT '登录页logo',
  `login_back_url` varchar(500) DEFAULT NULL COMMENT '登录页背景地址',
  `login_footer` varchar(500) DEFAULT NULL COMMENT '登录页底部名称',
  `login_type` int(10) DEFAULT '1' COMMENT '登录类型 1:账号登录 2:手机登录 3:账号手机登录',
  `middle_url` varchar(1000) DEFAULT NULL COMMENT '轮询图集合',
  `home_logo` varchar(200) DEFAULT NULL COMMENT '主页logo地址',
  `home_layout` varchar(200) DEFAULT NULL COMMENT '主页导航布局',
  `home_style` varchar(200) DEFAULT NULL COMMENT '主页主题样式',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='移动端_租户配置表';

-- ----------------------------
-- Records of sys_mobile_tenant_config
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_tenant_config` VALUES (1, 1002, '172.16.1.47:3000', '智慧消防', 'http://file.usky.cn/statics/202304/20230403184513A069.png', '', '永天科技提供技术支持', 3, '[{\"img\":\"http://172.16.120.165:9300/statics/202208/20220809153328A002.png\",\"url\":\"https://dysms.console.aliyun.com/quickstart\"},{\"img\":\"http://172.16.120.165:9300/statics/202208/20220809153412A003.png\",\"url\":\"https://dysms.console.aliyun.com/quickstart\"},{\"img\":\"http://172.16.120.165:9300/statics/202208/20220809153429A004.png\",\"url\":\"https://dysms.console.aliyun.com/quickstart\"}]', NULL, NULL, NULL, 'admin', '2023-04-19 16:17:53', '', NULL);
INSERT INTO `sys_mobile_tenant_config` VALUES (2, 1034, NULL, '闵行消防数字平台', 'http://file.usky.cn/statics/202303/20230321144153A044.png', '', '永天科技提供技术支持', 1, NULL, NULL, NULL, NULL, 'admin', '2023-04-07 13:22:32', '', NULL);
INSERT INTO `sys_mobile_tenant_config` VALUES (3, 1003, NULL, '永天运营管理系统', '', 'http://file.usky.cn/statics/202304/20230419175118A003.png', 'V1.0', 1, NULL, NULL, NULL, NULL, 'admin', '2023-04-20 09:36:03', '', NULL);
INSERT INTO `sys_mobile_tenant_config` VALUES (4, 1038, NULL, '太敬移动端', 'http://file.usky.cn/statics/202303/20230330104538A049.png', NULL, NULL, 1, NULL, NULL, NULL, NULL, 'admin', '2023-03-30 17:54:19', '', NULL);
INSERT INTO `sys_mobile_tenant_config` VALUES (5, 1031, NULL, '派米雷智慧园区', '', '', NULL, 1, NULL, NULL, NULL, NULL, 'admin', '2023-04-19 17:09:25', '', NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_mobile_tenant_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_mobile_tenant_menu`;
CREATE TABLE `sys_mobile_tenant_menu` (
  `tenant_id` bigint(20) NOT NULL COMMENT '租户ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `menu_alias_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`tenant_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='移动端_租户和菜单关联表';

-- ----------------------------
-- Records of sys_mobile_tenant_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_mobile_tenant_menu` VALUES (1002, 1, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1002, 3, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1002, 5, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1002, 1175, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1002, 1176, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 1, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 2, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 3, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 4, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 5, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 1175, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1003, 1176, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1030, 4, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1030, 5, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 1, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 2, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 3, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 4, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 5, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 1175, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1032, 1176, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1034, 2, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1034, 4, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1038, 4, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1038, 5, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1039, 1, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1039, 3, NULL);
INSERT INTO `sys_mobile_tenant_menu` VALUES (1039, 5, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice` (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob COMMENT '公告内容',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='通知公告表';

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
BEGIN;
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB932, '0', 'admin', '2022-07-01 01:33:47', 'admin', '2022-07-01 10:37:12', '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2022-07-01 01:33:47', 'dx_admin', '2022-08-02 17:21:32', '管理员');
COMMIT;

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log` (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '返回参数',
  `status` int(1) DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1267 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='操作日志记录';

-- ----------------------------
-- Table structure for sys_person
-- ----------------------------
DROP TABLE IF EXISTS `sys_person`;
CREATE TABLE `sys_person` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `full_name` varchar(50) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '姓名',
  `age` int(4) DEFAULT NULL COMMENT '年龄',
  `gender` int(1) DEFAULT NULL COMMENT '性别;1男、2女',
  `address` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '家庭住址',
  `education_degree` int(1) DEFAULT NULL COMMENT '文化程度;1小学、2初中、3高中、4大专、5本科、6硕士研究生、7博士研究生、8其他',
  `id_number` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '身份证号',
  `link_phone` varchar(20) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '联系方式',
  `post_id` bigint(20) DEFAULT NULL COMMENT '岗位ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `entry_time` datetime DEFAULT NULL COMMENT '入职时间',
  `certificate_url1` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '证书1',
  `certificate_url2` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '证书2',
  `certificate_url3` varchar(100) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '证书3',
  `creator` varchar(25) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_person` varchar(25) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='人员信息';

-- ----------------------------
-- Records of sys_person
-- ----------------------------
BEGIN;
INSERT INTO `sys_person` VALUES (1, '韩正义', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285637', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', NULL, NULL);
INSERT INTO `sys_person` VALUES (2, '小方', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285636', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', NULL, NULL);
INSERT INTO `sys_person` VALUES (3, '杨强', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285635', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', NULL, NULL);
INSERT INTO `sys_person` VALUES (4, '王哲', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285634', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', '', NULL);
INSERT INTO `sys_person` VALUES (5, '吉', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285633', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', '', NULL);
INSERT INTO `sys_person` VALUES (6, '郭', 27, 1, '徐乐路208', 4, '411222199505125017', '17621285632', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', '', NULL);
INSERT INTO `sys_person` VALUES (7, '王涛', 27, 1, '徐乐路208', 4, '411222199505125017', '13127578837', 1, 1, '2022-08-22 14:27:16', 'A', 'B', 'C', 'admin', '2022-08-22 14:27:53', '', NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_platform
-- ----------------------------
DROP TABLE IF EXISTS `sys_platform`;
CREATE TABLE `sys_platform` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `platform_name` varchar(100) DEFAULT NULL COMMENT '平台名称',
  `status` char(1) DEFAULT '1' COMMENT '平台状态（0 停用 1 启用）',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `tenantKey` varchar(100) DEFAULT NULL COMMENT '激活码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='平台信息表';

-- ----------------------------
-- Records of sys_platform
-- ----------------------------
BEGIN;
INSERT INTO `sys_platform` VALUES (1, '智慧电力', '1', '永天智慧电力平台', 'admin', '2022-05-18 14:53:17', '', NULL, NULL);
INSERT INTO `sys_platform` VALUES (2, '智慧消防（企业版）', '1', '伍继智慧电力平台', 'admin', '2022-05-18 14:54:33', 'admin', '2023-03-07 15:34:00', NULL);
INSERT INTO `sys_platform` VALUES (3, '中控平台', '1', '电力运营管理平台', 'admin', '2022-05-19 14:55:06', 'usky_manager', '2023-04-19 14:53:29', NULL);
INSERT INTO `sys_platform` VALUES (4, '集成平台', '1', '开发测试平台', 'admin', '2022-05-19 14:55:06', 'admin', '2023-03-31 12:07:53', NULL);
INSERT INTO `sys_platform` VALUES (27, '王涛的测试', '1', NULL, 'admin', '2022-07-08 09:38:33', '', NULL, NULL);
INSERT INTO `sys_platform` VALUES (28, '智慧园区', '1', NULL, 'admin', '2022-07-14 17:12:04', 'admin', '2023-04-14 09:24:50', NULL);
INSERT INTO `sys_platform` VALUES (29, '智慧消防（支队版）', '1', NULL, 'admin', '2022-08-19 17:00:30', 'admin', '2023-03-09 13:13:50', NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_platform_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_platform_menu`;
CREATE TABLE `sys_platform_menu` (
  `platform_id` bigint(20) NOT NULL COMMENT '平台ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`platform_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='平台和菜单关联表';

-- ----------------------------
-- Records of sys_platform_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_platform_menu` VALUES (1, 0);
INSERT INTO `sys_platform_menu` VALUES (1, 1);
INSERT INTO `sys_platform_menu` VALUES (1, 100);
INSERT INTO `sys_platform_menu` VALUES (1, 101);
INSERT INTO `sys_platform_menu` VALUES (1, 102);
INSERT INTO `sys_platform_menu` VALUES (1, 103);
INSERT INTO `sys_platform_menu` VALUES (1, 104);
INSERT INTO `sys_platform_menu` VALUES (1, 105);
INSERT INTO `sys_platform_menu` VALUES (1, 106);
INSERT INTO `sys_platform_menu` VALUES (1, 107);
INSERT INTO `sys_platform_menu` VALUES (1, 108);
INSERT INTO `sys_platform_menu` VALUES (1, 500);
INSERT INTO `sys_platform_menu` VALUES (1, 501);
INSERT INTO `sys_platform_menu` VALUES (1, 1001);
INSERT INTO `sys_platform_menu` VALUES (1, 1002);
INSERT INTO `sys_platform_menu` VALUES (1, 1003);
INSERT INTO `sys_platform_menu` VALUES (1, 1004);
INSERT INTO `sys_platform_menu` VALUES (1, 1005);
INSERT INTO `sys_platform_menu` VALUES (1, 1006);
INSERT INTO `sys_platform_menu` VALUES (1, 1007);
INSERT INTO `sys_platform_menu` VALUES (1, 1008);
INSERT INTO `sys_platform_menu` VALUES (1, 1009);
INSERT INTO `sys_platform_menu` VALUES (1, 1010);
INSERT INTO `sys_platform_menu` VALUES (1, 1011);
INSERT INTO `sys_platform_menu` VALUES (1, 1012);
INSERT INTO `sys_platform_menu` VALUES (1, 1013);
INSERT INTO `sys_platform_menu` VALUES (1, 1014);
INSERT INTO `sys_platform_menu` VALUES (1, 1015);
INSERT INTO `sys_platform_menu` VALUES (1, 1016);
INSERT INTO `sys_platform_menu` VALUES (1, 1017);
INSERT INTO `sys_platform_menu` VALUES (1, 1018);
INSERT INTO `sys_platform_menu` VALUES (1, 1019);
INSERT INTO `sys_platform_menu` VALUES (1, 1020);
INSERT INTO `sys_platform_menu` VALUES (1, 1021);
INSERT INTO `sys_platform_menu` VALUES (1, 1022);
INSERT INTO `sys_platform_menu` VALUES (1, 1023);
INSERT INTO `sys_platform_menu` VALUES (1, 1024);
INSERT INTO `sys_platform_menu` VALUES (1, 1025);
INSERT INTO `sys_platform_menu` VALUES (1, 1026);
INSERT INTO `sys_platform_menu` VALUES (1, 1027);
INSERT INTO `sys_platform_menu` VALUES (1, 1028);
INSERT INTO `sys_platform_menu` VALUES (1, 1029);
INSERT INTO `sys_platform_menu` VALUES (1, 1030);
INSERT INTO `sys_platform_menu` VALUES (1, 1031);
INSERT INTO `sys_platform_menu` VALUES (1, 1032);
INSERT INTO `sys_platform_menu` VALUES (1, 1033);
INSERT INTO `sys_platform_menu` VALUES (1, 1034);
INSERT INTO `sys_platform_menu` VALUES (1, 1035);
INSERT INTO `sys_platform_menu` VALUES (1, 1036);
INSERT INTO `sys_platform_menu` VALUES (1, 1037);
INSERT INTO `sys_platform_menu` VALUES (1, 1038);
INSERT INTO `sys_platform_menu` VALUES (1, 1039);
INSERT INTO `sys_platform_menu` VALUES (1, 1040);
INSERT INTO `sys_platform_menu` VALUES (1, 1041);
INSERT INTO `sys_platform_menu` VALUES (1, 1042);
INSERT INTO `sys_platform_menu` VALUES (1, 1043);
INSERT INTO `sys_platform_menu` VALUES (1, 1044);
INSERT INTO `sys_platform_menu` VALUES (1, 1045);
INSERT INTO `sys_platform_menu` VALUES (1, 1080);
INSERT INTO `sys_platform_menu` VALUES (2, 0);
INSERT INTO `sys_platform_menu` VALUES (2, 1);
INSERT INTO `sys_platform_menu` VALUES (2, 100);
INSERT INTO `sys_platform_menu` VALUES (2, 101);
INSERT INTO `sys_platform_menu` VALUES (2, 102);
INSERT INTO `sys_platform_menu` VALUES (2, 103);
INSERT INTO `sys_platform_menu` VALUES (2, 104);
INSERT INTO `sys_platform_menu` VALUES (2, 105);
INSERT INTO `sys_platform_menu` VALUES (2, 106);
INSERT INTO `sys_platform_menu` VALUES (2, 107);
INSERT INTO `sys_platform_menu` VALUES (2, 108);
INSERT INTO `sys_platform_menu` VALUES (2, 500);
INSERT INTO `sys_platform_menu` VALUES (2, 501);
INSERT INTO `sys_platform_menu` VALUES (2, 1001);
INSERT INTO `sys_platform_menu` VALUES (2, 1002);
INSERT INTO `sys_platform_menu` VALUES (2, 1003);
INSERT INTO `sys_platform_menu` VALUES (2, 1004);
INSERT INTO `sys_platform_menu` VALUES (2, 1005);
INSERT INTO `sys_platform_menu` VALUES (2, 1006);
INSERT INTO `sys_platform_menu` VALUES (2, 1007);
INSERT INTO `sys_platform_menu` VALUES (2, 1008);
INSERT INTO `sys_platform_menu` VALUES (2, 1009);
INSERT INTO `sys_platform_menu` VALUES (2, 1010);
INSERT INTO `sys_platform_menu` VALUES (2, 1011);
INSERT INTO `sys_platform_menu` VALUES (2, 1012);
INSERT INTO `sys_platform_menu` VALUES (2, 1013);
INSERT INTO `sys_platform_menu` VALUES (2, 1014);
INSERT INTO `sys_platform_menu` VALUES (2, 1015);
INSERT INTO `sys_platform_menu` VALUES (2, 1016);
INSERT INTO `sys_platform_menu` VALUES (2, 1017);
INSERT INTO `sys_platform_menu` VALUES (2, 1018);
INSERT INTO `sys_platform_menu` VALUES (2, 1019);
INSERT INTO `sys_platform_menu` VALUES (2, 1020);
INSERT INTO `sys_platform_menu` VALUES (2, 1021);
INSERT INTO `sys_platform_menu` VALUES (2, 1022);
INSERT INTO `sys_platform_menu` VALUES (2, 1023);
INSERT INTO `sys_platform_menu` VALUES (2, 1024);
INSERT INTO `sys_platform_menu` VALUES (2, 1025);
INSERT INTO `sys_platform_menu` VALUES (2, 1026);
INSERT INTO `sys_platform_menu` VALUES (2, 1027);
INSERT INTO `sys_platform_menu` VALUES (2, 1028);
INSERT INTO `sys_platform_menu` VALUES (2, 1029);
INSERT INTO `sys_platform_menu` VALUES (2, 1030);
INSERT INTO `sys_platform_menu` VALUES (2, 1031);
INSERT INTO `sys_platform_menu` VALUES (2, 1032);
INSERT INTO `sys_platform_menu` VALUES (2, 1033);
INSERT INTO `sys_platform_menu` VALUES (2, 1034);
INSERT INTO `sys_platform_menu` VALUES (2, 1035);
INSERT INTO `sys_platform_menu` VALUES (2, 1036);
INSERT INTO `sys_platform_menu` VALUES (2, 1037);
INSERT INTO `sys_platform_menu` VALUES (2, 1038);
INSERT INTO `sys_platform_menu` VALUES (2, 1039);
INSERT INTO `sys_platform_menu` VALUES (2, 1040);
INSERT INTO `sys_platform_menu` VALUES (2, 1041);
INSERT INTO `sys_platform_menu` VALUES (2, 1042);
INSERT INTO `sys_platform_menu` VALUES (2, 1043);
INSERT INTO `sys_platform_menu` VALUES (2, 1044);
INSERT INTO `sys_platform_menu` VALUES (2, 1045);
INSERT INTO `sys_platform_menu` VALUES (2, 1080);
INSERT INTO `sys_platform_menu` VALUES (2, 1086);
INSERT INTO `sys_platform_menu` VALUES (2, 1089);
INSERT INTO `sys_platform_menu` VALUES (2, 1090);
INSERT INTO `sys_platform_menu` VALUES (2, 1091);
INSERT INTO `sys_platform_menu` VALUES (2, 1092);
INSERT INTO `sys_platform_menu` VALUES (2, 1093);
INSERT INTO `sys_platform_menu` VALUES (2, 1094);
INSERT INTO `sys_platform_menu` VALUES (2, 1095);
INSERT INTO `sys_platform_menu` VALUES (2, 1096);
INSERT INTO `sys_platform_menu` VALUES (2, 1097);
INSERT INTO `sys_platform_menu` VALUES (2, 1101);
INSERT INTO `sys_platform_menu` VALUES (2, 1105);
INSERT INTO `sys_platform_menu` VALUES (2, 1106);
INSERT INTO `sys_platform_menu` VALUES (2, 1107);
INSERT INTO `sys_platform_menu` VALUES (2, 1108);
INSERT INTO `sys_platform_menu` VALUES (2, 1109);
INSERT INTO `sys_platform_menu` VALUES (2, 1110);
INSERT INTO `sys_platform_menu` VALUES (2, 1158);
INSERT INTO `sys_platform_menu` VALUES (3, 0);
INSERT INTO `sys_platform_menu` VALUES (3, 1);
INSERT INTO `sys_platform_menu` VALUES (3, 2);
INSERT INTO `sys_platform_menu` VALUES (3, 3);
INSERT INTO `sys_platform_menu` VALUES (3, 100);
INSERT INTO `sys_platform_menu` VALUES (3, 101);
INSERT INTO `sys_platform_menu` VALUES (3, 102);
INSERT INTO `sys_platform_menu` VALUES (3, 103);
INSERT INTO `sys_platform_menu` VALUES (3, 104);
INSERT INTO `sys_platform_menu` VALUES (3, 105);
INSERT INTO `sys_platform_menu` VALUES (3, 106);
INSERT INTO `sys_platform_menu` VALUES (3, 107);
INSERT INTO `sys_platform_menu` VALUES (3, 108);
INSERT INTO `sys_platform_menu` VALUES (3, 109);
INSERT INTO `sys_platform_menu` VALUES (3, 110);
INSERT INTO `sys_platform_menu` VALUES (3, 111);
INSERT INTO `sys_platform_menu` VALUES (3, 112);
INSERT INTO `sys_platform_menu` VALUES (3, 113);
INSERT INTO `sys_platform_menu` VALUES (3, 114);
INSERT INTO `sys_platform_menu` VALUES (3, 115);
INSERT INTO `sys_platform_menu` VALUES (3, 116);
INSERT INTO `sys_platform_menu` VALUES (3, 500);
INSERT INTO `sys_platform_menu` VALUES (3, 501);
INSERT INTO `sys_platform_menu` VALUES (3, 1001);
INSERT INTO `sys_platform_menu` VALUES (3, 1002);
INSERT INTO `sys_platform_menu` VALUES (3, 1003);
INSERT INTO `sys_platform_menu` VALUES (3, 1004);
INSERT INTO `sys_platform_menu` VALUES (3, 1005);
INSERT INTO `sys_platform_menu` VALUES (3, 1006);
INSERT INTO `sys_platform_menu` VALUES (3, 1007);
INSERT INTO `sys_platform_menu` VALUES (3, 1008);
INSERT INTO `sys_platform_menu` VALUES (3, 1009);
INSERT INTO `sys_platform_menu` VALUES (3, 1010);
INSERT INTO `sys_platform_menu` VALUES (3, 1011);
INSERT INTO `sys_platform_menu` VALUES (3, 1012);
INSERT INTO `sys_platform_menu` VALUES (3, 1013);
INSERT INTO `sys_platform_menu` VALUES (3, 1014);
INSERT INTO `sys_platform_menu` VALUES (3, 1015);
INSERT INTO `sys_platform_menu` VALUES (3, 1016);
INSERT INTO `sys_platform_menu` VALUES (3, 1017);
INSERT INTO `sys_platform_menu` VALUES (3, 1018);
INSERT INTO `sys_platform_menu` VALUES (3, 1019);
INSERT INTO `sys_platform_menu` VALUES (3, 1020);
INSERT INTO `sys_platform_menu` VALUES (3, 1021);
INSERT INTO `sys_platform_menu` VALUES (3, 1022);
INSERT INTO `sys_platform_menu` VALUES (3, 1023);
INSERT INTO `sys_platform_menu` VALUES (3, 1024);
INSERT INTO `sys_platform_menu` VALUES (3, 1025);
INSERT INTO `sys_platform_menu` VALUES (3, 1026);
INSERT INTO `sys_platform_menu` VALUES (3, 1027);
INSERT INTO `sys_platform_menu` VALUES (3, 1028);
INSERT INTO `sys_platform_menu` VALUES (3, 1029);
INSERT INTO `sys_platform_menu` VALUES (3, 1030);
INSERT INTO `sys_platform_menu` VALUES (3, 1031);
INSERT INTO `sys_platform_menu` VALUES (3, 1032);
INSERT INTO `sys_platform_menu` VALUES (3, 1033);
INSERT INTO `sys_platform_menu` VALUES (3, 1034);
INSERT INTO `sys_platform_menu` VALUES (3, 1035);
INSERT INTO `sys_platform_menu` VALUES (3, 1036);
INSERT INTO `sys_platform_menu` VALUES (3, 1037);
INSERT INTO `sys_platform_menu` VALUES (3, 1038);
INSERT INTO `sys_platform_menu` VALUES (3, 1039);
INSERT INTO `sys_platform_menu` VALUES (3, 1040);
INSERT INTO `sys_platform_menu` VALUES (3, 1041);
INSERT INTO `sys_platform_menu` VALUES (3, 1042);
INSERT INTO `sys_platform_menu` VALUES (3, 1043);
INSERT INTO `sys_platform_menu` VALUES (3, 1044);
INSERT INTO `sys_platform_menu` VALUES (3, 1045);
INSERT INTO `sys_platform_menu` VALUES (3, 1046);
INSERT INTO `sys_platform_menu` VALUES (3, 1047);
INSERT INTO `sys_platform_menu` VALUES (3, 1048);
INSERT INTO `sys_platform_menu` VALUES (3, 1049);
INSERT INTO `sys_platform_menu` VALUES (3, 1050);
INSERT INTO `sys_platform_menu` VALUES (3, 1051);
INSERT INTO `sys_platform_menu` VALUES (3, 1052);
INSERT INTO `sys_platform_menu` VALUES (3, 1053);
INSERT INTO `sys_platform_menu` VALUES (3, 1054);
INSERT INTO `sys_platform_menu` VALUES (3, 1055);
INSERT INTO `sys_platform_menu` VALUES (3, 1056);
INSERT INTO `sys_platform_menu` VALUES (3, 1057);
INSERT INTO `sys_platform_menu` VALUES (3, 1058);
INSERT INTO `sys_platform_menu` VALUES (3, 1059);
INSERT INTO `sys_platform_menu` VALUES (3, 1060);
INSERT INTO `sys_platform_menu` VALUES (3, 1062);
INSERT INTO `sys_platform_menu` VALUES (3, 1075);
INSERT INTO `sys_platform_menu` VALUES (3, 1076);
INSERT INTO `sys_platform_menu` VALUES (3, 1080);
INSERT INTO `sys_platform_menu` VALUES (3, 1113);
INSERT INTO `sys_platform_menu` VALUES (3, 1114);
INSERT INTO `sys_platform_menu` VALUES (3, 1115);
INSERT INTO `sys_platform_menu` VALUES (3, 1153);
INSERT INTO `sys_platform_menu` VALUES (3, 1154);
INSERT INTO `sys_platform_menu` VALUES (4, 0);
INSERT INTO `sys_platform_menu` VALUES (4, 1);
INSERT INTO `sys_platform_menu` VALUES (4, 2);
INSERT INTO `sys_platform_menu` VALUES (4, 3);
INSERT INTO `sys_platform_menu` VALUES (4, 100);
INSERT INTO `sys_platform_menu` VALUES (4, 101);
INSERT INTO `sys_platform_menu` VALUES (4, 102);
INSERT INTO `sys_platform_menu` VALUES (4, 103);
INSERT INTO `sys_platform_menu` VALUES (4, 104);
INSERT INTO `sys_platform_menu` VALUES (4, 105);
INSERT INTO `sys_platform_menu` VALUES (4, 106);
INSERT INTO `sys_platform_menu` VALUES (4, 107);
INSERT INTO `sys_platform_menu` VALUES (4, 108);
INSERT INTO `sys_platform_menu` VALUES (4, 109);
INSERT INTO `sys_platform_menu` VALUES (4, 110);
INSERT INTO `sys_platform_menu` VALUES (4, 111);
INSERT INTO `sys_platform_menu` VALUES (4, 112);
INSERT INTO `sys_platform_menu` VALUES (4, 113);
INSERT INTO `sys_platform_menu` VALUES (4, 114);
INSERT INTO `sys_platform_menu` VALUES (4, 115);
INSERT INTO `sys_platform_menu` VALUES (4, 116);
INSERT INTO `sys_platform_menu` VALUES (4, 500);
INSERT INTO `sys_platform_menu` VALUES (4, 501);
INSERT INTO `sys_platform_menu` VALUES (4, 1001);
INSERT INTO `sys_platform_menu` VALUES (4, 1002);
INSERT INTO `sys_platform_menu` VALUES (4, 1003);
INSERT INTO `sys_platform_menu` VALUES (4, 1004);
INSERT INTO `sys_platform_menu` VALUES (4, 1005);
INSERT INTO `sys_platform_menu` VALUES (4, 1006);
INSERT INTO `sys_platform_menu` VALUES (4, 1007);
INSERT INTO `sys_platform_menu` VALUES (4, 1008);
INSERT INTO `sys_platform_menu` VALUES (4, 1009);
INSERT INTO `sys_platform_menu` VALUES (4, 1010);
INSERT INTO `sys_platform_menu` VALUES (4, 1011);
INSERT INTO `sys_platform_menu` VALUES (4, 1012);
INSERT INTO `sys_platform_menu` VALUES (4, 1013);
INSERT INTO `sys_platform_menu` VALUES (4, 1014);
INSERT INTO `sys_platform_menu` VALUES (4, 1015);
INSERT INTO `sys_platform_menu` VALUES (4, 1016);
INSERT INTO `sys_platform_menu` VALUES (4, 1017);
INSERT INTO `sys_platform_menu` VALUES (4, 1018);
INSERT INTO `sys_platform_menu` VALUES (4, 1019);
INSERT INTO `sys_platform_menu` VALUES (4, 1020);
INSERT INTO `sys_platform_menu` VALUES (4, 1021);
INSERT INTO `sys_platform_menu` VALUES (4, 1022);
INSERT INTO `sys_platform_menu` VALUES (4, 1023);
INSERT INTO `sys_platform_menu` VALUES (4, 1024);
INSERT INTO `sys_platform_menu` VALUES (4, 1025);
INSERT INTO `sys_platform_menu` VALUES (4, 1026);
INSERT INTO `sys_platform_menu` VALUES (4, 1027);
INSERT INTO `sys_platform_menu` VALUES (4, 1028);
INSERT INTO `sys_platform_menu` VALUES (4, 1029);
INSERT INTO `sys_platform_menu` VALUES (4, 1030);
INSERT INTO `sys_platform_menu` VALUES (4, 1031);
INSERT INTO `sys_platform_menu` VALUES (4, 1032);
INSERT INTO `sys_platform_menu` VALUES (4, 1033);
INSERT INTO `sys_platform_menu` VALUES (4, 1034);
INSERT INTO `sys_platform_menu` VALUES (4, 1035);
INSERT INTO `sys_platform_menu` VALUES (4, 1036);
INSERT INTO `sys_platform_menu` VALUES (4, 1037);
INSERT INTO `sys_platform_menu` VALUES (4, 1038);
INSERT INTO `sys_platform_menu` VALUES (4, 1039);
INSERT INTO `sys_platform_menu` VALUES (4, 1040);
INSERT INTO `sys_platform_menu` VALUES (4, 1041);
INSERT INTO `sys_platform_menu` VALUES (4, 1042);
INSERT INTO `sys_platform_menu` VALUES (4, 1043);
INSERT INTO `sys_platform_menu` VALUES (4, 1044);
INSERT INTO `sys_platform_menu` VALUES (4, 1045);
INSERT INTO `sys_platform_menu` VALUES (4, 1046);
INSERT INTO `sys_platform_menu` VALUES (4, 1047);
INSERT INTO `sys_platform_menu` VALUES (4, 1048);
INSERT INTO `sys_platform_menu` VALUES (4, 1049);
INSERT INTO `sys_platform_menu` VALUES (4, 1050);
INSERT INTO `sys_platform_menu` VALUES (4, 1051);
INSERT INTO `sys_platform_menu` VALUES (4, 1052);
INSERT INTO `sys_platform_menu` VALUES (4, 1053);
INSERT INTO `sys_platform_menu` VALUES (4, 1054);
INSERT INTO `sys_platform_menu` VALUES (4, 1055);
INSERT INTO `sys_platform_menu` VALUES (4, 1056);
INSERT INTO `sys_platform_menu` VALUES (4, 1057);
INSERT INTO `sys_platform_menu` VALUES (4, 1058);
INSERT INTO `sys_platform_menu` VALUES (4, 1059);
INSERT INTO `sys_platform_menu` VALUES (4, 1060);
INSERT INTO `sys_platform_menu` VALUES (4, 1062);
INSERT INTO `sys_platform_menu` VALUES (4, 1075);
INSERT INTO `sys_platform_menu` VALUES (4, 1076);
INSERT INTO `sys_platform_menu` VALUES (4, 1080);
INSERT INTO `sys_platform_menu` VALUES (4, 1081);
INSERT INTO `sys_platform_menu` VALUES (4, 1082);
INSERT INTO `sys_platform_menu` VALUES (4, 1083);
INSERT INTO `sys_platform_menu` VALUES (4, 1084);
INSERT INTO `sys_platform_menu` VALUES (4, 1085);
INSERT INTO `sys_platform_menu` VALUES (4, 1086);
INSERT INTO `sys_platform_menu` VALUES (4, 1089);
INSERT INTO `sys_platform_menu` VALUES (4, 1090);
INSERT INTO `sys_platform_menu` VALUES (4, 1091);
INSERT INTO `sys_platform_menu` VALUES (4, 1092);
INSERT INTO `sys_platform_menu` VALUES (4, 1093);
INSERT INTO `sys_platform_menu` VALUES (4, 1094);
INSERT INTO `sys_platform_menu` VALUES (4, 1095);
INSERT INTO `sys_platform_menu` VALUES (4, 1096);
INSERT INTO `sys_platform_menu` VALUES (4, 1097);
INSERT INTO `sys_platform_menu` VALUES (4, 1099);
INSERT INTO `sys_platform_menu` VALUES (4, 1101);
INSERT INTO `sys_platform_menu` VALUES (4, 1105);
INSERT INTO `sys_platform_menu` VALUES (4, 1106);
INSERT INTO `sys_platform_menu` VALUES (4, 1107);
INSERT INTO `sys_platform_menu` VALUES (4, 1108);
INSERT INTO `sys_platform_menu` VALUES (4, 1109);
INSERT INTO `sys_platform_menu` VALUES (4, 1110);
INSERT INTO `sys_platform_menu` VALUES (4, 1113);
INSERT INTO `sys_platform_menu` VALUES (4, 1114);
INSERT INTO `sys_platform_menu` VALUES (4, 1115);
INSERT INTO `sys_platform_menu` VALUES (4, 1117);
INSERT INTO `sys_platform_menu` VALUES (4, 1118);
INSERT INTO `sys_platform_menu` VALUES (4, 1119);
INSERT INTO `sys_platform_menu` VALUES (4, 1120);
INSERT INTO `sys_platform_menu` VALUES (4, 1121);
INSERT INTO `sys_platform_menu` VALUES (4, 1122);
INSERT INTO `sys_platform_menu` VALUES (4, 1123);
INSERT INTO `sys_platform_menu` VALUES (4, 1124);
INSERT INTO `sys_platform_menu` VALUES (4, 1125);
INSERT INTO `sys_platform_menu` VALUES (4, 1126);
INSERT INTO `sys_platform_menu` VALUES (4, 1127);
INSERT INTO `sys_platform_menu` VALUES (4, 1128);
INSERT INTO `sys_platform_menu` VALUES (4, 1129);
INSERT INTO `sys_platform_menu` VALUES (4, 1130);
INSERT INTO `sys_platform_menu` VALUES (4, 1131);
INSERT INTO `sys_platform_menu` VALUES (4, 1132);
INSERT INTO `sys_platform_menu` VALUES (4, 1148);
INSERT INTO `sys_platform_menu` VALUES (4, 1149);
INSERT INTO `sys_platform_menu` VALUES (4, 1150);
INSERT INTO `sys_platform_menu` VALUES (4, 1151);
INSERT INTO `sys_platform_menu` VALUES (4, 1152);
INSERT INTO `sys_platform_menu` VALUES (4, 1153);
INSERT INTO `sys_platform_menu` VALUES (4, 1154);
INSERT INTO `sys_platform_menu` VALUES (4, 1155);
INSERT INTO `sys_platform_menu` VALUES (4, 1156);
INSERT INTO `sys_platform_menu` VALUES (4, 1158);
INSERT INTO `sys_platform_menu` VALUES (4, 1159);
INSERT INTO `sys_platform_menu` VALUES (4, 1160);
INSERT INTO `sys_platform_menu` VALUES (4, 1161);
INSERT INTO `sys_platform_menu` VALUES (4, 1162);
INSERT INTO `sys_platform_menu` VALUES (4, 1163);
INSERT INTO `sys_platform_menu` VALUES (4, 1164);
INSERT INTO `sys_platform_menu` VALUES (4, 1165);
INSERT INTO `sys_platform_menu` VALUES (4, 1166);
INSERT INTO `sys_platform_menu` VALUES (4, 1167);
INSERT INTO `sys_platform_menu` VALUES (4, 1168);
INSERT INTO `sys_platform_menu` VALUES (4, 1169);
INSERT INTO `sys_platform_menu` VALUES (4, 1170);
INSERT INTO `sys_platform_menu` VALUES (4, 1171);
INSERT INTO `sys_platform_menu` VALUES (4, 1172);
INSERT INTO `sys_platform_menu` VALUES (4, 1173);
INSERT INTO `sys_platform_menu` VALUES (4, 1174);
INSERT INTO `sys_platform_menu` VALUES (4, 1175);
INSERT INTO `sys_platform_menu` VALUES (4, 1176);
INSERT INTO `sys_platform_menu` VALUES (4, 1177);
INSERT INTO `sys_platform_menu` VALUES (4, 1178);
INSERT INTO `sys_platform_menu` VALUES (4, 1179);
INSERT INTO `sys_platform_menu` VALUES (4, 1180);
INSERT INTO `sys_platform_menu` VALUES (4, 1181);
INSERT INTO `sys_platform_menu` VALUES (4, 1182);
INSERT INTO `sys_platform_menu` VALUES (4, 1183);
INSERT INTO `sys_platform_menu` VALUES (4, 1184);
INSERT INTO `sys_platform_menu` VALUES (4, 1185);
INSERT INTO `sys_platform_menu` VALUES (4, 1186);
INSERT INTO `sys_platform_menu` VALUES (27, 0);
INSERT INTO `sys_platform_menu` VALUES (27, 1);
INSERT INTO `sys_platform_menu` VALUES (27, 2);
INSERT INTO `sys_platform_menu` VALUES (27, 3);
INSERT INTO `sys_platform_menu` VALUES (27, 100);
INSERT INTO `sys_platform_menu` VALUES (27, 101);
INSERT INTO `sys_platform_menu` VALUES (27, 102);
INSERT INTO `sys_platform_menu` VALUES (27, 103);
INSERT INTO `sys_platform_menu` VALUES (27, 104);
INSERT INTO `sys_platform_menu` VALUES (27, 105);
INSERT INTO `sys_platform_menu` VALUES (27, 106);
INSERT INTO `sys_platform_menu` VALUES (27, 107);
INSERT INTO `sys_platform_menu` VALUES (27, 108);
INSERT INTO `sys_platform_menu` VALUES (27, 109);
INSERT INTO `sys_platform_menu` VALUES (27, 110);
INSERT INTO `sys_platform_menu` VALUES (27, 111);
INSERT INTO `sys_platform_menu` VALUES (27, 112);
INSERT INTO `sys_platform_menu` VALUES (27, 113);
INSERT INTO `sys_platform_menu` VALUES (27, 114);
INSERT INTO `sys_platform_menu` VALUES (27, 115);
INSERT INTO `sys_platform_menu` VALUES (27, 116);
INSERT INTO `sys_platform_menu` VALUES (27, 500);
INSERT INTO `sys_platform_menu` VALUES (27, 501);
INSERT INTO `sys_platform_menu` VALUES (27, 1001);
INSERT INTO `sys_platform_menu` VALUES (27, 1002);
INSERT INTO `sys_platform_menu` VALUES (27, 1003);
INSERT INTO `sys_platform_menu` VALUES (27, 1004);
INSERT INTO `sys_platform_menu` VALUES (27, 1005);
INSERT INTO `sys_platform_menu` VALUES (27, 1006);
INSERT INTO `sys_platform_menu` VALUES (27, 1007);
INSERT INTO `sys_platform_menu` VALUES (27, 1008);
INSERT INTO `sys_platform_menu` VALUES (27, 1009);
INSERT INTO `sys_platform_menu` VALUES (27, 1010);
INSERT INTO `sys_platform_menu` VALUES (27, 1011);
INSERT INTO `sys_platform_menu` VALUES (27, 1012);
INSERT INTO `sys_platform_menu` VALUES (27, 1013);
INSERT INTO `sys_platform_menu` VALUES (27, 1014);
INSERT INTO `sys_platform_menu` VALUES (27, 1015);
INSERT INTO `sys_platform_menu` VALUES (27, 1016);
INSERT INTO `sys_platform_menu` VALUES (27, 1017);
INSERT INTO `sys_platform_menu` VALUES (27, 1018);
INSERT INTO `sys_platform_menu` VALUES (27, 1019);
INSERT INTO `sys_platform_menu` VALUES (27, 1020);
INSERT INTO `sys_platform_menu` VALUES (27, 1021);
INSERT INTO `sys_platform_menu` VALUES (27, 1022);
INSERT INTO `sys_platform_menu` VALUES (27, 1023);
INSERT INTO `sys_platform_menu` VALUES (27, 1024);
INSERT INTO `sys_platform_menu` VALUES (27, 1025);
INSERT INTO `sys_platform_menu` VALUES (27, 1026);
INSERT INTO `sys_platform_menu` VALUES (27, 1027);
INSERT INTO `sys_platform_menu` VALUES (27, 1028);
INSERT INTO `sys_platform_menu` VALUES (27, 1029);
INSERT INTO `sys_platform_menu` VALUES (27, 1030);
INSERT INTO `sys_platform_menu` VALUES (27, 1031);
INSERT INTO `sys_platform_menu` VALUES (27, 1032);
INSERT INTO `sys_platform_menu` VALUES (27, 1033);
INSERT INTO `sys_platform_menu` VALUES (27, 1034);
INSERT INTO `sys_platform_menu` VALUES (27, 1035);
INSERT INTO `sys_platform_menu` VALUES (27, 1036);
INSERT INTO `sys_platform_menu` VALUES (27, 1037);
INSERT INTO `sys_platform_menu` VALUES (27, 1038);
INSERT INTO `sys_platform_menu` VALUES (27, 1039);
INSERT INTO `sys_platform_menu` VALUES (27, 1040);
INSERT INTO `sys_platform_menu` VALUES (27, 1041);
INSERT INTO `sys_platform_menu` VALUES (27, 1042);
INSERT INTO `sys_platform_menu` VALUES (27, 1043);
INSERT INTO `sys_platform_menu` VALUES (27, 1044);
INSERT INTO `sys_platform_menu` VALUES (27, 1045);
INSERT INTO `sys_platform_menu` VALUES (27, 1046);
INSERT INTO `sys_platform_menu` VALUES (27, 1047);
INSERT INTO `sys_platform_menu` VALUES (27, 1048);
INSERT INTO `sys_platform_menu` VALUES (27, 1049);
INSERT INTO `sys_platform_menu` VALUES (27, 1050);
INSERT INTO `sys_platform_menu` VALUES (27, 1051);
INSERT INTO `sys_platform_menu` VALUES (27, 1052);
INSERT INTO `sys_platform_menu` VALUES (27, 1053);
INSERT INTO `sys_platform_menu` VALUES (27, 1054);
INSERT INTO `sys_platform_menu` VALUES (27, 1055);
INSERT INTO `sys_platform_menu` VALUES (27, 1056);
INSERT INTO `sys_platform_menu` VALUES (27, 1057);
INSERT INTO `sys_platform_menu` VALUES (27, 1058);
INSERT INTO `sys_platform_menu` VALUES (27, 1059);
INSERT INTO `sys_platform_menu` VALUES (27, 1060);
INSERT INTO `sys_platform_menu` VALUES (27, 1062);
INSERT INTO `sys_platform_menu` VALUES (27, 1075);
INSERT INTO `sys_platform_menu` VALUES (27, 1080);
INSERT INTO `sys_platform_menu` VALUES (27, 1081);
INSERT INTO `sys_platform_menu` VALUES (27, 1082);
INSERT INTO `sys_platform_menu` VALUES (27, 1083);
INSERT INTO `sys_platform_menu` VALUES (27, 1084);
INSERT INTO `sys_platform_menu` VALUES (27, 1085);
INSERT INTO `sys_platform_menu` VALUES (27, 1086);
INSERT INTO `sys_platform_menu` VALUES (27, 1089);
INSERT INTO `sys_platform_menu` VALUES (27, 1090);
INSERT INTO `sys_platform_menu` VALUES (27, 1091);
INSERT INTO `sys_platform_menu` VALUES (27, 1092);
INSERT INTO `sys_platform_menu` VALUES (27, 1093);
INSERT INTO `sys_platform_menu` VALUES (27, 1094);
INSERT INTO `sys_platform_menu` VALUES (27, 1095);
INSERT INTO `sys_platform_menu` VALUES (27, 1096);
INSERT INTO `sys_platform_menu` VALUES (27, 1097);
INSERT INTO `sys_platform_menu` VALUES (27, 1099);
INSERT INTO `sys_platform_menu` VALUES (27, 1101);
INSERT INTO `sys_platform_menu` VALUES (27, 1105);
INSERT INTO `sys_platform_menu` VALUES (27, 1106);
INSERT INTO `sys_platform_menu` VALUES (27, 1107);
INSERT INTO `sys_platform_menu` VALUES (27, 1108);
INSERT INTO `sys_platform_menu` VALUES (27, 1109);
INSERT INTO `sys_platform_menu` VALUES (27, 1110);
INSERT INTO `sys_platform_menu` VALUES (27, 1112);
INSERT INTO `sys_platform_menu` VALUES (27, 1113);
INSERT INTO `sys_platform_menu` VALUES (27, 1114);
INSERT INTO `sys_platform_menu` VALUES (27, 1115);
INSERT INTO `sys_platform_menu` VALUES (27, 1116);
INSERT INTO `sys_platform_menu` VALUES (27, 1117);
INSERT INTO `sys_platform_menu` VALUES (27, 1118);
INSERT INTO `sys_platform_menu` VALUES (27, 1119);
INSERT INTO `sys_platform_menu` VALUES (27, 1120);
INSERT INTO `sys_platform_menu` VALUES (28, 0);
INSERT INTO `sys_platform_menu` VALUES (28, 1);
INSERT INTO `sys_platform_menu` VALUES (28, 100);
INSERT INTO `sys_platform_menu` VALUES (28, 101);
INSERT INTO `sys_platform_menu` VALUES (28, 103);
INSERT INTO `sys_platform_menu` VALUES (28, 104);
INSERT INTO `sys_platform_menu` VALUES (28, 105);
INSERT INTO `sys_platform_menu` VALUES (28, 106);
INSERT INTO `sys_platform_menu` VALUES (28, 107);
INSERT INTO `sys_platform_menu` VALUES (28, 108);
INSERT INTO `sys_platform_menu` VALUES (28, 500);
INSERT INTO `sys_platform_menu` VALUES (28, 501);
INSERT INTO `sys_platform_menu` VALUES (28, 1001);
INSERT INTO `sys_platform_menu` VALUES (28, 1002);
INSERT INTO `sys_platform_menu` VALUES (28, 1003);
INSERT INTO `sys_platform_menu` VALUES (28, 1004);
INSERT INTO `sys_platform_menu` VALUES (28, 1005);
INSERT INTO `sys_platform_menu` VALUES (28, 1006);
INSERT INTO `sys_platform_menu` VALUES (28, 1007);
INSERT INTO `sys_platform_menu` VALUES (28, 1008);
INSERT INTO `sys_platform_menu` VALUES (28, 1009);
INSERT INTO `sys_platform_menu` VALUES (28, 1010);
INSERT INTO `sys_platform_menu` VALUES (28, 1011);
INSERT INTO `sys_platform_menu` VALUES (28, 1012);
INSERT INTO `sys_platform_menu` VALUES (28, 1017);
INSERT INTO `sys_platform_menu` VALUES (28, 1018);
INSERT INTO `sys_platform_menu` VALUES (28, 1019);
INSERT INTO `sys_platform_menu` VALUES (28, 1020);
INSERT INTO `sys_platform_menu` VALUES (28, 1021);
INSERT INTO `sys_platform_menu` VALUES (28, 1022);
INSERT INTO `sys_platform_menu` VALUES (28, 1023);
INSERT INTO `sys_platform_menu` VALUES (28, 1024);
INSERT INTO `sys_platform_menu` VALUES (28, 1025);
INSERT INTO `sys_platform_menu` VALUES (28, 1026);
INSERT INTO `sys_platform_menu` VALUES (28, 1027);
INSERT INTO `sys_platform_menu` VALUES (28, 1028);
INSERT INTO `sys_platform_menu` VALUES (28, 1029);
INSERT INTO `sys_platform_menu` VALUES (28, 1030);
INSERT INTO `sys_platform_menu` VALUES (28, 1031);
INSERT INTO `sys_platform_menu` VALUES (28, 1032);
INSERT INTO `sys_platform_menu` VALUES (28, 1033);
INSERT INTO `sys_platform_menu` VALUES (28, 1034);
INSERT INTO `sys_platform_menu` VALUES (28, 1035);
INSERT INTO `sys_platform_menu` VALUES (28, 1036);
INSERT INTO `sys_platform_menu` VALUES (28, 1037);
INSERT INTO `sys_platform_menu` VALUES (28, 1038);
INSERT INTO `sys_platform_menu` VALUES (28, 1039);
INSERT INTO `sys_platform_menu` VALUES (28, 1040);
INSERT INTO `sys_platform_menu` VALUES (28, 1041);
INSERT INTO `sys_platform_menu` VALUES (28, 1042);
INSERT INTO `sys_platform_menu` VALUES (28, 1043);
INSERT INTO `sys_platform_menu` VALUES (28, 1044);
INSERT INTO `sys_platform_menu` VALUES (28, 1045);
INSERT INTO `sys_platform_menu` VALUES (28, 1075);
INSERT INTO `sys_platform_menu` VALUES (28, 1081);
INSERT INTO `sys_platform_menu` VALUES (28, 1082);
INSERT INTO `sys_platform_menu` VALUES (28, 1083);
INSERT INTO `sys_platform_menu` VALUES (28, 1084);
INSERT INTO `sys_platform_menu` VALUES (28, 1085);
INSERT INTO `sys_platform_menu` VALUES (28, 1099);
INSERT INTO `sys_platform_menu` VALUES (28, 1117);
INSERT INTO `sys_platform_menu` VALUES (28, 1118);
INSERT INTO `sys_platform_menu` VALUES (28, 1119);
INSERT INTO `sys_platform_menu` VALUES (28, 1120);
INSERT INTO `sys_platform_menu` VALUES (28, 1121);
INSERT INTO `sys_platform_menu` VALUES (28, 1165);
INSERT INTO `sys_platform_menu` VALUES (28, 1166);
INSERT INTO `sys_platform_menu` VALUES (28, 1167);
INSERT INTO `sys_platform_menu` VALUES (28, 1168);
INSERT INTO `sys_platform_menu` VALUES (28, 1170);
INSERT INTO `sys_platform_menu` VALUES (28, 1171);
INSERT INTO `sys_platform_menu` VALUES (28, 1172);
INSERT INTO `sys_platform_menu` VALUES (28, 1173);
INSERT INTO `sys_platform_menu` VALUES (28, 1174);
INSERT INTO `sys_platform_menu` VALUES (28, 1175);
INSERT INTO `sys_platform_menu` VALUES (28, 1176);
INSERT INTO `sys_platform_menu` VALUES (28, 1178);
INSERT INTO `sys_platform_menu` VALUES (28, 1179);
INSERT INTO `sys_platform_menu` VALUES (28, 1180);
INSERT INTO `sys_platform_menu` VALUES (28, 1181);
INSERT INTO `sys_platform_menu` VALUES (28, 1182);
INSERT INTO `sys_platform_menu` VALUES (28, 1183);
INSERT INTO `sys_platform_menu` VALUES (28, 1184);
INSERT INTO `sys_platform_menu` VALUES (28, 1185);
INSERT INTO `sys_platform_menu` VALUES (28, 1186);
INSERT INTO `sys_platform_menu` VALUES (28, 1187);
INSERT INTO `sys_platform_menu` VALUES (28, 1188);
INSERT INTO `sys_platform_menu` VALUES (28, 1189);
INSERT INTO `sys_platform_menu` VALUES (29, 0);
INSERT INTO `sys_platform_menu` VALUES (29, 1);
INSERT INTO `sys_platform_menu` VALUES (29, 100);
INSERT INTO `sys_platform_menu` VALUES (29, 101);
INSERT INTO `sys_platform_menu` VALUES (29, 102);
INSERT INTO `sys_platform_menu` VALUES (29, 103);
INSERT INTO `sys_platform_menu` VALUES (29, 104);
INSERT INTO `sys_platform_menu` VALUES (29, 105);
INSERT INTO `sys_platform_menu` VALUES (29, 106);
INSERT INTO `sys_platform_menu` VALUES (29, 107);
INSERT INTO `sys_platform_menu` VALUES (29, 108);
INSERT INTO `sys_platform_menu` VALUES (29, 500);
INSERT INTO `sys_platform_menu` VALUES (29, 501);
INSERT INTO `sys_platform_menu` VALUES (29, 1001);
INSERT INTO `sys_platform_menu` VALUES (29, 1002);
INSERT INTO `sys_platform_menu` VALUES (29, 1003);
INSERT INTO `sys_platform_menu` VALUES (29, 1004);
INSERT INTO `sys_platform_menu` VALUES (29, 1005);
INSERT INTO `sys_platform_menu` VALUES (29, 1006);
INSERT INTO `sys_platform_menu` VALUES (29, 1007);
INSERT INTO `sys_platform_menu` VALUES (29, 1008);
INSERT INTO `sys_platform_menu` VALUES (29, 1009);
INSERT INTO `sys_platform_menu` VALUES (29, 1010);
INSERT INTO `sys_platform_menu` VALUES (29, 1011);
INSERT INTO `sys_platform_menu` VALUES (29, 1012);
INSERT INTO `sys_platform_menu` VALUES (29, 1013);
INSERT INTO `sys_platform_menu` VALUES (29, 1014);
INSERT INTO `sys_platform_menu` VALUES (29, 1015);
INSERT INTO `sys_platform_menu` VALUES (29, 1016);
INSERT INTO `sys_platform_menu` VALUES (29, 1017);
INSERT INTO `sys_platform_menu` VALUES (29, 1018);
INSERT INTO `sys_platform_menu` VALUES (29, 1019);
INSERT INTO `sys_platform_menu` VALUES (29, 1020);
INSERT INTO `sys_platform_menu` VALUES (29, 1021);
INSERT INTO `sys_platform_menu` VALUES (29, 1022);
INSERT INTO `sys_platform_menu` VALUES (29, 1023);
INSERT INTO `sys_platform_menu` VALUES (29, 1024);
INSERT INTO `sys_platform_menu` VALUES (29, 1025);
INSERT INTO `sys_platform_menu` VALUES (29, 1026);
INSERT INTO `sys_platform_menu` VALUES (29, 1027);
INSERT INTO `sys_platform_menu` VALUES (29, 1028);
INSERT INTO `sys_platform_menu` VALUES (29, 1029);
INSERT INTO `sys_platform_menu` VALUES (29, 1030);
INSERT INTO `sys_platform_menu` VALUES (29, 1031);
INSERT INTO `sys_platform_menu` VALUES (29, 1032);
INSERT INTO `sys_platform_menu` VALUES (29, 1033);
INSERT INTO `sys_platform_menu` VALUES (29, 1034);
INSERT INTO `sys_platform_menu` VALUES (29, 1035);
INSERT INTO `sys_platform_menu` VALUES (29, 1036);
INSERT INTO `sys_platform_menu` VALUES (29, 1037);
INSERT INTO `sys_platform_menu` VALUES (29, 1038);
INSERT INTO `sys_platform_menu` VALUES (29, 1039);
INSERT INTO `sys_platform_menu` VALUES (29, 1040);
INSERT INTO `sys_platform_menu` VALUES (29, 1041);
INSERT INTO `sys_platform_menu` VALUES (29, 1042);
INSERT INTO `sys_platform_menu` VALUES (29, 1043);
INSERT INTO `sys_platform_menu` VALUES (29, 1044);
INSERT INTO `sys_platform_menu` VALUES (29, 1045);
INSERT INTO `sys_platform_menu` VALUES (29, 1122);
INSERT INTO `sys_platform_menu` VALUES (29, 1123);
INSERT INTO `sys_platform_menu` VALUES (29, 1124);
INSERT INTO `sys_platform_menu` VALUES (29, 1125);
INSERT INTO `sys_platform_menu` VALUES (29, 1126);
INSERT INTO `sys_platform_menu` VALUES (29, 1127);
INSERT INTO `sys_platform_menu` VALUES (29, 1128);
INSERT INTO `sys_platform_menu` VALUES (29, 1129);
INSERT INTO `sys_platform_menu` VALUES (29, 1130);
INSERT INTO `sys_platform_menu` VALUES (29, 1131);
INSERT INTO `sys_platform_menu` VALUES (29, 1132);
INSERT INTO `sys_platform_menu` VALUES (29, 1148);
INSERT INTO `sys_platform_menu` VALUES (29, 1155);
INSERT INTO `sys_platform_menu` VALUES (29, 1156);
INSERT INTO `sys_platform_menu` VALUES (29, 1159);
INSERT INTO `sys_platform_menu` VALUES (29, 1160);
INSERT INTO `sys_platform_menu` VALUES (29, 1161);
INSERT INTO `sys_platform_menu` VALUES (29, 1162);
INSERT INTO `sys_platform_menu` VALUES (29, 1163);
INSERT INTO `sys_platform_menu` VALUES (29, 1164);
INSERT INTO `sys_platform_menu` VALUES (29, 1169);
COMMIT;

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post` (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='岗位信息表';

-- ----------------------------
-- Records of sys_post
-- ----------------------------
BEGIN;
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长1', 1, '1', 'admin', '2022-07-01 01:33:39', 'CSYZH', '2022-07-05 15:39:13', '', NULL);
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2022-07-01 01:33:39', '', NULL, '', NULL);
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2022-07-01 01:33:40', '', NULL, '', NULL);
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2022-07-01 01:33:40', '', NULL, '', NULL);
INSERT INTO `sys_post` VALUES (5, '123', '开发工程师', 1, '0', 'dx_admin', '2022-08-12 14:14:23', 'dx_admin', '2022-08-12 14:14:38', '测试', 1031);
INSERT INTO `sys_post` VALUES (6, 'TEST1', 'TEST1', 0, '0', 'dx_admin', '2022-08-12 16:13:47', '', NULL, NULL, 1031);
INSERT INTO `sys_post` VALUES (7, 'TEST12', 'TEST12', 3, '0', 'dx_admin', '2022-08-12 16:14:07', 'dx_admin', '2022-08-12 16:14:22', NULL, 1031);
COMMIT;

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) DEFAULT '1' COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) DEFAULT '1' COMMENT '部门树选择项是否关联显示',
  `status` char(1) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='角色信息表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2022-07-01 01:33:40', '', NULL, '超级管理员', 1001);
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2022-07-01 01:33:40', 'CSYZH', '2022-07-05 15:13:15', '普通角色', 1001);
INSERT INTO `sys_role` VALUES (3, '开发人员', 'KFRY', 3, '1', 1, 1, '0', '0', 'dx_admin', '2022-08-12 11:08:05', 'dx_admin', '2022-08-12 16:14:53', '测试', 1031);
INSERT INTO `sys_role` VALUES (4, 'TEST12', '1', 2, '1', 1, 1, '0', '2', 'dx_admin', '2022-08-12 15:33:53', 'dx_admin', '2022-08-12 16:14:46', NULL, 1031);
INSERT INTO `sys_role` VALUES (5, 'TEST1', 'TEST1', 0, '1', 1, 1, '0', '0', 'dx_admin', '2022-08-12 16:59:05', 'dx_admin', '2022-08-12 16:59:14', NULL, 1031);
INSERT INTO `sys_role` VALUES (6, '现场人员', 'XCRU', 1, '1', 1, 1, '0', '0', 'dx_admin', '2022-08-12 17:00:06', '', NULL, '测试', 1031);
INSERT INTO `sys_role` VALUES (7, '1', '12', 0, '1', 1, 1, '0', '2', 'dx_admin', '2022-08-18 15:17:09', '', NULL, NULL, 1031);
INSERT INTO `sys_role` VALUES (8, '安全员', '安全员', 0, '1', 1, 1, '0', '0', 'mhxf_admin', '2022-12-08 14:22:07', 'mhxf_admin', '2022-12-08 14:23:10', NULL, 1034);
INSERT INTO `sys_role` VALUES (9, '审计员', '审计员', 0, '1', 1, 1, '0', '0', 'mhxf_admin', '2022-12-08 14:23:02', '', NULL, NULL, 1034);
INSERT INTO `sys_role` VALUES (10, '业务管理员', '业务管理员', 0, '1', 1, 1, '0', '0', 'mhxf_admin', '2022-12-10 13:49:14', 'mhxf_admin', '2023-03-15 13:18:21', NULL, 1034);
INSERT INTO `sys_role` VALUES (11, '基础信息管理员', '基础信息管理员', 0, '1', 1, 1, '0', '0', 'mhxf_admin', '2022-12-10 13:49:56', 'mhxf_admin', '2023-03-15 13:17:24', NULL, 1034);
INSERT INTO `sys_role` VALUES (12, '管理员', '管理员', 0, '1', 1, 1, '0', '0', 'mhxf_admin', '2022-12-10 14:09:25', 'mhxf_admin', '2022-12-12 16:15:27', NULL, 1034);
INSERT INTO `sys_role` VALUES (13, '管理员', '1', 0, '1', 1, 1, '0', '0', 'fire_admin', '2022-12-28 09:37:18', 'fire_admin', '2023-03-30 14:17:33', NULL, 1002);
COMMIT;

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`,`dept_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='角色和部门关联表';

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
BEGIN;
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);
COMMIT;

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='角色和菜单关联表';

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);
INSERT INTO `sys_role_menu` VALUES (3, 1);
INSERT INTO `sys_role_menu` VALUES (3, 100);
INSERT INTO `sys_role_menu` VALUES (3, 101);
INSERT INTO `sys_role_menu` VALUES (3, 103);
INSERT INTO `sys_role_menu` VALUES (3, 104);
INSERT INTO `sys_role_menu` VALUES (3, 105);
INSERT INTO `sys_role_menu` VALUES (3, 106);
INSERT INTO `sys_role_menu` VALUES (3, 107);
INSERT INTO `sys_role_menu` VALUES (3, 108);
INSERT INTO `sys_role_menu` VALUES (3, 500);
INSERT INTO `sys_role_menu` VALUES (3, 501);
INSERT INTO `sys_role_menu` VALUES (3, 1001);
INSERT INTO `sys_role_menu` VALUES (3, 1002);
INSERT INTO `sys_role_menu` VALUES (3, 1003);
INSERT INTO `sys_role_menu` VALUES (3, 1004);
INSERT INTO `sys_role_menu` VALUES (3, 1005);
INSERT INTO `sys_role_menu` VALUES (3, 1006);
INSERT INTO `sys_role_menu` VALUES (3, 1007);
INSERT INTO `sys_role_menu` VALUES (3, 1008);
INSERT INTO `sys_role_menu` VALUES (3, 1009);
INSERT INTO `sys_role_menu` VALUES (3, 1010);
INSERT INTO `sys_role_menu` VALUES (3, 1011);
INSERT INTO `sys_role_menu` VALUES (3, 1012);
INSERT INTO `sys_role_menu` VALUES (3, 1017);
INSERT INTO `sys_role_menu` VALUES (3, 1018);
INSERT INTO `sys_role_menu` VALUES (3, 1019);
INSERT INTO `sys_role_menu` VALUES (3, 1020);
INSERT INTO `sys_role_menu` VALUES (3, 1021);
INSERT INTO `sys_role_menu` VALUES (3, 1022);
INSERT INTO `sys_role_menu` VALUES (3, 1023);
INSERT INTO `sys_role_menu` VALUES (3, 1024);
INSERT INTO `sys_role_menu` VALUES (3, 1025);
INSERT INTO `sys_role_menu` VALUES (3, 1026);
INSERT INTO `sys_role_menu` VALUES (3, 1027);
INSERT INTO `sys_role_menu` VALUES (3, 1028);
INSERT INTO `sys_role_menu` VALUES (3, 1029);
INSERT INTO `sys_role_menu` VALUES (3, 1030);
INSERT INTO `sys_role_menu` VALUES (3, 1031);
INSERT INTO `sys_role_menu` VALUES (3, 1032);
INSERT INTO `sys_role_menu` VALUES (3, 1033);
INSERT INTO `sys_role_menu` VALUES (3, 1034);
INSERT INTO `sys_role_menu` VALUES (3, 1035);
INSERT INTO `sys_role_menu` VALUES (3, 1036);
INSERT INTO `sys_role_menu` VALUES (3, 1037);
INSERT INTO `sys_role_menu` VALUES (3, 1038);
INSERT INTO `sys_role_menu` VALUES (3, 1039);
INSERT INTO `sys_role_menu` VALUES (3, 1040);
INSERT INTO `sys_role_menu` VALUES (3, 1041);
INSERT INTO `sys_role_menu` VALUES (3, 1042);
INSERT INTO `sys_role_menu` VALUES (3, 1043);
INSERT INTO `sys_role_menu` VALUES (3, 1044);
INSERT INTO `sys_role_menu` VALUES (3, 1045);
INSERT INTO `sys_role_menu` VALUES (3, 1081);
INSERT INTO `sys_role_menu` VALUES (3, 1082);
INSERT INTO `sys_role_menu` VALUES (3, 1083);
INSERT INTO `sys_role_menu` VALUES (3, 1084);
INSERT INTO `sys_role_menu` VALUES (3, 1085);
INSERT INTO `sys_role_menu` VALUES (3, 1099);
INSERT INTO `sys_role_menu` VALUES (6, 1081);
INSERT INTO `sys_role_menu` VALUES (6, 1082);
INSERT INTO `sys_role_menu` VALUES (6, 1083);
INSERT INTO `sys_role_menu` VALUES (6, 1084);
INSERT INTO `sys_role_menu` VALUES (6, 1085);
INSERT INTO `sys_role_menu` VALUES (6, 1099);
INSERT INTO `sys_role_menu` VALUES (8, 1);
INSERT INTO `sys_role_menu` VALUES (8, 100);
INSERT INTO `sys_role_menu` VALUES (8, 101);
INSERT INTO `sys_role_menu` VALUES (8, 102);
INSERT INTO `sys_role_menu` VALUES (8, 103);
INSERT INTO `sys_role_menu` VALUES (8, 104);
INSERT INTO `sys_role_menu` VALUES (8, 105);
INSERT INTO `sys_role_menu` VALUES (8, 106);
INSERT INTO `sys_role_menu` VALUES (8, 107);
INSERT INTO `sys_role_menu` VALUES (8, 108);
INSERT INTO `sys_role_menu` VALUES (8, 500);
INSERT INTO `sys_role_menu` VALUES (8, 501);
INSERT INTO `sys_role_menu` VALUES (8, 1001);
INSERT INTO `sys_role_menu` VALUES (8, 1002);
INSERT INTO `sys_role_menu` VALUES (8, 1003);
INSERT INTO `sys_role_menu` VALUES (8, 1004);
INSERT INTO `sys_role_menu` VALUES (8, 1005);
INSERT INTO `sys_role_menu` VALUES (8, 1006);
INSERT INTO `sys_role_menu` VALUES (8, 1007);
INSERT INTO `sys_role_menu` VALUES (8, 1008);
INSERT INTO `sys_role_menu` VALUES (8, 1009);
INSERT INTO `sys_role_menu` VALUES (8, 1010);
INSERT INTO `sys_role_menu` VALUES (8, 1011);
INSERT INTO `sys_role_menu` VALUES (8, 1012);
INSERT INTO `sys_role_menu` VALUES (8, 1013);
INSERT INTO `sys_role_menu` VALUES (8, 1014);
INSERT INTO `sys_role_menu` VALUES (8, 1015);
INSERT INTO `sys_role_menu` VALUES (8, 1016);
INSERT INTO `sys_role_menu` VALUES (8, 1017);
INSERT INTO `sys_role_menu` VALUES (8, 1018);
INSERT INTO `sys_role_menu` VALUES (8, 1019);
INSERT INTO `sys_role_menu` VALUES (8, 1020);
INSERT INTO `sys_role_menu` VALUES (8, 1021);
INSERT INTO `sys_role_menu` VALUES (8, 1022);
INSERT INTO `sys_role_menu` VALUES (8, 1023);
INSERT INTO `sys_role_menu` VALUES (8, 1024);
INSERT INTO `sys_role_menu` VALUES (8, 1025);
INSERT INTO `sys_role_menu` VALUES (8, 1026);
INSERT INTO `sys_role_menu` VALUES (8, 1027);
INSERT INTO `sys_role_menu` VALUES (8, 1028);
INSERT INTO `sys_role_menu` VALUES (8, 1029);
INSERT INTO `sys_role_menu` VALUES (8, 1030);
INSERT INTO `sys_role_menu` VALUES (8, 1031);
INSERT INTO `sys_role_menu` VALUES (8, 1032);
INSERT INTO `sys_role_menu` VALUES (8, 1033);
INSERT INTO `sys_role_menu` VALUES (8, 1034);
INSERT INTO `sys_role_menu` VALUES (8, 1035);
INSERT INTO `sys_role_menu` VALUES (8, 1036);
INSERT INTO `sys_role_menu` VALUES (8, 1037);
INSERT INTO `sys_role_menu` VALUES (8, 1038);
INSERT INTO `sys_role_menu` VALUES (8, 1039);
INSERT INTO `sys_role_menu` VALUES (8, 1040);
INSERT INTO `sys_role_menu` VALUES (8, 1041);
INSERT INTO `sys_role_menu` VALUES (8, 1042);
INSERT INTO `sys_role_menu` VALUES (8, 1043);
INSERT INTO `sys_role_menu` VALUES (8, 1044);
INSERT INTO `sys_role_menu` VALUES (8, 1045);
INSERT INTO `sys_role_menu` VALUES (9, 1122);
INSERT INTO `sys_role_menu` VALUES (9, 1123);
INSERT INTO `sys_role_menu` VALUES (9, 1124);
INSERT INTO `sys_role_menu` VALUES (9, 1125);
INSERT INTO `sys_role_menu` VALUES (9, 1126);
INSERT INTO `sys_role_menu` VALUES (9, 1127);
INSERT INTO `sys_role_menu` VALUES (9, 1128);
INSERT INTO `sys_role_menu` VALUES (9, 1129);
INSERT INTO `sys_role_menu` VALUES (9, 1130);
INSERT INTO `sys_role_menu` VALUES (9, 1131);
INSERT INTO `sys_role_menu` VALUES (9, 1132);
INSERT INTO `sys_role_menu` VALUES (9, 1148);
INSERT INTO `sys_role_menu` VALUES (9, 1149);
INSERT INTO `sys_role_menu` VALUES (9, 1155);
INSERT INTO `sys_role_menu` VALUES (9, 1156);
INSERT INTO `sys_role_menu` VALUES (10, 1122);
INSERT INTO `sys_role_menu` VALUES (10, 1123);
INSERT INTO `sys_role_menu` VALUES (10, 1149);
INSERT INTO `sys_role_menu` VALUES (11, 1124);
INSERT INTO `sys_role_menu` VALUES (11, 1125);
INSERT INTO `sys_role_menu` VALUES (11, 1126);
INSERT INTO `sys_role_menu` VALUES (11, 1127);
INSERT INTO `sys_role_menu` VALUES (11, 1128);
INSERT INTO `sys_role_menu` VALUES (11, 1129);
INSERT INTO `sys_role_menu` VALUES (11, 1130);
INSERT INTO `sys_role_menu` VALUES (11, 1131);
INSERT INTO `sys_role_menu` VALUES (11, 1132);
INSERT INTO `sys_role_menu` VALUES (11, 1148);
INSERT INTO `sys_role_menu` VALUES (11, 1155);
INSERT INTO `sys_role_menu` VALUES (11, 1156);
INSERT INTO `sys_role_menu` VALUES (12, 1);
INSERT INTO `sys_role_menu` VALUES (12, 100);
INSERT INTO `sys_role_menu` VALUES (12, 101);
INSERT INTO `sys_role_menu` VALUES (12, 102);
INSERT INTO `sys_role_menu` VALUES (12, 103);
INSERT INTO `sys_role_menu` VALUES (12, 104);
INSERT INTO `sys_role_menu` VALUES (12, 105);
INSERT INTO `sys_role_menu` VALUES (12, 106);
INSERT INTO `sys_role_menu` VALUES (12, 107);
INSERT INTO `sys_role_menu` VALUES (12, 108);
INSERT INTO `sys_role_menu` VALUES (12, 500);
INSERT INTO `sys_role_menu` VALUES (12, 501);
INSERT INTO `sys_role_menu` VALUES (12, 1001);
INSERT INTO `sys_role_menu` VALUES (12, 1002);
INSERT INTO `sys_role_menu` VALUES (12, 1003);
INSERT INTO `sys_role_menu` VALUES (12, 1004);
INSERT INTO `sys_role_menu` VALUES (12, 1005);
INSERT INTO `sys_role_menu` VALUES (12, 1006);
INSERT INTO `sys_role_menu` VALUES (12, 1007);
INSERT INTO `sys_role_menu` VALUES (12, 1008);
INSERT INTO `sys_role_menu` VALUES (12, 1009);
INSERT INTO `sys_role_menu` VALUES (12, 1010);
INSERT INTO `sys_role_menu` VALUES (12, 1011);
INSERT INTO `sys_role_menu` VALUES (12, 1012);
INSERT INTO `sys_role_menu` VALUES (12, 1013);
INSERT INTO `sys_role_menu` VALUES (12, 1014);
INSERT INTO `sys_role_menu` VALUES (12, 1015);
INSERT INTO `sys_role_menu` VALUES (12, 1016);
INSERT INTO `sys_role_menu` VALUES (12, 1017);
INSERT INTO `sys_role_menu` VALUES (12, 1018);
INSERT INTO `sys_role_menu` VALUES (12, 1019);
INSERT INTO `sys_role_menu` VALUES (12, 1020);
INSERT INTO `sys_role_menu` VALUES (12, 1021);
INSERT INTO `sys_role_menu` VALUES (12, 1022);
INSERT INTO `sys_role_menu` VALUES (12, 1023);
INSERT INTO `sys_role_menu` VALUES (12, 1024);
INSERT INTO `sys_role_menu` VALUES (12, 1025);
INSERT INTO `sys_role_menu` VALUES (12, 1026);
INSERT INTO `sys_role_menu` VALUES (12, 1027);
INSERT INTO `sys_role_menu` VALUES (12, 1028);
INSERT INTO `sys_role_menu` VALUES (12, 1029);
INSERT INTO `sys_role_menu` VALUES (12, 1030);
INSERT INTO `sys_role_menu` VALUES (12, 1031);
INSERT INTO `sys_role_menu` VALUES (12, 1032);
INSERT INTO `sys_role_menu` VALUES (12, 1033);
INSERT INTO `sys_role_menu` VALUES (12, 1034);
INSERT INTO `sys_role_menu` VALUES (12, 1035);
INSERT INTO `sys_role_menu` VALUES (12, 1036);
INSERT INTO `sys_role_menu` VALUES (12, 1037);
INSERT INTO `sys_role_menu` VALUES (12, 1038);
INSERT INTO `sys_role_menu` VALUES (12, 1039);
INSERT INTO `sys_role_menu` VALUES (12, 1040);
INSERT INTO `sys_role_menu` VALUES (12, 1041);
INSERT INTO `sys_role_menu` VALUES (12, 1042);
INSERT INTO `sys_role_menu` VALUES (12, 1043);
INSERT INTO `sys_role_menu` VALUES (12, 1044);
INSERT INTO `sys_role_menu` VALUES (12, 1045);
INSERT INTO `sys_role_menu` VALUES (12, 1122);
INSERT INTO `sys_role_menu` VALUES (12, 1123);
INSERT INTO `sys_role_menu` VALUES (12, 1124);
INSERT INTO `sys_role_menu` VALUES (12, 1125);
INSERT INTO `sys_role_menu` VALUES (12, 1126);
INSERT INTO `sys_role_menu` VALUES (12, 1127);
INSERT INTO `sys_role_menu` VALUES (12, 1128);
INSERT INTO `sys_role_menu` VALUES (12, 1129);
INSERT INTO `sys_role_menu` VALUES (12, 1130);
INSERT INTO `sys_role_menu` VALUES (12, 1131);
INSERT INTO `sys_role_menu` VALUES (12, 1132);
INSERT INTO `sys_role_menu` VALUES (12, 1148);
INSERT INTO `sys_role_menu` VALUES (12, 1149);
INSERT INTO `sys_role_menu` VALUES (12, 1155);
INSERT INTO `sys_role_menu` VALUES (12, 1156);
INSERT INTO `sys_role_menu` VALUES (13, 1080);
INSERT INTO `sys_role_menu` VALUES (13, 1101);
COMMIT;

-- ----------------------------
-- Table structure for sys_tenant
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant`;
CREATE TABLE `sys_tenant` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '租户ID',
  `tenant_code` varchar(32) NOT NULL COMMENT '租户编号',
  `tenant_name` varchar(200) DEFAULT NULL COMMENT '租户名称',
  `tenant_manager` varchar(50) DEFAULT '' COMMENT '租户负责人',
  `tenant_type` char(1) DEFAULT NULL COMMENT '租户类型（0 试用租户  1 正式租户）',
  `domain` varchar(50) DEFAULT NULL COMMENT '租户站点域名',
  `email` varchar(50) DEFAULT '' COMMENT '租户邮箱',
  `phone_number` varchar(11) DEFAULT '' COMMENT '手机号码',
  `address` varchar(255) DEFAULT NULL COMMENT '联系地址',
  `geo_position` varchar(255) DEFAULT NULL COMMENT '地理位置',
  `tenant_term` varchar(100) DEFAULT NULL COMMENT '有效期限',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `status` char(1) DEFAULT NULL COMMENT '租户状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `system_name` varchar(100) DEFAULT '未定义' COMMENT '系统id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1039 DEFAULT CHARSET=utf8 COMMENT='租户信息表';

-- ----------------------------
-- Records of sys_tenant
-- ----------------------------
BEGIN;
INSERT INTO `sys_tenant` VALUES (1001, '1001', '永天智慧电力', '韩正义', '0', '172.16.120.165:13203', '123456789@qq.com', '17611123451', '徐乐路208号', '121.416339,31.24154', '2025-01-31', '本公司', '1', '吉', '2022-05-05 16:41:08', 'usky_manager', '2022-07-20 12:04:10', '1');
INSERT INTO `sys_tenant` VALUES (1002, '1002', '闵行区消防重点单位管理平台', '高闻涛', '1', 'qyxf.usky.cn', '123456789@qq.com', '17611123451', '11', '120.759906,31.642316', '2025-02-01', '嘉定智慧电力平台', '0', '', '2022-05-10 15:51:59', 'admin', '2023-04-06 17:24:35', '2');
INSERT INTO `sys_tenant` VALUES (1003, '1003', '永天运营管理系统', '郭恩洲', '1', 'manager.usky.cn', '123456789@qq.com', '15122423833', '1dd', '121.39162,31.098259', '2023-01-01', NULL, '0', '', NULL, 'admin', '2022-10-28 15:39:26', '3');
INSERT INTO `sys_tenant` VALUES (1027, 'e26804aeeaba43c5b5b4bc778275990d', '测试租户A', '测试人员', '0', 'pcdev.ewoogi.com', '123456789@qq.com', '15823412345', '徐乐路208号永天科技', '121.32116,31.463161', '1970-01-01', '测试数据2221', '1', '', '2022-07-04 16:35:20', 'admin', '2022-07-14 17:11:43', '测试平台');
INSERT INTO `sys_tenant` VALUES (1028, '197b5169319947d19558bf8b7822d7a2', 'cs', 'css', '0', '11111', '12@qq.com', '13127578888', '11212', '12121', '1970-01-01', '12113331', '1', 'admin', '2022-07-08 15:25:09', 'admin', '2022-07-14 17:11:38', '27');
INSERT INTO `sys_tenant` VALUES (1029, 'ac9902962bef40f8b1b4c6ec7a72e1d7', '测试11', '11', '0', '112', '12@qq.com', '13127578888', '12d', '1212', '1970-01-01', '121212', '1', 'admin', '2022-07-11 09:49:11', 'admin', '2022-07-14 17:11:34', '27');
INSERT INTO `sys_tenant` VALUES (1030, '07b6066b56a4482998ff758225a73f5d', '测试', '王涛', '0', 'localhost:81', '12@qq.com', '13127578888', '121211', '121212', '1970-01-01', '1212112', '1', 'admin', '2022-07-13 16:51:44', 'admin', '2022-07-15 17:28:03', '27');
INSERT INTO `sys_tenant` VALUES (1031, '6d06578e0534493c82eb49a501ae6058', '派米雷智慧园区', '薛羽', '1', 'park.usky.cn', 'biebo@123.com', '17717355681', '123', '121.611346,31.06768', '1970-01-01', NULL, '0', 'admin', '2022-07-14 17:14:10', 'admin', '2023-02-24 23:47:39', '28');
INSERT INTO `sys_tenant` VALUES (1032, '6c6d1715205b468da6642f1fca36bd4b', '永天综合智慧云(测试）', '郭恩洲', '0', 'demo.usky.cn', 'guoenzhou@163.com', '13127578837', '123123', '121.45643,31.249078', '2022-07-14', NULL, '0', 'admin', '2022-07-21 10:23:08', 'admin', '2023-03-30 10:20:56', '4');
INSERT INTO `sys_tenant` VALUES (1034, '9fdeff05c9094a99a01db5be5a89ebeb', '闵行消防数字平台', '高闻涛', '1', 'xf.usky.cn', '17221285896@163.com', '17221285896', '上海市闵行区莘松路585号', '121.366884,31.102024', '2026-02-12', '闵行区应急救援支队', '0', 'admin', '2022-08-12 11:54:07', 'admin', '2023-03-31 12:13:45', '29');
INSERT INTO `sys_tenant` VALUES (1035, '1fd350cb02da4f4ea40d806437f5a464', '玉佛禅寺综合数字平台', '王哲', '0', 'park.usky.cn:13202', 'yufosi@163.com', '16666666666', '上海市普陀区安远路170号', '121.445176,31.241447', '2024-02-06', NULL, '0', 'admin', '2022-08-31 13:15:56', 'admin', '2023-03-30 10:03:14', '28');
INSERT INTO `sys_tenant` VALUES (1036, 'c240226c81214bfea88b4c87a7bc8686', 'cs', '11111', '0', 'http://www.baidu.com', '12@qq.com', '13127578888', 'dasa', '121.531274,31.268696', '永久有效', 'asdsd', '1', 'admin', '2022-09-02 13:50:30', 'admin', '2022-10-28 15:39:55', '1');
INSERT INTO `sys_tenant` VALUES (1037, 'c7fe755ebbf1463baf4e407d4c7a135c', 'cs3', '1212', '1', NULL, '12@qq.com', '13124444444', '121212', '121.498315,31.216447', '2022-09-23', '1212', '1', 'admin', '2022-09-02 16:35:48', 'admin', '2022-10-28 15:39:50', '27');
INSERT INTO `sys_tenant` VALUES (1038, '8e76aaa770e84357919291051452e0bd', '太敬集团智慧集成综合平台', '丁六力', '1', 'park.usky.cn:13206', 'dinglaoshi@163.com', '16621197124', '上海市青浦区高光路169弄虹桥时代5号楼8号楼', '121.311195,31.161896', '2023-06-06', NULL, '0', 'admin', '2023-02-10 09:33:02', 'admin', '2023-04-13 15:41:08', '28');
COMMIT;

-- ----------------------------
-- Table structure for sys_tenant_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_config`;
CREATE TABLE `sys_tenant_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '租户ID',
  `tenant_id` int(11) NOT NULL COMMENT '租户ID',
  `login_title` varchar(200) DEFAULT NULL COMMENT '租户名称',
  `login_logo` varchar(500) DEFAULT '' COMMENT '登录页log',
  `login_back_url` varchar(500) DEFAULT NULL COMMENT '登录页背景地址',
  `login_footer` varchar(500) DEFAULT NULL COMMENT '登录页底部名称',
  `login_type` varchar(50) DEFAULT '' COMMENT '登录类型',
  `middle_logo` varchar(255) DEFAULT '' COMMENT '中间页logo地址',
  `middle_back_url` varchar(500) DEFAULT NULL COMMENT '中间页背景URL',
  `middle_title` varchar(100) DEFAULT NULL COMMENT '中间页标题',
  `middle_footer` varchar(500) DEFAULT NULL COMMENT '中间页底部名称',
  `home_logo` varchar(200) DEFAULT NULL COMMENT '主页logo地址',
  `home_page_url` varchar(200) DEFAULT NULL COMMENT '主页默认访问地址',
  `home_layout` varchar(200) DEFAULT NULL COMMENT '主页导航布局',
  `home_style` varchar(200) DEFAULT NULL COMMENT '主页主题样式',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `label_icon` varchar(255) DEFAULT NULL COMMENT '标签页图标',
  `middle_status` int(1) DEFAULT '1' COMMENT '是否开启中间页：0 否 1 是',
  `large_screen_url` varchar(255) DEFAULT NULL COMMENT '大屏路径',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8 COMMENT='租户配置表';

-- ----------------------------
-- Records of sys_tenant_config
-- ----------------------------
BEGIN;
INSERT INTO `sys_tenant_config` VALUES (1, 1001, '永天智慧电力平台', 'https://qhome.usky.cn/uskyfile/usky_log.png', 'http://qhome-pro.usky.cn/uskyfile/fc6ba642-b046-4396-9bbc-5848f032cdc8.png', 'Copyright © 2021- 2025 Usky. All Rights Reserved. 永天股份 版权所有 版本号:0.3', '1', '', '', '永天智慧电力平台', '永天科技', 'https://qhome.usky.cn/uskyfile/usky_log.png', '/system/role', '3', '#016ddb', 'gez', '2022-05-12 10:54:05', 'admin', '2022-07-22 17:32:44', 'http://qhome-pro.usky.cn/uskyfile/b1dbb6b5-9bf9-442b-ad5b-810bdc428742.png', 1, '');
INSERT INTO `sys_tenant_config` VALUES (2, 1002, '闵行区消防重点单位管理平台', 'http://file.usky.cn/statics/202209/20220921110458A012.png', 'http://file.usky.cn/statics/202209/20220921110532A013.png', '永天科技提供技术支持', '1', 'http://file.usky.cn/statics/202209/20220921160353A017.png', 'http://file.usky.cn/statics/202209/20220921160331A016.png', '闵行区消防重点单位管理平台', '永天科技提供技术支持', 'http://file.usky.cn/statics/202209/20220921110458A012.png', '/system/user', '2', '#409eff', 'gez', '2022-05-12 10:54:02', 'admin', '2023-03-29 11:33:56', 'http://172.16.120.165:9300/statics/202209/20220902162510A121.png', 1, 'https://cloud.jimureport.com/bigscreen/#/view/1552921000943939585');
INSERT INTO `sys_tenant_config` VALUES (3, 1003, '永天运营管理系统', 'https://qhome.usky.cn/uskyfile/usky_log.png', 'http://qhome-pro.usky.cn/uskyfile/fc6ba642-b046-4396-9bbc-5848f032cdc8.png', 'Copyright © 2021- 2025 Usky. All Rights Reserved. 永天股份 版权所有', '1', 'https://qhome.usky.cn/uskyfile/usky_log.png', 'https://qhome.usky.cn/uskyfile/saas_zjy_bg.jpg', '永天运营管理系统', '永天科技', 'https://qhome.usky.cn/uskyfile/usky_log.png', '', '3', '#018ffb', 'admin', '2022-05-06 14:17:39', 'admin', '2022-10-28 16:08:31', 'http://qhome-pro.usky.cn/uskyfile/b7b75958-a996-4ebf-9acc-ee3f4ae43b6f.png', 1, '');
INSERT INTO `sys_tenant_config` VALUES (4, 1038, '太敬集团智慧集成综合平台', 'http://file.usky.cn/statics/202304/20230423145944A005.png', 'http://file.usky.cn/statics/202304/20230423145932A004.jpg', '永天科技', '1', 'http://file.usky.cn/statics/202304/20230423150012A006.png', 'http://file.usky.cn/statics/202304/20230423150018A007.jpg', '太敬集团智慧集成综合平台', '永天科技', 'http://file.usky.cn/statics/202303/20230330104538A049.png', '', '2', '#009688', 'usky_manager', '2022-05-19 17:55:52', 'admin', '2023-04-23 15:00:19', NULL, 1, '');
INSERT INTO `sys_tenant_config` VALUES (21, 1029, '5', 'http://172.16.120.165:9300/statics/202207/20220713160626A017.jpg', 'http://172.16.120.165:9300/statics/202207/20220713160630A018.jpg', 'fff', '', 'http://172.16.120.165:9300/statics/202207/20220713160810A022.jpg', 'http://172.16.120.165:9300/statics/202207/20220713160814A023.jpg', '1', '121212', 'http://172.16.120.165:9300/statics/202207/20220713131807A007.jpg', '/system/user', '2', '#f22636', 'admin', '2022-07-13 13:19:15', 'admin', '2022-07-13 16:13:20', 'http://172.16.120.165:9300/statics/202207/20220713160636A019.jpg', 0, '2');
INSERT INTO `sys_tenant_config` VALUES (24, 1030, '永天科技', 'http://172.16.120.165:9300/statics/202207/20220714163935A038.png', 'http://172.16.120.165:9300/statics/202207/20220714090655A034.jpg', '永天科技', '', 'http://172.16.120.165:9300/statics/202207/20220713190159A029.png', 'http://172.16.120.165:9300/statics/202207/20220713190204A030.jpg', '永天科技', '中间页底部', 'http://172.16.120.165:9300/statics/202207/20220714163835A037.png', '/system/user', '2', '#f22636', 'admin', '2022-07-13 18:57:43', 'admin', '2022-07-14 16:45:48', 'http://172.16.120.165:9300/statics/202207/20220714090708A035.png', 1, NULL);
INSERT INTO `sys_tenant_config` VALUES (25, 1031, '派米雷智慧园区', 'http://file.usky.cn/statics/202210/20221013104138A003.png', 'http://file.usky.cn/statics/202210/20221013104134A002.jpg', 'Copyright © 2021- 2025 Usky. All Rights Reserved. 永天股份 版权所有 版本号:0.3', '', 'https://qhome.usky.cn/uskyfile/usky_log.png', 'http://file.usky.cn:9300/statics/202207/20220725161718A080.png', '永天智慧园区平台', 'Copyright © 2021- 2025 Usky. All Rights Reserved. 永天股份 版权所有 版本号:0.3', 'http://file.usky.cn/statics/202210/20221013104318A004.png', '', '2', '#394664', 'admin', '2022-07-14 17:17:03', 'admin', '2023-03-30 17:58:59', 'http://172.16.120.165:9300/statics/202207/20220722104207A049.png', 1, 'http://172.16.120.165:13204/');
INSERT INTO `sys_tenant_config` VALUES (27, 1032, '永天综合智慧云', 'http://file.usky.cn/statics/202303/20230322150258A046.png', 'http://file.usky.cn/statics/202303/20230322142436A045.jpeg', '<a href=\"\">开发测试平台底部介绍</a>', '', 'http://file.usky.cn/statics/202303/20230322150258A046.png', 'http://file.usky.cn/statics/202211/20221103162536A015.jpg', '永天综合智慧云', '中间页底部文字', 'http://file.usky.cn/statics/202303/20230322150258A046.png', '/system/role', '2', '#018ffb', 'admin', '2022-07-22 13:19:32', 'usky_manager', '2023-04-19 16:04:20', 'http://172.16.120.165:9300/statics/202207/20220722162835A064.png', 1, 'http://www.baidu.com');
INSERT INTO `sys_tenant_config` VALUES (28, 1034, '闵行消防数字平台', 'http://file.usky.cn/statics/202303/20230321144153A044.png', 'http://file.usky.cn/statics/202210/20221031095633A005.jpg', '永天科技提供技术支持', '', 'http://file.usky.cn/statics/202210/20221031100437A007.png', 'http://file.usky.cn/statics/202210/20221031173728A014.jpg', '闵行消防数字平台', '永天科技提供技术支持', 'http://file.usky.cn/statics/202210/20221031100457A010.png', '', '3', '#409eff', 'admin', '2022-08-12 13:49:35', 'admin', '2023-03-21 14:41:54', 'http://file.usky.cn/statics/202210/20221031100443A008.png', 1, 'http://101.133.214.75:81/lvmh');
INSERT INTO `sys_tenant_config` VALUES (29, 1034, '闵行消防数字平台', 'http://172.16.120.165:9300/statics/202208/20220812134954A006.jpg', 'http://172.16.120.165:9300/statics/202208/20220812135005A007.png', '永天科技提供技术支持', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-08-12 13:50:24', '', NULL, 'http://172.16.120.165:9300/statics/202208/20220812135022A008.jpg', 1, NULL);
INSERT INTO `sys_tenant_config` VALUES (30, 1034, '闵行消防数字平台', 'http://172.16.120.165:9300/statics/202208/20220812134954A006.jpg', 'http://172.16.120.165:9300/statics/202208/20220812135005A007.png', '永天科技提供技术支持', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-08-12 13:52:54', '', NULL, 'http://172.16.120.165:9300/statics/202208/20220812135022A008.jpg', 1, NULL);
INSERT INTO `sys_tenant_config` VALUES (31, 1034, NULL, '', NULL, NULL, '', 'http://172.16.120.165:9300/statics/202208/20220812135301A009.jpg', 'http://172.16.120.165:9300/statics/202208/20220812135329A010.jpg', '闵行消防数字平台', '永天科技提供技术支持', NULL, NULL, NULL, NULL, 'admin', '2022-08-12 13:53:41', '', NULL, NULL, 0, NULL);
INSERT INTO `sys_tenant_config` VALUES (32, 1035, '玉佛禅寺综合数字平台', 'http://file.usky.cn/statics/202209/20220919085551A004.png', 'http://file.usky.cn/statics/202209/20220919085517A003.jpeg', '永天科技提供技术支持', '', 'http://file.usky.cn/statics/202209/20220914101305A002.png', 'http://file.usky.cn/statics/202209/20220914100607A001.jpeg', '玉佛禅寺综合数字平台', NULL, 'http://172.16.120.165:9300/statics/202208/20220831134006A027.png', '/system/user', '2', '', 'admin', '2022-08-31 13:40:18', 'admin', '2023-02-03 09:52:36', 'http://172.16.120.165:9300/statics/202208/20220831134108A028.png', 1, '');
INSERT INTO `sys_tenant_config` VALUES (33, 1037, NULL, '', NULL, NULL, '', '', NULL, ' ', NULL, 'http://172.16.120.165:9300/statics/202209/20220905174116A145.png', '/system/user', '1', '#5172dc', 'fhs', '2022-09-05 17:41:18', 'fhs', '2022-09-06 15:12:51', NULL, 1, '');
INSERT INTO `sys_tenant_config` VALUES (34, 1037, NULL, '', NULL, NULL, '', '', '', '11', '', NULL, NULL, NULL, NULL, 'fhs', '2022-09-05 17:41:38', '', NULL, NULL, 0, NULL);
INSERT INTO `sys_tenant_config` VALUES (35, 1038, '太敬集团智慧集成综合平台', 'http://file.usky.cn/statics/202303/20230330104631A053.png', 'http://file.usky.cn/statics/202303/20230330104557A050.jpg', '永天支持', '', 'http://file.usky.cn/statics/202303/20230330104652A054.png', 'http://file.usky.cn/statics/202303/20230330104700A055.jpg', '太敬集团智慧集成综合平台', '永天支持', 'http://file.usky.cn/statics/202303/20230330104538A049.png', '', '2', '#009688', 'admin', '2023-02-10 10:07:37', 'admin', '2023-04-23 14:31:54', 'http://file.usky.cn/statics/202303/20230330104606A051.png', 1, 'http://172.16.120.165:13204/');
INSERT INTO `sys_tenant_config` VALUES (36, 1038, '太敬集团智慧楼宇平台', 'http://file.usky.cn/statics/202302/20230210100806A027.jpg', '', '永天科技提供技术支持', '', '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2023-02-10 10:08:33', '', NULL, 'http://file.usky.cn/statics/202302/20230210100815A028.jpg', 1, NULL);
INSERT INTO `sys_tenant_config` VALUES (37, 1038, NULL, '', NULL, NULL, '', 'http://file.usky.cn/statics/202302/20230210100840A029.png', '', '太敬集团智慧楼宇平台', '永天科技提供技术支持', NULL, NULL, NULL, NULL, 'admin', '2023-02-10 10:08:52', '', NULL, NULL, 0, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_tenant_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_menu`;
CREATE TABLE `sys_tenant_menu` (
  `tenant_id` bigint(20) NOT NULL COMMENT '租户ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `menu_alias_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`tenant_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='租户和菜单关联表';

-- ----------------------------
-- Records of sys_tenant_menu
-- ----------------------------
BEGIN;
INSERT INTO `sys_tenant_menu` VALUES (1001, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 3, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 116, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1055, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1056, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1057, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1058, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1059, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1060, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1062, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1075, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1076, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1001, 1077, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1080, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1086, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1089, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1090, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1091, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1092, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1093, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1094, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1095, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1096, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1097, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1002, 1158, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 3, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 116, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1055, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1056, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1057, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1058, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1059, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1060, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1062, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1075, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1076, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1153, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1003, 1154, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1061, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1062, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1063, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1064, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1065, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1066, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1067, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1068, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1069, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1070, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1071, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1072, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1073, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1027, 1074, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1028, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1029, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1030, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1082, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1083, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1085, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1099, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1117, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1119, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1031, 1121, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 3, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 116, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1055, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1056, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1057, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1058, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1059, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1060, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1062, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1075, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1076, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1080, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1081, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1082, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1083, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1084, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1085, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1086, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1089, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1090, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1091, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1092, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1093, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1094, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1095, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1096, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1097, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1099, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1117, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1118, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1119, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1120, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1121, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1122, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1123, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1124, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1125, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1126, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1127, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1128, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1129, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1130, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1131, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1132, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1148, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1149, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1150, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1151, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1152, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1153, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1154, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1155, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1156, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1158, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1159, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1160, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1161, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1162, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1163, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1164, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1165, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1166, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1167, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1168, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1032, 1169, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1122, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1123, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1124, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1125, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1126, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1127, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1128, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1129, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1130, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1131, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1132, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1148, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1155, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1156, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1159, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1160, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1161, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1162, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1163, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1164, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1034, 1169, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1082, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1083, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1084, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1085, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1099, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1117, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1118, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1119, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1120, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1035, 1121, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 2, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 3, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 102, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 111, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 116, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1013, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1014, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1015, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1016, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1026, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1027, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1028, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1029, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1030, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1031, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1032, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1033, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1034, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1035, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1036, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1037, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1038, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1039, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1046, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1047, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1048, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1049, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1050, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1051, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1052, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1053, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1054, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1055, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1056, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1057, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1058, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1059, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1060, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1062, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1075, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1080, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1086, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1089, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1090, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1091, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1092, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1093, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1094, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1095, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1096, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1097, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1105, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1106, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1107, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1109, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1110, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1112, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1113, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1114, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1115, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1037, 1116, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 0, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 100, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 101, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 103, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 104, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 108, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 500, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 501, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1001, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1002, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1003, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1004, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1005, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1006, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1007, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1008, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1009, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1010, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1011, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1012, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1017, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1018, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1019, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1020, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1021, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1022, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1023, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1024, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1025, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1040, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1041, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1042, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1043, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1044, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1045, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1167, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1168, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1170, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1171, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1172, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1173, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1174, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1175, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1178, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1179, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1180, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1181, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1182, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1183, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1184, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1185, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1186, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1187, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1188, NULL);
INSERT INTO `sys_tenant_menu` VALUES (1038, 1189, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT '00' COMMENT '用户类型（00系统用户， 01 租户管理员）',
  `email` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '手机号码',
  `sex` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `full_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '姓名',
  `avatar` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '密码',
  `status` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) COLLATE utf8mb4_unicode_ci DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '备注',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户ID',
  `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '地址',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户信息表';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
BEGIN;
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '01', 'ry@163.com', '15888888888', '1', NULL, '', '$2a$10$vTc7uXDciXv0YQeyNmDoBOAl6ZJtEA3vdfcuVOIQcaC/8r.jNUWZu', '0', '0', '127.0.0.1', '2022-07-01 01:33:39', 'admin', '2022-07-01 01:33:39', '', '2022-08-09 18:55:28', '管理员', 1003, NULL);
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', NULL, '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2022-07-01 01:33:39', 'admin', '2022-07-01 01:33:39', '', NULL, '测试员', 1001, NULL);
INSERT INTO `sys_user` VALUES (30, NULL, 'usky_admin', 'usky_admin', '01', 'usky_admin@usky.cn', '17717351234', '0', NULL, '', '$2a$10$J4Wu6y1UtJFf9fgxl1vbUeLilXp96f8Zbgl9WsrUH5DwQ6x1uga5a', '0', '2', '', NULL, 'admin', '2022-07-14 17:06:18', 'admin', '2022-07-20 13:10:07', '注销用户', 1002, NULL);
INSERT INTO `sys_user` VALUES (31, NULL, 'dx_admin', 'dx_admsdsin', '01', 'dx_admin@icloud.com', '17717355682', '0', NULL, '', '$2a$10$K.O8CM82UWmRg45PHnisUu1o2SFgMapktwzucEXs9nYIFCRrg9sFW', '0', '2', '', NULL, 'admin', '2022-07-14 17:15:22', 'admin', '2023-03-31 11:57:03', '注销用户', 1031, NULL);
INSERT INTO `sys_user` VALUES (33, 100, 'JCB-KF', 'JCB-KF', '00', '', '17621295894', '0', NULL, '', '$2a$10$vrGskF7bRCwS2wgO9Rd..uElB4fD2a4yLVngVpZazbf0tamUO6qB6', '0', '0', '', NULL, 'admin', '2022-07-15 09:51:50', '', NULL, NULL, 1001, NULL);
INSERT INTO `sys_user` VALUES (34, 111, 'dx_user1', 'dx_user1', '00', '17625265875@163.com', '17625265875', '0', NULL, '', '$2a$10$R2.Kjabnh1CsKNiPy23Ule7wBissvy/3kseDuozPIGWUjsH4qAvYW', '0', '0', '', NULL, 'dx_admin', '2022-07-15 16:54:28', 'dx_admin', '2022-08-12 17:00:39', '测试', 1031, NULL);
INSERT INTO `sys_user` VALUES (35, NULL, 'usky_manager', 'usky_manager', '01', 'usky_manager@123.com', '17717355687', '0', NULL, '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '', NULL, 'admin', '2022-07-15 17:07:12', '', NULL, NULL, 1003, NULL);
INSERT INTO `sys_user` VALUES (36, NULL, 'wangtao', 'wangtao', '01', 'wt@qq.com', '13127578888', '0', NULL, '', '$2a$10$VRfR.E16TA2wxym8jU5A3.5Mbn//8MdEIg2CaLaX9RDpzKkJdtn3G', '0', '0', '', NULL, 'admin', '2022-07-15 18:29:20', '', NULL, NULL, 1001, NULL);
INSERT INTO `sys_user` VALUES (37, NULL, 'JCB_admin', 'JCB_admin', '01', 'JCB_admin@qq.com', '17621295894', '0', NULL, '', '$2a$10$o4DwZ0kMTqgAReWBz3ovFOREiqvz4rzjaE0HmvDGihnBqeyM9rehK', '0', '0', '', NULL, 'admin', '2022-07-15 18:33:50', '', NULL, NULL, 1003, NULL);
INSERT INTO `sys_user` VALUES (38, NULL, 'fire_admin', 'fire_admin', '01', 'fire_admin@usky.cn', '16621197124', '0', NULL, '', '$2a$10$d/ZU7uGyEKUBGXLoD8OeU.g15oI7hSAAh8aWzWMpqeZB8cLcAvFuC', '0', '2', '', NULL, 'admin', '2022-07-20 13:10:03', 'admin', '2023-03-31 11:52:28', '注销用户', 1002, NULL);
INSERT INTO `sys_user` VALUES (39, NULL, 'test', 'test', '01', 'test@usky.cn', '17717355687', '0', NULL, '', '$2a$10$3u6WaDYLDtYx/H1fiH7ThewRpVlfy/7ZMVAwg2/AqeK4Y5CGHucJG', '0', '2', '', NULL, 'admin', '2022-07-21 10:25:04', 'admin', '2023-03-31 11:54:27', '注销用户', 1032, NULL);
INSERT INTO `sys_user` VALUES (40, NULL, 'usky_admin', 'usky_admin', '01', 'usky_admin@usky.cn', '17717355687', '0', NULL, '', '$2a$10$12yy2BLFRjqi2vJbHniCbOPQCnQSrKEYvsCPt/Oc7OH.KKrP0oYli', '0', '2', '', NULL, 'admin', '2022-07-22 11:08:40', 'admin', '2023-04-19 13:48:51', '注销用户', 1031, NULL);
INSERT INTO `sys_user` VALUES (41, 112, 'Test', 'Test-1', '00', 'ngljdsb@qq.com', '13866668888', '0', NULL, '', '$2a$10$og81G2YvR7BURf9zK28GNeVdZ82z0UjCLY63Q4TzDKLRvoRO37LHC', '0', '0', '', NULL, 'dx_admin', '2022-08-02 15:08:35', 'dx_admin', '2022-08-12 17:01:02', '测试', 1031, NULL);
INSERT INTO `sys_user` VALUES (42, NULL, 'TEST1', 'TEST1', '00', '', '17621295894', '0', NULL, '', '$2a$10$8SiTDKugc.WLihOKYPDwaOje5cpzIDCCu91KesAYSy46u6Z6O717K', '0', '0', '', NULL, 'fire_admin', '2022-08-09 15:37:32', '', NULL, NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (43, NULL, 'TEST2', 'TEST2', '00', '', '13835969717', '0', NULL, '', '$2a$10$a6PXnjL4UUZVj5GvastMi.Fx.xtyABdHMDFy8TjLc4nBZJEWS4SBS', '0', '0', '', NULL, 'fire_admin', '2022-08-11 15:22:36', 'fire_admin', '2022-08-26 15:08:42', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (45, 110, 'KF_CS_ADMIN', 'KF_CS_ADMIN', '00', '123456789@qq.com', '17621295894', '0', NULL, '', '$2a$10$ZUoZYP8BS.v56cFHGvy4W.gAUDekiVRq0cp2tWbk8k.ldxer4kDYq', '0', '0', '', NULL, 'dx_admin', '2022-08-12 09:25:19', 'dx_admin', '2022-08-12 15:17:59', '开发人员测试', 1031, NULL);
INSERT INTO `sys_user` VALUES (46, NULL, 'mhxf_admin', '王哲', '01', 'wz_245299@163.com', '17717355687', '0', NULL, '', '$2a$10$3o6Q5OkrVxvSpX0rTtlDPO/g6pJxnQrjUprnEhgfXmfVf6Pc3HEWa', '0', '2', '', NULL, 'admin', '2022-08-12 13:46:47', 'admin', '2023-03-31 11:50:18', '注销用户', 1034, NULL);
INSERT INTO `sys_user` VALUES (47, 112, 'TEST2', 'TEST2', '00', '17621295899@163.com', '17621295899', '0', NULL, '', '$2a$10$uBQA.zWLr6AEVyJKKmaY6OklafpJMqceCBkbVbW7FbM/V43XXuQ1m', '0', '0', '', NULL, 'dx_admin', '2022-08-12 15:29:17', 'dx_admin', '2022-08-12 16:59:21', 'ceshi', 1031, NULL);
INSERT INTO `sys_user` VALUES (48, NULL, 'yfs_admin', '王哲', '01', 'yufosi@163.com', '16666666666', '0', NULL, '', '$2a$10$XLnO5uJS.ajp15r/U/1v3.dyB02Q1aJeAA9rD9IOACZB1HY4zk8qK', '0', '0', '', NULL, 'admin', '2022-08-31 13:33:32', '', NULL, NULL, 1035, NULL);
INSERT INTO `sys_user` VALUES (49, NULL, 'wt', 'wt', '01', 'wt@qq.com', '13127578837', '0', NULL, '', '$2a$10$ZvNLhPROUxgVG3RN/USmleF1I3Kq.2gPPdVYGJspzXCHEsAgw0as6', '0', '0', '', NULL, 'admin', '2022-08-31 14:57:15', '', NULL, NULL, 1032, NULL);
INSERT INTO `sys_user` VALUES (50, NULL, 'wt1', 'wt1', '01', 'wt1@qq.com', '13127578888', '0', NULL, '', '$2a$10$dtHECcolZrEoB0LAqfO6E.wJdus2aPwzeWc./NKqbDbw.f86ZX.7O', '0', '2', '', NULL, 'admin', '2022-09-02 13:53:53', 'admin', '2022-09-02 14:06:42', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (51, NULL, 'wt2', 'wt2', '01', 'wt2@qq.com', '13127578888', '0', NULL, '', '$2a$10$RSqygxKIuwmBJxbo8E2dwePG9vz2swcAvb4b2V101yFN55MvooxPq', '0', '2', '', NULL, 'admin', '2022-09-02 14:06:24', 'admin', '2022-09-02 14:06:40', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (52, NULL, 'wt1', 'wt1', '01', 'wt1@qq.com', '13127578888', '0', NULL, '', '$2a$10$/ang0yYpzv0ZDEsqcmoh.uzCPXxL0f2uUQxbuwcWWPgaVbKmHadlO', '0', '2', '', NULL, 'admin', '2022-09-02 14:07:13', 'admin', '2022-09-02 14:07:48', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (53, NULL, 'wt1', 'wt1', '01', 'wt1@qq.com', '13127578837', '0', NULL, '', '$2a$10$GTsFTBHHqbBmrqFvhvrEH.mLO.HLg/6DG9xyg.KzLim1DJpgVVkRO', '0', '2', '', NULL, 'admin', '2022-09-02 14:09:29', 'admin', '2022-09-02 14:20:49', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (54, NULL, 'wt1', 'wt1', '01', 'wt1@qq.com', '13127578837', '0', NULL, '', '$2a$10$FYJELawDIvYkIhoasgundekhYuIv8qtoBsgMnir1y3LsjBDSNsvLO', '0', '2', '', NULL, 'admin', '2022-09-02 14:21:18', 'admin', '2022-09-02 14:41:41', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (55, NULL, 'wt1', 'wt1', '01', 'wt1@qq.com', '13127578837', '0', NULL, '', '$2a$10$lfY.niKLDFvm3lPHXxjvwOcDq1cgzNZkvxVgOsrZY0Bka9kIycP6.', '0', '2', '', NULL, 'admin', '2022-09-02 14:43:57', 'admin', '2022-09-02 14:49:28', '注销用户', 1036, NULL);
INSERT INTO `sys_user` VALUES (56, NULL, 'wt11', 'wt1', '01', 'wt1@qq.com', '13127111111', '0', NULL, '', '$2a$10$6W3vreB98Wc07gQuEUaRHuMtnPVOnSgVbIlxTDUZPA.WjvGg9b5Lu', '0', '0', '', NULL, 'admin', '2022-09-02 14:50:01', 'admin', '2022-09-02 15:19:54', NULL, 1036, NULL);
INSERT INTO `sys_user` VALUES (57, NULL, 'fhs', 'fhs', '01', 'fsh@qq.com', '13127578888', '0', NULL, '', '$2a$10$zoZZQrdABXJfW5.xsmnnMuygQApZPqpTShh08PlZ2Lm8puxWfA1iO', '0', '0', '', NULL, 'admin', '2022-09-05 17:30:42', '', NULL, NULL, 1037, NULL);
INSERT INTO `sys_user` VALUES (58, NULL, 'pml_admin', 'pml_admin', '01', 'pml_admin@usky.com', '17717355687', '0', NULL, '', '$2a$10$cgz0hh5PRk/E.N0lsHOPUevKfOptFM0p3yABPfhRCKU/8pf/s2tfO', '0', '2', '', NULL, 'admin', '2022-10-13 09:07:23', 'admin', '2023-03-22 14:18:20', '注销用户', 1031, NULL);
INSERT INTO `sys_user` VALUES (59, NULL, 'fhs', 'fhs', '01', 'fhs@qq.com', '13888888888', '0', NULL, '', '$2a$10$r6y4b989RL..mWuuY7P0M.5MAC0G4wO.X0lhHtUxIusjoM/zwUuAC', '0', '0', '', NULL, 'admin', '2022-11-03 16:15:38', '', NULL, NULL, 1032, NULL);
INSERT INTO `sys_user` VALUES (60, NULL, '韩正义', '韩正义', '00', '', '16612315135', '0', NULL, '', '$2a$10$mXrvH/fgaX6cJncAm.9rQOkbB5TtcahMObbUZRPw7gblS9aqRae8m', '0', '0', '', NULL, 'mhxf_admin', '2022-12-08 14:23:39', 'mhxf_admin', '2023-03-15 17:51:39', NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (61, NULL, '王涛', '王涛', '00', '', '16612541651', '0', NULL, '', '$2a$10$3WXQHaYJWSD9jgPsY.gwR.cAZltazsAFmVQqjmerIlrFDYEFPLhBK', '0', '0', '', NULL, 'mhxf_admin', '2022-12-08 14:26:43', 'mhxf_admin', '2023-03-15 17:51:20', NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (62, NULL, '方惠圣', '方惠圣', '00', '', '16625641351', '0', NULL, '', '$2a$10$J87vgjI.8/XS4ZdVi5NGI.7gURAJhQx6dWpURHI9BQTK1.T71TfYW', '0', '0', '', NULL, 'mhxf_admin', '2022-12-10 13:50:59', 'mhxf_admin', '2023-03-15 17:51:11', NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (63, NULL, '袁明明', '袁明明', '00', '', '16635862654', '0', NULL, '', '$2a$10$H9rCFmuNyJga5qB7IR1StuMNvLWW2TvLtP7AgZqEJIPp/9GoaeWXO', '0', '0', '', NULL, 'mhxf_admin', '2022-12-10 13:51:34', 'mhxf_admin', '2023-03-15 17:50:46', NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (64, NULL, '高闻涛', '高闻涛', '00', '', '18016090405', '0', NULL, '', '$2a$10$.rcNgUnL8lFtQy06upGHaOni5qexLkEPPjNyrA1H0QCxEjkLluABK', '0', '0', '', NULL, 'mhxf_admin', '2022-12-10 14:10:07', '', NULL, NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (65, NULL, 'lhtj_admin', '龙湖天街', '00', '', '16621197122', '0', NULL, '', '$2a$10$syxfYbDQfEOKkMVDzownI.ToL3QVzizKHcd53HGTmr.nYqDSn.LXm', '0', '0', '', NULL, 'fire_admin', '2022-12-28 09:36:41', 'fire_admin', '2022-12-28 09:37:34', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (66, NULL, 'admin_Tj', '丁老师', '01', 'dinglaoshi@163.com', '16621197124', '0', NULL, '', '$2a$10$QIG2J/LwK2ddntg2IJ.85u4z3/pHavgYQ4vmShpAjDsOME11fJzru', '0', '0', '', NULL, 'admin', '2023-02-10 09:35:29', '', NULL, NULL, 1038, NULL);
INSERT INTO `sys_user` VALUES (67, NULL, 'james', 'james', '00', '', '13817141383', '0', NULL, '', '$2a$10$YIQrTy6Kq6/yCzTuMiDLwOXy/RGrRI91LlJLJM.RfqSiXXZwiMkPm', '0', '2', '', NULL, 'fire_admin', '2023-03-07 15:27:10', '', NULL, NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (68, NULL, 'qyxf_gao', '高闻涛', '01', 'gaowen@163.com', '18016090405', '0', NULL, '', '$2a$10$js7GylZ.cLC07FXG3SxA8OKqY0icuwy3WpCdwDXPA0PKem4Bt2L2S', '0', '0', '', NULL, 'admin', '2023-03-09 09:55:51', 'admin', '2023-03-09 09:57:27', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (69, NULL, 'mhxf_gao', '高闻涛', '01', 'gaowen@163.com', '18016090405', '0', NULL, '', '$2a$10$cARrEgH9Vg6AjdIVVDxuyeVdImhhliJtTnyXVFsqB39WeMqkIeBhi', '0', '0', '', NULL, 'admin', '2023-03-09 10:03:40', '', NULL, NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (70, NULL, 'ming1', 'ming1', '01', 'ming1@qq.com', '13262908435', '0', NULL, '', '$2a$10$bUljoPQoKc541vullrtrRuITf9gOU5Q194.VGQo3xt7SaZ2VhaEGa', '0', '0', '', NULL, 'admin', '2023-03-15 09:34:12', '', NULL, NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (71, NULL, 'guoenzhou', '郭恩洲', '01', 'guoenzhou@usky.cn', '18602162112', '0', NULL, '', '$2a$10$x1VdfFTjfajDXpXhp8yQxuaKWs78zYMKGADvTDt.NeU71ewDuCNLq', '0', '0', '', NULL, 'admin', '2023-03-16 09:36:42', '', NULL, NULL, 1032, NULL);
INSERT INTO `sys_user` VALUES (72, NULL, 'tj_kefu', '永天客服', '01', '121310210@qq.com', '17717355681', '0', NULL, '', '$2a$10$fMGqX7VCb1uzBVuf7IvDMeZXLcEH9dycPm8a.4rrrXPeARrCD3flu', '0', '0', '', NULL, 'admin', '2023-03-30 10:16:37', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (73, NULL, 'wt1', '王涛', '01', '12@qq.com', '13127578877', '0', NULL, '', '$2a$10$JVlDJj.aADN49gW7LK.jD.d9n10WVEGrVTU/3.2EoFJATpNlpWd7C', '0', '0', '', NULL, 'admin', '2023-03-30 10:44:29', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (74, NULL, 'admin_test', 'admin_test', '01', 'test@qq.com', '13244444332', '0', NULL, '', '$2a$10$XWRYYjfDZRxeXaWe/WRFzOEwfzHc2chVAlzqFbhP/h1fNCIXEqcBW', '0', '2', '', NULL, 'admin', '2023-03-30 13:53:31', 'admin', '2023-03-30 13:53:55', '注销用户', NULL, NULL);
INSERT INTO `sys_user` VALUES (75, 118, '13917680472', '上海海岳天影院投资管理有限公司', '00', '', '13917680472', '0', NULL, '', '$2a$10$EuoqOUGXb2z3YyYxQPzhz.LMzJzipvujTJSatoAxryjcSoV4QmLN.', '0', '2', '', NULL, 'fire_admin', '2023-03-30 14:15:19', 'fire_admin', '2023-03-30 18:22:17', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (76, NULL, 'tj_kefu1', '永天客服', '01', 'tj_kefu@163.com', '17717355686', '0', NULL, '', '$2a$10$SCi8hzqAtf4EwzaKf8eCwOB8EynEDi5SAaRNg1dhCQSVKjUy/mLnm', '0', '0', '', NULL, 'admin', '2023-03-30 17:38:20', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (77, NULL, 'ruoyu', 'ruoyu', '01', 'ruoy@163.com', '16621197125', '0', NULL, '', '$2a$10$uryLWLbrHu/00YH.aXUt0uyKXPjeRlplBtLVk1ux267blLxV0vxlC', '0', '0', '', NULL, 'admin', '2023-03-30 17:41:32', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (78, NULL, 'ruoyu1', 'ruoy1', '01', 'ruoy@163.com', '16621197254', '0', NULL, '', '$2a$10$9.DNwP6Jvvuq1F505oggOeOKPSXr8jLnOOl/3lbMUo8lsnNa0tGvS', '0', '0', '', NULL, 'admin', '2023-03-30 17:43:40', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (79, 118, '13701856068', '上海紫竹高新数字创意港有限公司', '00', '', '13701856068', '0', NULL, '', '$2a$10$2cANrEZlqJSgziUhHmnhQ.HCJycJ6OKse8uadlKKBm/rCaLCZ6XwG', '0', '0', '', NULL, 'fire_admin', '2023-03-30 18:25:32', 'fire_admin', '2023-03-30 18:28:18', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (80, 118, '13671629026', '上海海岳天影院投资管理有限公司', '00', '', '13671629026', '0', NULL, '', '$2a$10$WDShWNMFMeQOZGfm2nuV/ueq5TJHHRXLs.02Zdw77Bkyjjo4r5yVu', '0', '0', '', NULL, 'fire_admin', '2023-03-30 18:26:48', 'fire_admin', '2023-03-30 18:28:09', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (81, 118, '13148190028', '上海紫竹高新信息数码港有限公司', '00', '', '13148190028', '0', NULL, '', '$2a$10$ljJvaOEGRHL5sugoLL7LiOVJp5H3osxC/U5pFrivPfCRy71SzfmvW', '0', '0', '', NULL, 'fire_admin', '2023-03-30 18:27:16', 'fire_admin', '2023-03-30 18:28:01', NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (82, NULL, 'YT_admin', '永天客服', '01', 'ddd@163.com', '16621197121', '0', NULL, '', '$2a$10$95bBeql3YQ1EOkeTqlXjMeoVlxq7S24T/5Z3.dZ/Bu81IHiwrrJj2', '0', '0', '', NULL, 'admin', '2023-03-30 19:26:20', '', NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES (83, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197121', '0', NULL, '', '$2a$10$iApPbnFERKjBrtsmrvfNVOYT1QWqur63UurWHvAoLeAEt5hGWWboi', '0', '0', '', NULL, 'admin', '2023-03-31 11:48:53', '', NULL, NULL, 1038, NULL);
INSERT INTO `sys_user` VALUES (84, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197124', '0', NULL, '', '$2a$10$TP8E861viIrUqPHNCjbXVebwv21xbh8OFbjyjK80SUBEpw3sAmMSW', '0', '0', '', NULL, 'admin', '2023-03-31 11:49:23', '', NULL, NULL, 1035, NULL);
INSERT INTO `sys_user` VALUES (85, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197124', '0', NULL, '', '$2a$10$9NrsFDO1n12wjSeqVqBIPOv785OFBvk014OTbODqXRGpeE8ANYl8.', '0', '0', '', NULL, 'admin', '2023-03-31 11:50:02', '', NULL, NULL, 1034, NULL);
INSERT INTO `sys_user` VALUES (86, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197124', '0', NULL, '', '$2a$10$L9KLxUhAkGc7aef0Bg7ubeU/mSdOqOgOLqt4Fa5l5CfA2Wrl9lxlW', '0', '0', '', NULL, 'admin', '2023-03-31 11:50:58', '', NULL, NULL, 1032, NULL);
INSERT INTO `sys_user` VALUES (87, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197124', '0', NULL, '', '$2a$10$6rCKKPhRproarakTXF/.reRvC1HXn5HGw2DiaB3jebE9Ju48lKdLy', '0', '0', '', NULL, 'admin', '2023-03-31 11:51:26', '', NULL, NULL, 1031, NULL);
INSERT INTO `sys_user` VALUES (88, NULL, 'YT_admin', '永天客服', '01', 'zhe.wang@chinausky.com', '16621197121', '0', NULL, '', '$2a$10$rdoqMWno2YGVt1bwHCX6f.g4nvIs14WZq0qlV7NHYkvl5wFoR//1u', '0', '0', '', NULL, 'admin', '2023-03-31 11:52:21', '', NULL, NULL, 1002, NULL);
INSERT INTO `sys_user` VALUES (89, NULL, 'YT_admin', '永天客服', '01', 'yongt@163.com', '16621197124', '0', NULL, '', '$2a$10$F5MP4iEptI9AXdmrTZM1zeHw1q5Yjj/BcDkn0pZqCjs7tGF0keOC2', '0', '0', '', NULL, 'admin', '2023-03-31 13:46:39', '', NULL, NULL, 1040, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_person
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_person`;
CREATE TABLE `sys_user_person` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `person_id` int(11) DEFAULT NULL COMMENT '人员ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='用户人员关联';

-- ----------------------------
-- Records of sys_user_person
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_person` VALUES (1, 1, 1);
INSERT INTO `sys_user_person` VALUES (2, 2, 2);
INSERT INTO `sys_user_person` VALUES (3, 31, 3);
INSERT INTO `sys_user_person` VALUES (4, 33, 4);
INSERT INTO `sys_user_person` VALUES (5, 34, 5);
INSERT INTO `sys_user_person` VALUES (6, 35, 6);
INSERT INTO `sys_user_person` VALUES (7, 36, 1);
INSERT INTO `sys_user_person` VALUES (8, 37, 2);
INSERT INTO `sys_user_person` VALUES (9, 38, 3);
INSERT INTO `sys_user_person` VALUES (10, 39, 4);
INSERT INTO `sys_user_person` VALUES (11, 40, 5);
INSERT INTO `sys_user_person` VALUES (12, 41, 6);
INSERT INTO `sys_user_person` VALUES (13, 42, 1);
INSERT INTO `sys_user_person` VALUES (14, 43, 2);
INSERT INTO `sys_user_person` VALUES (15, 44, 3);
INSERT INTO `sys_user_person` VALUES (16, 45, 4);
INSERT INTO `sys_user_person` VALUES (17, 46, 5);
INSERT INTO `sys_user_person` VALUES (18, 47, 6);
INSERT INTO `sys_user_person` VALUES (19, 38, 7);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post` (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`,`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户与岗位关联表';

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);
INSERT INTO `sys_user_post` VALUES (26, 4);
INSERT INTO `sys_user_post` VALUES (33, 4);
INSERT INTO `sys_user_post` VALUES (34, 5);
INSERT INTO `sys_user_post` VALUES (41, 5);
INSERT INTO `sys_user_post` VALUES (44, 4);
INSERT INTO `sys_user_post` VALUES (45, 5);
INSERT INTO `sys_user_post` VALUES (47, 5);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`,`role_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户和角色关联表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (6, 2);
INSERT INTO `sys_user_role` VALUES (7, 2);
INSERT INTO `sys_user_role` VALUES (8, 2);
INSERT INTO `sys_user_role` VALUES (26, 2);
INSERT INTO `sys_user_role` VALUES (33, 2);
INSERT INTO `sys_user_role` VALUES (34, 5);
INSERT INTO `sys_user_role` VALUES (41, 3);
INSERT INTO `sys_user_role` VALUES (41, 5);
INSERT INTO `sys_user_role` VALUES (41, 6);
INSERT INTO `sys_user_role` VALUES (47, 3);
INSERT INTO `sys_user_role` VALUES (47, 5);
INSERT INTO `sys_user_role` VALUES (60, 8);
INSERT INTO `sys_user_role` VALUES (61, 9);
INSERT INTO `sys_user_role` VALUES (62, 10);
INSERT INTO `sys_user_role` VALUES (63, 11);
INSERT INTO `sys_user_role` VALUES (64, 12);
INSERT INTO `sys_user_role` VALUES (65, 13);
INSERT INTO `sys_user_role` VALUES (80, 13);
INSERT INTO `sys_user_role` VALUES (81, 13);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
